<?xml version="1.0" encoding="UTF-8"?>

<mffshl xmlns="http://www.compart.com/ns/mff/shl" version="202302">
   <!--
      **************************************************************************

      Copyright (C) Compart AG 2011-2022, Compart GmbH 2022

      Release: 202302

      **************************************************************************
-->

   <Input>
      <!--List of Processes-->

      <Processes>
         <!--The declaration of a Process. Every Process you want to drive
                using this profile must have its own XML tag of this type. The Process name is used
                as a subtype. This means you can specify a Process to be used for input via cpmcopy
                arguments -o -type shl.ProcessName.-->
         <!--Attribute: name @comment: The name of the Process. Every Process name must be unique in
                the list of Processes.-->
         <!--Attribute: cmd @comment: The full path of the command that is to be executed within the
                Shell.-->
         <!--Attribute: extensions @comment: File extension supported by the process. If the same file
                extension is supported by multiple processes, the first process with this extension
                in the list wins. By means of the separator ',' ';' or ' ', you can specify multiple
                file extensions per process.-->
         <!--Attribute: timeout @comment: The value indicates the time limit for the process in seconds. A negative value disables the time limitation.
         -->
         <!--Attribute: killCrashWindow @comment: Controls the killing of crash windows on Windows systems after a timeout occured.
         -->

         <Process name="NAME_EXAMPLE_VALUE" cmd="ABSOLUTE_CMD_PATH" extensions="" timeout="-1" killCrashWindow="true">
            <!--List of parameters used to pass multiple parameters to the
                command specified in the Process element.-->
            <!--Attribute: separator @comment: Separator between parameter name and value.-->

            <Parameters separator=" ">
               <!--The parameter that is to be specified for the
                command.-->
               <!--Attribute: name @comment: Name of the parameter or switch to pass to the
                command.-->
               <!--Attribute: value @comment: The value of the parameter specified in the name attribute.
                The application supports some system variables which need to be enclosed in paired
                $. The system variables can be defined to control the input file and any output
                files generated by the application. The following system variables are available: 1.
                $INPUT_FILE_FULLNAME$ - Input file name with path 2. $INPUT_FILE_NAME$ - Input file
                name without a path 3. $TEMP_OUTPUT_FILE_FULLNAME$ - Temporary output file name with
                path 4. $TEMP_OUTPUT_DIR$ - Temporary output directory 5. $PID$ - Process ID 6.
                $TIME_STAMP$ - Time stamp-->
               <!--Attribute: type @comment: Type of the output file created based on the command. The SHL
                filter opens an MFF filter with the specified type to handle output documents
                created by the external application. If you don't specify the parameter '-type
                shl.xxx', the Compart application will attempt a file type detection based on the
                file extension. If the attribute 'extension' is not specified, the filter supports
                the file type detection for two predefined applications with the standard names:
                1. 'libreoffice' - libreoffice converter 2. 'apprender' - Compart Application
                Renderer.-->
               <!--Attribute: treatAsOutput @comment: The parameter 'treatAsOutput' alerts the SHL filter to the presence of an
                output file or directory created by the external application; Output document(s)
                will be treated as input document(s) for further processing-->
               <!--Attribute: separator @comment: Separator between parameter name and value.-->

               <Parameter name="" value="$TEMP_OUTPUT_FILE_FULLNAME$" type="" treatAsOutput="true" separator=" "/>
               <Parameter name="" value="$INPUT_FILE_FULLNAME$"/>
               <Parameter name="" value=""/>
            </Parameters>
         </Process>

         <Process name="libreoffice" cmd="c:/Program Files/LibreOffice/program/soffice.exe" extensions="odf,sxw">
            <Parameters separator=" ">
               <Parameter name="-env:UserInstallation=" value="file:///$TEMP_OUTPUT_DIR$/shl_$PID$_$TIMESTAMP$" separator=""/>
               <Parameter name="--headless --convert-to pdf --outdir " value="$TEMP_OUTPUT_DIR$" type="pdf" treatAsOutput="true"/>
               <Parameter name=" " value="$INPUT_FILE_FULLNAME$"/>
            </Parameters>
         </Process>

         <Process name="apprender" cmd="cprprnt.exe" extensions="">
            <Parameters separator="">
               <Parameter name="-p" value="&#34;Compart DocBridge Print Module&#34;"/>
               <Parameter name="-s" value="$INPUT_FILE_FULLNAME$"/>
               <Parameter name="-t" value="$TEMP_OUTPUT_FILE_FULLNAME$" type="pdf" treatAsOutput="true"/>
               <Parameter name="-l" value="&#34;$TEMP_OUTPUT_DIR$\$INPUT_FILENAME$_$PID$_$TIMESTAMP$.log&#34;"/>
               <Parameter name="-N" value="&#34;$TEMP_OUTPUT_DIR$\$INPUT_FILENAME$_$PID$_$TIMESTAMP$.trc&#34;"/>
            </Parameters>
         </Process>
      </Processes>
   </Input>
</mffshl>
