<?xml version="1.0" encoding="UTF-8"?>

<mffxhm xmlns="http://www.compart.com/ns/mff/xhm" version="202405">
   <!--
      **************************************************************************

      Copyright (C) Compart AG 2011-2022, Compart GmbH 2022

      Release: 202405

      **************************************************************************
-->
   <!--Settings for both input and output.-->

   <globals>
      <defaultchar char="003F"/>
   </globals>

   <!--Settings for input.-->

   <input>
      <!--Parsing mode can be specified by "value": sax: Use Sax mode to parse the
                file, not to use, if selectors are used in the style sheet. dom: Use Dom mode. Scan
                the whole file before processing it in Dom mode. auto: Automatic behaviour, depends
                on file size.-->

      <parsingmode value="auto"/>

      <!--Pixel resolution for pixel values in ppi (pixels per inch), default 72
                ppi.-->

      <resolution rx="72" ry="72"/>

      <defaultsetting>
         <!--Default point size setting.-->

         <pointsize value="12"/>
      </defaultsetting>

      <!--Specifies the "pagedefinition" for page output.-->

      <pagedefinitionlist>
         <pagedefinition name="Default">
            <!--The "papersize" can be specified either by a combination of
                "format" and "orientation" or by a combination of "width" and "height".
            -->

            <papersize height="29.7 cm" width="21 cm"/>
            <margins left="1.75 cm" right="1.75 cm" top="1 cm" bottom="1 cm"/>
         </pagedefinition>

         <pagedefinition name="PageAny">
            <papersize format="A4" orientation="Portrait"/>
            <margins left="1.75 cm" right="1.75 cm" top="1 cm" bottom="1 cm"/>
         </pagedefinition>
      </pagedefinitionlist>
   </input>

   <!--Settings for output.-->

   <output>
      <!--Create an HTML file of version 5 or 4, default is HTML5.-->

      <version value="html5"/>

      <!--Control which header will be written, default is page. No header written if
                the value is none.-->

      <Header location="page"/>

      <!--Specifies how fonts are handled for the creation of output documents. Valid
                values of the attribute "default" are: 
                - Auto (automatic selection)
                - UseStandardFonts (uses only the 14 Type1 Adobe standard fonts)
            -->

      <fonthandling default="Auto"/>

      <!--The attribute "embed" specifies whether the images that will be written to
                the output document will be embedded or written as resource in the resource file.
                Valid values of the attribute "embed" are: 
                - Auto (default handling)
                - Always (all images will be embedded)
                - Never (all images will be written as resource)
            -->

      <ImageHandling embed="Auto"/>

      <!--You can choose whether to rastered text should be written invisible on top.-->
      <!--Attribute: value @comment: Default is false.-->

      <WriteInvisibleText value="false"/>
   </output>

   <!--Font is specified by "family", "width" and "style". "subsetting" -
                (only in output) - specifies, whether subsets of the embedded fonts should be
                specified in the output files.-->

   <fontlist>
      <font family="arial" subsetting="true" reftype="truetype">
         <face weight="medium" style="upright" fontfile="arial" fontfiletype="truetype" default="true">
            <fontresourcelist>
               <!--<fontresource fontfile="DejaVuSansMono.ttf" fontfiletype="TrueType"/>-->
            </fontresourcelist>
         </face>

         <face weight="bold" style="upright" fontfile="arialbd" fontfiletype="truetype"/>
         <face weight="medium" style="italic" fontfile="ariali" fontfiletype="truetype"/>
      </font>

      <font family="times new roman" reftype="truetype">
         <face weight="medium" style="upright" fontfile="times" fontfiletype="truetype"/>
         <face weight="bold" style="upright" fontfile="timesbd" fontfiletype="truetype"/>
         <face weight="medium" style="italic" fontfile="timesi" fontfiletype="truetype"/>
      </font>
   </fontlist>

   <!-- = Files ==============================================================
                type can be "TrueType", "Type1Font", "Type1Metrics" if it is not defined, the path
                will be used for all types, extension can be emtpy, <extension> or wildcard
                ======================================================================
            -->

   <resourcelist>
      <fileslist>
         <files path="c:\WINDOWS\Fonts" type="truetype" extension="ttf"/>
         <files path="\resource" type="icc" extension="icc"/>
         <files path="\resource" type="icc" extension="icm"/>
      </fileslist>
   </resourcelist>
</mffxhm>
