package de.credo.lookup2;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Messages {

	private	static final	ResourceBundle	RESOURCE_BUNDLE	= ResourceBundle.getBundle("OSGI-INF/l10n/bundle");

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}

	public static String getString(String key, Locale locale) {
		if (locale == null)
			return getString(key);

		try {
			ResourceBundle	tempResourceBundle	= ResourceBundle.getBundle("OSGI-INF/l10n/bundle", locale);
			return tempResourceBundle.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}

	public	String	progressMonitorCurrentlyRunning;
	public	String	progressMonitorFinished;

	public	String	checkForUpdatesHandlerUpdateMessageTitle;
	public	String	checkForUpdatesHandlerUpdateMessage;
	public	String	checkForUpdatesHandlerNoUpdateMessageTitle;
	public	String	checkForUpdatesHandlerNoUpdateMessage;

	public	String	parsersPreferencePageTitle;
	public	String	viewersPreferencePageTitle;

	public	String	filePartTreeViewerNameColumnLabel;
	public	String	filePartTreeViewerExtensionColumnLabel;
	public	String	filePartTreeViewerSizeColumnLabel;
	public	String	filePartTreeViewerDateColumnLabel;

	public	String	fileTreeContextMenuDeleteFileTitle;
	public	String	fileTreeContextMenuDeleteFileDialog1;
	public	String	fileTreeContextMenuDeleteFileDialog2;
	public	String	fileTreeContextMenuCreateFolderTitle;
	public	String	fileTreeContextMenuCreateFolderDialog;
	public	String	fileTreeContextMenuCreateFolderError;
	public	String	fileTreeContextMenuRenameTitle;
	public	String	fileTreeContextMenuRenameDialog;
	public	String	fileTreeContextMenuRenameError;
	public	String	fileTreeContextMenuPasteTitle;
	public	String	fileTreeContextMenuPasteDialog;
	public	String	fileTreeContextMenuPasteError;

	public	String	fileTreeOptionsPreferencePageTitle;			// Identisch mit dem gleichen Eintrag in de.credo.lookup2!
	public	String	fileTreeOptionsPreferencePageShowHiddenFiles;
	public	String	fileTreeOptionsPreferencePageShowSupportedOnly;
	public	String	fileTreeOptionsPreferencePageUseQuickSelection;
	public	String	fileTreeOptionsPreferencePageUseWatchService;
	public	String	fileTreeOptionsPreferencePageAutoColumnWidth;
	public	String	fileTreeOptionsPreferencePageAutoSwitchPerspective;

	public	String	messagePartTableViewerTimeColumLabel;
	public	String	messagePartTableViewerSeverityColumLabel;
	public	String	messagePartTableViewerOriginColumLabel;
	public	String	messagePartTableViewerReasonColumLabel;
	public	String	messagePartTableViewerMessageColumLabel;

	public	String	viewPartLabel;

	public String	encodingSelectionControlEncodingNotFound;

	public	String	aboutPreferencePageTitle;
	public	String	aboutPreferencePageProductName;
	public	String	aboutPreferencePageProductLink;
	public	String	aboutPreferencePageVersion;
	public	String	aboutPreferencePageBuildDate;
	public	String	aboutPreferencePagePublisher;
	public	String	aboutPreferencePagePublisherCountry;
	public	String	aboutPreferencePagePublisherLink;
	public	String	aboutPreferencePageCopyrightFrom;

	public	String	startupSettingsPreferencePageTitle;
	public	String	startupSettingsPreferencePageAppLanguage;
	public	String	startupSettingsPreferencePageAppLanguageAutomatic;
	public	String	startupSettingsPreferencePageTwoStepCloseLabel;
	public	String	startupSettingsPreferencePageTwoStepCloseDelayed;
	public	String	startupSettingsPreferencePageTwoStepCloseImmediately;
	public	String	startupSettingsPreferencePageStartPerspectiveLabel;
	public	String	startupSettingsPreferencePageMaxHeapLabel;
	public	String	startupSettingsPreferencePageMaxHeapTooltip;
	public	String	startupSettingsPreferencePageMaxHeapUnitLabel;
	public	String	startupSettingsPreferencePageRestartHint;
	public	String	startupSettingsPreferencePageWarningDialogCopyButton;
	public	String	startupSettingsPreferencePageWarningDialogMessage;
	public	String	startupSettingsPreferencePageWarningDialogTitle;

}