package de.credo.lookup2;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.e4.ui.model.application.ui.advanced.MPerspective;
import org.eclipse.e4.ui.model.application.ui.advanced.MPerspectiveStack;
import org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow;
import org.eclipse.e4.ui.workbench.UIEvents;
import org.osgi.service.event.Event;
import org.osgi.service.event.EventHandler;

public class PerspectiveChangedListener implements EventHandler {

	private	IEventBroker	eventBroker;

	PerspectiveChangedListener(IEventBroker eventBroker) {
		this.eventBroker	= eventBroker;
	}

	@Override
	public void handleEvent(Event event) {
		if (!UIEvents.isSET(event))
			return;

		Object	element		= event.getProperty(UIEvents.EventTags.ELEMENT);
		Object	newValue	= event.getProperty(UIEvents.EventTags.NEW_VALUE);

		// Überwachen nicht eines Perspektiven-Events, sondern Abfragen des auslösenden Typs. Siehe http://www.vogella.com/tutorials/Eclipse4ModelEvents/article.html
		if (element instanceof MPerspectiveStack && newValue instanceof MPerspective) {
			Map<Class<?>, Object>	values	= new HashMap<>(3);
			values.put(MTrimmedWindow.class, ((MPerspectiveStack) element).getParent());
			values.put(String.class, ((MPerspective) newValue).getElementId());
			eventBroker.send(Constants.SET_PERSPECTIVE_BUTTON_EVENT, values);
		}
	}
}