package de.credo.lookup2.handlers;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.e4.ui.workbench.UIEvents;

import de.credo.lookup2.plugins.api.L2ProgressMonitor;

public class CancelHandler {

	@Execute
	public void execute(IEventBroker eventBroker, L2ProgressMonitor progressMonitor) {
		progressMonitor.setCanceled(true);

		// Händisches Auslösen der CanExecute-Abfrage in den Handlern. Diese wird seit Kepler nicht mehr als Timer ausgeführt, sondern
		// nur noch bei relevanten Änderungen an der Oberfläche, wie Partwechseln usw. Nötig zum Update der Cancel-Buttons
		eventBroker.send(UIEvents.REQUEST_ENABLEMENT_UPDATE_TOPIC, UIEvents.ALL_ELEMENT_ID);
	}

	@CanExecute
	public boolean canExecute(L2ProgressMonitor progressMonitor) {
		return progressMonitor.tasksRunning();
	}
}
