package de.credo.lookup2.handlers;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.nls.Translation;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;

import de.credo.common.bundles.license.License;
import de.credo.common.bundles.license.LicenseHandler;
import de.credo.lookup2.Messages;

public class CheckForUpdatesHandler {

	@Execute
	public void execute(Shell shell, LicenseHandler licenseHandler, @Translation Messages messages) {
		String	updateVersion	= licenseHandler.checkForUpdateVersion();
		if (updateVersion != null) {
//			MessageDialog.openInformation(shell, messages.checkForUpdatesHandlerUpdateMessageTitle, licenseHandler.checkForUpdateMessage(updateVersion));
			MessageDialog.openInformation(shell, messages.checkForUpdatesHandlerUpdateMessageTitle, messages.checkForUpdatesHandlerUpdateMessage.replace("%1", updateVersion));
		} else {
			MessageDialog.openError(shell, messages.checkForUpdatesHandlerNoUpdateMessageTitle, messages.checkForUpdatesHandlerNoUpdateMessage);
		}
	}

	@CanExecute
	public boolean canExecute(License license) {
		return !license.isMaintenanceExpired();
	}
}