
package de.credo.lookup2.handlers;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.model.application.ui.basic.MWindow;
import org.eclipse.e4.ui.model.application.ui.menu.MHandledMenuItem;
import org.eclipse.e4.ui.workbench.modeling.EModelService;
import org.eclipse.e4.ui.workbench.modeling.EPartService;
import org.eclipse.swt.widgets.Shell;

import de.credo.lookup2.Constants;

public class FullScreenHandler {

	@Execute
	public void execute(EModelService modelService, EPartService partService, Shell shell, MWindow window, @Optional MHandledMenuItem menuItem) {
		// Bei einem KeyBinding-Event wird kein MenuItem gefüllt, darüber sind die beiden Nutzungsarten also super zu unterscheiden
		// Vor allen Dingen ist bei einem Tastendruck der CheckState per Programm umzuschießen
		if (menuItem == null) {
			menuItem	= (MHandledMenuItem) modelService.find(Constants.FULLSCREEN_MENU, window.getMainMenu());
			menuItem.setSelected(!menuItem.isSelected());
		}

		MPart	viewPart	= partService.findPart(Constants.VIEW_PART);
		if (viewPart != null) {
			partService.activate(viewPart);
		}

		shell.setMaximized(menuItem.isSelected());
//		shell.setFullScreen(menuItem.isSelected());
	}
}