package de.credo.lookup2.handlers;

import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

import org.eclipse.e4.core.contexts.Active;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow;
import org.eclipse.e4.ui.model.application.ui.menu.MDirectMenuItem;

import de.credo.lookup2.GlobalAppManager;
import de.credo.lookup2.SwitchPerspectiveTargetTypes;
import de.credo.lookup2.plugins.api.L2FileData;
import de.credo.lookup2.plugins.impl.FileData;

public class RecentFilesHandler {

	@Execute
	public void execute(@Optional MDirectMenuItem menuItem, @Optional L2FileData openFile, @Active MTrimmedWindow window, GlobalAppManager globalAppManager) {
		Path	fileToOpen	= Paths.get(menuItem.getLabel());

		if (Files.exists(fileToOpen)) {
			L2FileData	fileData	= new FileData(fileToOpen, false);

			if (openFile == null || openFile.getFile() == null) {
				// Bisher ist keine Datei in diesem Fenster geöffnet, hier laden
				globalAppManager.openInWindow(window, fileData, SwitchPerspectiveTargetTypes.ANY);

			} else {
				// Öffnen in neuem Fenster
				globalAppManager.openInNewWindow(fileData, true, SwitchPerspectiveTargetTypes.ANY);
			}
		}
	}
}