package de.credo.lookup2.handlers;

import java.nio.file.Path;
import java.util.List;

import org.eclipse.e4.ui.di.AboutToShow;
import org.eclipse.e4.ui.model.application.ui.menu.MDirectMenuItem;
import org.eclipse.e4.ui.model.application.ui.menu.MMenuElement;
import org.eclipse.e4.ui.model.application.ui.menu.MMenuFactory;
import org.osgi.framework.FrameworkUtil;

import de.credo.lookup2.GlobalAppManager;

public class RecentFilesMenuContributor {

	private	final	String	bundleName		= FrameworkUtil.getBundle(this.getClass()).getSymbolicName();
	private	final	String	rfHandler		= RecentFilesHandler.class.getCanonicalName();
	private	final	String	contributorID	= "platform:/plugin/" + bundleName;
	private	final	String	contributionID	= "bundleclass://" + bundleName + "/" + rfHandler;

	@AboutToShow
	public void aboutToShow(List<MMenuElement> items, GlobalAppManager globalAppManager) {
		for (Path file: globalAppManager.loadFileHistory()) {
			MDirectMenuItem menuEntry = MMenuFactory.INSTANCE.createDirectMenuItem();
			menuEntry.setLabel(file.toString());
			menuEntry.setContributorURI(contributorID);
			menuEntry.setContributionURI(contributionID);
			items.add(menuEntry);
		}
	}
}