
package de.credo.lookup2.handlers.files;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import jakarta.inject.Named;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.viewers.ITreeSelection;
import org.eclipse.swt.dnd.Clipboard;
import org.eclipse.swt.dnd.TextTransfer;
import org.eclipse.swt.dnd.Transfer;
import org.eclipse.swt.widgets.Display;

import de.credo.lookup2.filetree.api.FileTreeNodeFile;
import de.credo.lookup2.filetree.api.FileTreeNodeFileSystem;

public class CopyFileHandler {

	@Execute
	public void execute(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection, Display display) {
		List<String>	files	= new ArrayList<>();

		for (Object s: selection.toArray()) {
			if (s instanceof FileTreeNodeFile && !(s instanceof FileTreeNodeFileSystem)) {
				FileTreeNodeFile	thisFile	= (FileTreeNodeFile) s;
				files.add(thisFile.toString());
			}
		}

		Clipboard	clipboard	= new Clipboard(display);
		String[]	data		= new String[]   {files.stream().collect(Collectors.joining(System.lineSeparator(), "", System.lineSeparator()))};
		Transfer[]	types		= new Transfer[] {TextTransfer.getInstance()};
		clipboard.setContents(data, types);
	}

	@CanExecute
	public boolean canExecute(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection) {
		for (Object s: selection.toArray()) {
			if (s instanceof FileTreeNodeFile && !(s instanceof FileTreeNodeFileSystem) && (((FileTreeNodeFile) s).isFile() || ((FileTreeNodeFile) s).isFolder()))
				return true;
		}

		return false;
	}

}