package de.credo.lookup2.handlers.files;

import java.util.List;

import org.eclipse.e4.ui.di.AboutToShow;
import org.eclipse.e4.ui.model.application.ui.menu.MDirectMenuItem;
import org.eclipse.e4.ui.model.application.ui.menu.MMenuElement;
import org.eclipse.e4.ui.model.application.ui.menu.MMenuFactory;
import org.osgi.framework.FrameworkUtil;

import de.credo.lookup2.Constants;
import de.credo.lookup2.plugins.api.L2Format;
import de.credo.lookup2.plugins.impl.ModulesHandler;

public class OpenAsTypeMenuContributor {

	private	final	String	bundleName		= FrameworkUtil.getBundle(this.getClass()).getSymbolicName();
	private	final	String	oatHandler		= OpenAsTypeHandler.class.getCanonicalName();
	private	final	String	contributorID	= "platform:/plugin/" + bundleName;
	private	final	String	contributionID	= "bundleclass://" + bundleName + "/" + oatHandler;

	private	final	boolean	openInNewWindow;

	public OpenAsTypeMenuContributor() {
		openInNewWindow = false;
	}

	public OpenAsTypeMenuContributor(boolean openInNewWindow) {
		this.openInNewWindow = openInNewWindow;
	}

	@AboutToShow
	public void aboutToShow(List<MMenuElement> items, ModulesHandler modulesHandler) {
		for (L2Format format: modulesHandler.getFormats()) {
			MDirectMenuItem menuEntry = MMenuFactory.INSTANCE.createDirectMenuItem();
			menuEntry.setLabel(format.getName());
			menuEntry.setContributorURI(contributorID);
			menuEntry.setContributionURI(contributionID);
			if (openInNewWindow) {
				menuEntry.getTags().add(Constants.OPEN_AS_IN_NEW_WINDOW_TAG);
			}

			items.add(menuEntry);
		}
	}

}