
package de.credo.lookup2.handlers.files;

import java.io.IOException;

import jakarta.inject.Named;

import org.eclipse.e4.core.contexts.Active;
import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.viewers.ITreeSelection;
import org.eclipse.swt.program.Program;

import de.credo.common.bundles.messages.CdoLogger;
import de.credo.lookup2.filetree.api.FileTreeConstants;
import de.credo.lookup2.filetree.api.FileTreeNodeFile;
import de.credo.lookup2.filetree.api.FileTreeNodeFileSystem;

public class OpenExternallyHandler {

	private	final static	CdoLogger	LOGGER	= new CdoLogger(FileTreeConstants.LOGGER_ORIGIN_FILESYSTEM);

	@Execute
	public void execute(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection, @Active MTrimmedWindow window) {
		for (Object s: selection.toArray()) {
			try {
				Program.launch(((FileTreeNodeFile) s).getPath().toString());
			} catch (IOException e) {
				LOGGER.fatal(window.hashCode(), e.getLocalizedMessage(), e);
			}
		}
	}

	@CanExecute
	public boolean canExecute(@Named(IServiceConstants.ACTIVE_SELECTION) ITreeSelection selection) {
		for (Object s: selection.toArray()) {
			if (s instanceof FileTreeNodeFile && !(s instanceof FileTreeNodeFileSystem) && (((FileTreeNodeFile) s).isFile() || ((FileTreeNodeFile) s).isFolder()))
				return true;
		}

		return false;
	}

}