
package de.credo.lookup2.handlers.objects;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

import de.credo.lookup2.Constants;
import de.credo.lookup2.parsers.impl.RootElement;
import de.credo.lookup2.parts.objects.ObjectsTreePart;
import de.credo.lookup2.plugins.api.L2ProgressMonitor;
import de.credo.lookup2.plugins.api.L2SearchCriteria;
import de.credo.lookup2.plugins.api.L2SearchCriteria.L2SearchMode;

public class SearchAgainHandler {

	@Execute
	public void execute(EPartService partService, L2SearchCriteria searchCriteria) {
		ObjectsTreePart	treePart	= (ObjectsTreePart) partService.findPart(Constants.OBJECTS_TREE_PART).getObject();
		treePart.doSearchAgain(searchCriteria);
	}

	@CanExecute
	public boolean canExecute(L2ProgressMonitor progressMonitor, @Optional RootElement rootElement, @Optional L2SearchCriteria searchCriteria) {
		if (searchCriteria == null || searchCriteria.getSearchMode() == L2SearchMode.COUNT || progressMonitor.tasksRunning())
			return false;

		if (rootElement.getRootParser() != null)
			return rootElement.getRootParser().canSearchObjectsAgain(searchCriteria);

		return false;
	}

}