
package de.credo.lookup2.handlers.objects;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.e4.ui.workbench.UIEvents;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

import de.credo.lookup2.Constants;
import de.credo.lookup2.parsers.impl.RootElement;
import de.credo.lookup2.parts.objects.ObjectsTreePart;
import de.credo.lookup2.plugins.api.L2ProgressMonitor;

public class SearchHandler {

	@Execute
	public void execute(EPartService partService, IEventBroker eventBroker) {
		ObjectsTreePart	treePart	= (ObjectsTreePart) partService.findPart(Constants.OBJECTS_TREE_PART).getObject();
		treePart.doSearch();

		// Händisches Auslösen der CanExecute-Abfrage in den Handlern. Diese wird seit Kepler nicht mehr als Timer ausgeführt, sondern
		// nur noch bei relevanten Änderungen an der Oberfläche, wie Partwechseln usw. Nötig zum Update des SearchAgain-Buttons
		eventBroker.send(UIEvents.REQUEST_ENABLEMENT_UPDATE_TOPIC, UIEvents.ALL_ELEMENT_ID);
	}

	@CanExecute
	public boolean canExecute(L2ProgressMonitor progressMonitor, RootElement rootElement) {
		if (rootElement.getRootParser() != null && !progressMonitor.tasksRunning())
			return rootElement.getRootParser().canSearchObjects();

		return false;
	}

}