package de.credo.lookup2.handlers.preview;

import org.eclipse.e4.core.contexts.Active;
import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.di.UISynchronize;
import org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

import de.credo.lookup2.Constants;
import de.credo.lookup2.GlobalAppManager;
import de.credo.lookup2.SwitchPerspectiveTargetTypes;
import de.credo.lookup2.plugins.api.L2FileData;
import de.credo.lookup2.plugins.api.L2ProgressMonitor;
import de.credo.lookup2.viewers.api.L2ViewPart;

public class ReloadFileHandler {

	@Execute
	public void execute(GlobalAppManager globalAppManager, L2ProgressMonitor progressMonitor, L2FileData fileData, EPartService partService, @Active MTrimmedWindow window, UISynchronize synchronizer) {
		L2ViewPart	viewPart	= (L2ViewPart) partService.findPart(Constants.VIEW_PART).getObject();
		final	int	currentPage	= viewPart.getActiveViewer().getPageNumber();

		progressMonitor.setCanceled(true);
		globalAppManager.closeFile(window, false);
		globalAppManager.openInWindow(window, fileData, SwitchPerspectiveTargetTypes.NONE);

		if (currentPage > 0) {
			synchronizer.asyncExec(() -> {
				viewPart.getActiveViewer().setPageNumber(currentPage);
			});
		}
	}

	@CanExecute
	public boolean canExecute(@Optional L2FileData fileData) {
		return fileData != null;
	}

}
