
package de.credo.lookup2.handlers.preview;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.services.events.IEventBroker;
import org.eclipse.e4.ui.workbench.UIEvents;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

import de.credo.lookup2.Constants;
import de.credo.lookup2.viewers.api.L2ViewPart;

public class SearchHandler {

	@Execute
	public void execute(EPartService partService, IEventBroker eventBroker) {
		L2ViewPart	viewPart	= (L2ViewPart) partService.findPart(Constants.VIEW_PART).getObject();
		viewPart.doSearch();

		// Händisches Auslösen der CanExecute-Abfrage in den Handlern. Diese wird seit Kepler nicht mehr als Timer ausgeführt, sondern
		// nur noch bei relevanten Änderungen an der Oberfläche, wie Partwechseln usw. Nötig zum Update des SearchAgain-Buttons
		eventBroker.send(UIEvents.REQUEST_ENABLEMENT_UPDATE_TOPIC, UIEvents.ALL_ELEMENT_ID);
	}

	@CanExecute
	public boolean canExecute(EPartService partService) {
		return ((L2ViewPart) partService.findPart(Constants.VIEW_PART).getObject()).canSearch();
	}

}