<?xml version="1.0" encoding="UTF-8"?>

<mffgof xmlns="http://www.compart.com/ns/mff/gof" version="202401">
   <!--
      **************************************************************************

      Copyright (C) Compart AG 2011-2022, Compart GmbH 2022

      Release: 202401

      **************************************************************************
-->
   <!--Settings for both input and output.-->

   <globals>
      <defaultchar char="003F"/>
   </globals>

   <!--Defines a font list containing all the font related profile
                settings.-->

   <fontlist>
      <font family="COURIER" serifstyle="Serif" spacing="Monospaced" pitch="15000">
         <face weight="Medium" width="Normal" style="Upright" size="10" id="12" fallback="false" fontfile="COUR.ttf" fontfiletype="TrueType">
            <fontresourcelist>
               <!--<fontresource fontfile="COUR.ttf" fontfiletype="TrueType"/>-->
            </fontresourcelist>
         </face>

         <face weight="Bold" width="Normal" style="Upright" size="10" id="13"/>
      </font>

      <font family="Letter Gothic" serifstyle="SansSerif" spacing="Monospaced" pitch="15000">
         <face weight="Medium" width="Normal" style="Upright" size="10" id="14" fallback="false">
            <fontresourcelist>
               <!--<fontresource fontfile="DejaVuSansMono.ttf" fontfiletype="TrueType"/>-->
            </fontresourcelist>
         </face>

         <face weight="Bold" width="Normal" style="Upright" size="10" id="15"/>
      </font>

      <font family="Letter Gothic" serifstyle="SansSerif" spacing="Monospaced" pitch="18000">
         <face weight="Medium" width="Normal" style="Upright" size="7" id="16"/>
         <face weight="Bold" width="Normal" style="Upright" size="7" id="17"/>
      </font>

      <font family="Letter Gothic" serifstyle="SansSerif" spacing="Monospaced" pitch="15000">
         <face weight="Medium" width="Normal" style="Upright" size="8" id="18"/>
         <face weight="Bold" width="Normal" style="Upright" size="8" id="19"/>
      </font>

      <font family="OCR-A" serifstyle="SansSerif" spacing="Monospaced" pitch="15000">
         <face weight="Medium" width="Normal" style="Upright" size="10" id="26"/>
      </font>

      <font family="SAPDings">
         <face weight="Medium" width="Normal" style="Upright" fontfile="sapdn.ttf" fontfiletype="TrueType" id="44"/>
      </font>
   </fontlist>

   <!--Mapping list for highlight color name to RGB value-->

   <highlightcolorlist>
      <!--black gray-->

      <highlightcolor name="COL0N" foreground-rgb="#00000000" background-rgb="#00808080"/>

      <!--blue gray-->

      <highlightcolor name="COL0H" foreground-rgb="#000000FF" background-rgb="#00808080"/>

      <!--gray blue-->

      <highlightcolor name="COL0V" foreground-rgb="#00808080" background-rgb="#000000FF"/>

      <!--black paleblue-->

      <highlightcolor name="COL1N" foreground-rgb="#00000000" background-rgb="#008585A6"/>

      <!--black blue-->

      <highlightcolor name="COL1H" foreground-rgb="#00000000" background-rgb="#000000FF"/>

      <!--blue gray-->

      <highlightcolor name="COL1V" foreground-rgb="#000000FF" background-rgb="#00808080"/>

      <!--black white-->

      <highlightcolor name="COL2N" foreground-rgb="#00000000" background-rgb="#00FFFFFF"/>

      <!--black light gray-->

      <highlightcolor name="COL2H" foreground-rgb="#00000000" background-rgb="#00A9A9A9"/>

      <!--dark gray gray-->

      <highlightcolor name="COL2V" foreground-rgb="#00A9A9A9" background-rgb="#00808080"/>

      <!--black pale yellow-->

      <highlightcolor name="COL3N" foreground-rgb="#00000000" background-rgb="#00D9E5B0"/>

      <!--black yellow-->

      <highlightcolor name="COL3H" foreground-rgb="#00000000" background-rgb="#0000FFFF"/>

      <!--yellow gray-->

      <highlightcolor name="COL3V" foreground-rgb="#0000FFFF" background-rgb="#00808080"/>

      <!--black pale turquoise-->

      <highlightcolor name="COL4N" foreground-rgb="#00000000" background-rgb="#00AFEEEE"/>

      <!--black turquoise-->

      <highlightcolor name="COL4H" foreground-rgb="#00000000" background-rgb="#0040E0D0"/>

      <!--turquoise gray-->

      <highlightcolor name="COL4V" foreground-rgb="#0040E0D0" background-rgb="#00808080"/>

      <!--black pale green-->

      <highlightcolor name="COL5N" foreground-rgb="#00000000" background-rgb="#0090A69A"/>

      <!--black green-->

      <highlightcolor name="COL5H" foreground-rgb="#00000000" background-rgb="#0000FF00"/>

      <!--green gray-->

      <highlightcolor name="COL5V" foreground-rgb="#0000FF00" background-rgb="#00808080"/>

      <!--black pale red-->

      <highlightcolor name="COL6N" foreground-rgb="#00000000" background-rgb="#00FFC0C0"/>

      <!--black red-->

      <highlightcolor name="COL6H" foreground-rgb="#00000000" background-rgb="#00FF0000"/>

      <!--red gray-->

      <highlightcolor name="COL6V" foreground-rgb="#00FF0000" background-rgb="#00808080"/>

      <!--black palemagenta-->

      <highlightcolor name="COL7N" foreground-rgb="#00000000" background-rgb="#00A185A6"/>

      <!--black magenta-->

      <highlightcolor name="COL7H" foreground-rgb="#00000000" background-rgb="#00E06090"/>

      <!--magenta gray-->

      <highlightcolor name="COL7V" foreground-rgb="#00E06090" background-rgb="#00808080"/>
   </highlightcolorlist>

   <!--Settings for input.-->

   <input>
      <!--Specifies how overlays are processed. With the value TRUE, the overlay is
                referenced and processed as a unit. With FALSE, the overlay is resolved into
                components (text, graphics, paths etc.) and added to the page content.-->

      <overlayasreference value="true"/>

      <!--Specifies (for the OTF format) how consecutive strings are processed.
                RELATIVE positions consecutive strings relative to the preceding ones. Position and
                length of the first string determine the position of the second string. This value
                is recommended since output text can have a different lengths due to different fonts
                and texts could overlap when using absolute positioning. ABSOLUTE positions
                consecutive strings based on the string length specified in the OTF
                file.-->

      <stringappendmode value="Absolute"/>

      <!--If the LIST format contains no tray name that can be used as medium map
                name (Medium Map), the page can automatically be rotated to portrait. You can
                specify, whether the rotation to portrait is allowed (TRUE) or not
                (FALSE).-->

      <autorotate value="false"/>

      <!--For the OTF command 'box', filling patterns are used if applicable. These
                may cause undesirable effects. To avoid these effects, the value can be set to
                FALSE. Specify, whether filling patterns are to be generated (TRUE) or not (FALSE)
                and whether they are to be replaced by gray values. -->

      <generatepatterns value="true"/>

      <!-- Permitts the processing of copies per job. TRUE evaluates the GOF
                parameter PJAMOUNT and renders job copies in the input filter. FALSE sets job copies
                as a document property that can be processed by the output filter. The default value
                is FALSE. The attribute collate is only used for enabled job copies. The allowed
                values are "yes" or "no". The default value is "yes". collate="no" means that each
                sheet of paper is first copied before the next one of the document is
                printed.-->

      <processjobcopies value="false" collate="yes"/>

      <format>
         <!-- The code page is important for GOF, mainly in the OTF format. Here, the
                code page for the texts is selected by the commands CP (Change Code Page) and FC
                (Font Call). SAP uses native names that can be assigned to IANA names. The element
                "codepage has the following sub-elements: "name": Number of the SAP code page as
                described in the SAP documentation (required). "iana": IANA name of the code page to
                be mapped to the SAP code page. "default": TRUE specifies the code page to be used
                as default for the reading of the input file. FALSE maps the SAP code page to a IANA
                code page. -->

         <codepage name="1100" iana="ISO-8859-1" default="true"/>

         <!-- Specifies the default MajorVersion when the header information is missing
                in the GOF input file. The allowed values are 1 or 2. Default:1.-->

         <MajorVersion default="1"/>
      </format>

      <!--Specifies, how the page size and orientation are to be interpreted. The
                way, how the page size is calculated is defined by "pagesizecalculation": Valid
                values are STANDARD and BOUNDING. By default, "inputinterpretationmode" is disabled.
                The default value is MEDIUM. The value of "pagesizecalculation" is requested from
                the input filter because this property is used in FDP, AFP, MMD and SAPGOF filters.
                Alternatively, the user can explicitly define the "inputinterpretationmode", which
                will overwrite the input filter default settings.-->

      <inputinterpretationmode value="Page" pagesizecalculation="Standard"/>

      <!--Determines how the IMM (Invoke Medium Map) is processed. This is useful in
                conjunction with the Formdef processor for processing N-up AFP documents (see
                "inputinterpretationmode"). For TRUE: resolve all information given by medium map
                and do not provide medium map name via MFF interface. For FALSE: provide only medium
                map name via MFF interface (pass through mode). For STANDARD: provide the medium map
                name via MFF interface (default), provide simplex/duplex, copy count, tray, jog,
                resolve medium map overlays (see "overlayasreference"), resolve constant form
                control and resolve TRN supressions-->

      <processmediummap value="Standard"/>

      <!--The element "pagedefinition" determines the correct positioning of text and
                images on the page. The attribute "name" specifies the name of the page
                definition.-->

      <pagedefinitionlist>
         <!--The element "pagedefinition" determines the correct positioning of text and
                images on the page. The attribute "name" specifies the name of the page
                definition.-->

         <pagedefinition name="A4_portrait" usefile="false">
            <!--Specifies the papersize for a page (definition). The paper size can be
                specified either by the attribute-combination "format" and "orientation" or by
                "width" and "height".-->
            <!--Attribute: format @comment: The name of a standard paper size. Examples for possible
                values are "A4" and "LETTER". A complete list of the possible values is included in
                the DocBridge Mill Manual. This attribute does not have a default
                value.-->
            <!--Attribute: orientation @comment: The orientation of a standard paper size. Possible values of
                this attribute are "Portrait", "Landscape", "RevPortrait", and "RevLandscape". The
                default value of this attribute is "Portrait".-->
            <!--Attribute: width @comment: The width of the paper sheet. Valid length units are "tcm",
                "mm", "cm", "dm", "m", "in", "inch", "mil", "thou", "pt", "tw", "cpbu", "ch", and
                "ln".-->
            <!--Attribute: height @comment: The height of the paper sheet. Valid length units are "tcm",
                "mm", "cm", "dm", "m", "in", "inch", "mil", "thou", "pt", "tw", "cpbu", "ch", and
                "ln".-->

            <papersize format="A4" orientation="Portrait" width="612 pt" height="12 in"/>

            <!--The declaration of sheet margins.-->
            <!--Attribute: left @comment: The width of the left sheet margin. Valid length units are
                "tcm", "mm", "cm", "dm", "m", "in", "inch", "mil", "thou", "pt", "tw", "cpbu", "ch",
                and "ln".-->
            <!--Attribute: right @comment: The width of the right sheet margin. Valid length units are
                "tcm", "mm", "cm", "dm", "m", "in", "inch", "mil", "thou", "pt", "tw", "cpbu", "ch",
                and "ln".-->
            <!--Attribute: top @comment: The height of the top sheet margin. Valid length units are
                "tcm", "mm", "cm", "dm", "m", "in", "inch", "mil", "thou", "pt", "tw", "cpbu", "ch",
                and "ln".-->
            <!--Attribute: bottom @comment: The height of the bottom sheet margin. Valid length units are
                "tcm", "mm", "cm", "dm", "m", "in", "inch", "mil", "thou", "pt", "tw", "cpbu", "ch",
                and "ln".-->

            <margins left="0.254 cm" right="0.2 cm" top="0.254 cm" bottom="0.5 cm"/>
            <linesperinch value="8.571"/>
            <rotation value="0"/>

            <!--<duplexcontrol value="Simplex"/>-->
            <!--Specifies the input tray. The attribute "name" indicates the name of the
                input tray.-->
            <!--Attribute: name @comment: Specifies the input tray. The attribute "name" indicates the name of the
                input tray.-->
            <!--<tray name="SA00001L"/>-->

            <resolution rx="1440" ry="1440"/>
         </pagedefinition>

         <pagedefinition name="A4_landscape">
            <papersize format="A4" orientation="Landscape"/>
            <margins left="0.254 cm" right="0.2 cm" top="0.635 cm" bottom="0.5 cm"/>
            <linesperinch value="8.276"/>
            <rotation value="0"/>
         </pagedefinition>

         <pagedefinition name="A4_land44">
            <papersize format="A4" orientation="Landscape"/>
            <margins left="0.254 cm" right="0.2 cm" top="0.254 cm" bottom="0.5 cm"/>
            <linesperinch value="5.581"/>
            <rotation value="0"/>
         </pagedefinition>

         <pagedefinition name="A4_land58">
            <papersize format="A4" orientation="Landscape"/>
            <margins left="0.254 cm" right="0.2 cm" top="0.254 cm" bottom="0.5 cm"/>
            <linesperinch value="7.237"/>
            <rotation value="0"/>
         </pagedefinition>

         <pagedefinition name="A4_land90">
            <papersize format="A4" orientation="Landscape"/>
            <margins left="0.254 cm" right="0.2 cm" top="0.254 cm" bottom="0.5 cm"/>
            <linesperinch value="11.429"/>
            <rotation value="0"/>
         </pagedefinition>

         <pagedefinition name="A4_paper">
            <papersize format="A4" orientation="Portrait"/>
            <margins left="2 cm" right="2 cm" top="1 cm" bottom="1 cm"/>
            <linesperinch value="8"/>
            <rotation value="0"/>
         </pagedefinition>

         <pagedefinition name="LETTER_portrait">
            <papersize format="letter" orientation="Portrait"/>
            <margins left="2 cm" right="2 cm" top="1 cm" bottom="1 cm"/>
            <linesperinch value="8"/>
            <rotation value="0"/>
         </pagedefinition>

         <pagedefinition name="LETTER_landscape">
            <papersize format="letter" orientation="Landscape"/>
            <margins left="2 cm" right="2 cm" top="1 cm" bottom="1 cm"/>
            <linesperinch value="8"/>
            <rotation value="0"/>
            <duplexcontrol value="Simplex"/>

            <!--Specifies the input tray. The attribute "name" indicates the name of the
                input tray.-->

            <tray name="SA00001L"/>
         </pagedefinition>

         <pagedefinition name="INCH12" usefile="false">
            <papersize width="612 pt" height="12 in"/>

            <!-- Specifies the size of the page margins. The attributes "left", "right",
                "top" and "bottom" each expect a value in inch, cm, or pt. Internally, all values
                are converted to in (e.g. 612pt = 8.5 in). -->

            <margins left="1 pt" right="1 pt" top="1 pt" bottom="1 pt"/>
            <linesperinch value="6"/>
            <rotation value="0"/>
            <resolution rx="1440" ry="1440"/>
         </pagedefinition>
      </pagedefinitionlist>

      <!--Defines the list of medium definitions.-->

      <mediumdefinitions>
         <!-- In the LIST format it is mandatory to define the page (including
                overlays). In the OTF format these definitions are optional. The default profile
                contains no formdef but can be expanded to include one. The element
                "mediumdefinition" maps the information regarding paper format (contained in the
                LIST format attributes "pjpaper" or "pjform") to a "pagedefinition".-->
         <!--<mediumdefinition name="X_65_132" pagedef="A4_landscape" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_44_120" pagedef="A4_land44" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_58_170" pagedef="A4_land58" fontnormid="16" fontboldid="17"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_65_255" pagedef="A4_landscape" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_65_80" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_90_120" pagedef="A4_land90" fontnormid="18" fontboldid="19"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_PAPER" pagedef="A4_paper" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="DINA4" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="DINA3" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="INCH4" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="INCH6" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="INCH8" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="INCH11" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="INCH12" pagedef="A4_portrait" fontnormid="14" fontboldid="15"
                           usebold="false"/>-->
         <!--<mediumdefinition name="LETTER" pagedef="LETTER_portrait" fontnormid="12" fontboldid="13"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_LANDS" pagedef="A4_landscape" fontnormid="12" fontboldid="13"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_LANDB" pagedef="A4_landscape" fontnormid="12" fontboldid="13"
                           usebold="false"/>-->
         <!--<mediumdefinition name="X_PORT" pagedef="A4_portrait" fontnormid="12" fontboldid="13"
                           usebold="false"/>-->
      </mediumdefinitions>

      <!--Controls the barcode affixation in the LIST format with dynamic page
                definition. TRUE creates an image object. This means that the barcode is affixed as
                image. FALSE creates a barcode object. This object contains the barcode information
                to be rendered by the output filter. -->

      <addbarcodeasimage value="true"/>

      <!--Specifies the orientation of a barcode. In the OTF barcode command BC, the
                value for ALIGNBASLINE can be set. If it is not set or the value is not unique (#),
                the value from the profile file mffgof.pro is set or overwritten according to the
                element barcodeoriginsap. Valid values are: TRUE: The barcode is positioned and
                aligned along the lower left corner. FALSE: The barcode is positioned and aligned
                along the upper left corner. ANY: The barcode is positioned according to the value
                of the OTF file. If the value of ALIGNBASELINE has already been specified in the OTF
                file, the values of the parameter "value" have no effect.-->

      <barcodeoriginsap value="false" hashalign="true" replace="false"/>

      <!--Specifies for the OTF format how barcodes are generated. The input file
                only contains maximum height and width. For each barcode element an additional
                height scaling factor 'heightscale' can be set. In this case the alignment may be
                set by 'scalealign' with values 'top', 'center' or 'bottom'. Default is 'center'.
                This is not permitted for 2D barcodes. In addition, it is possible to enable ZPL
                encoding for code 128 barcodes for input data by setting
                encoding="ZPL".-->

      <barcodelist>
         <barcode name="BC_93" type="Code 93" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="15 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_CD39" type="Code 39" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="15 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_CD39C" type="Code 39" checkdigits="1" displayhri="false" hriPosition="default" modulewidth="18 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_C128B" type="Code 128B" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="13 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_EAN13" type="EAN 13" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="19 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_EAN8" type="EAN 8" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_EANH" type="EAN 128" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="18 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_I25" type="Code 2/5 Int" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="17 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_I25C" type="Code 2/5 Int" checkdigits="1" displayhri="false" hriPosition="default" modulewidth="17 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_PSN5" type="POSTNET" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="33 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_PSN9" type="POSTNET" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="33 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_PSN11" type="POSTNET" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="33 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_MSI" type="MSI" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="19 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_MSIC" type="MSI 10" checkdigits="1" displayhri="false" hriPosition="default" modulewidth="19 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_MSIC1" type="MSI 10" checkdigits="2" displayhri="false" hriPosition="default" modulewidth="19 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BC_MSIC2" type="MSI 11" checkdigits="2" displayhri="false" hriPosition="default" modulewidth="19 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="ARTNR" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="AUFNR" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="KUNAUNR" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="KUNAUPS" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="MBBARC" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="MBBARC1" type="EAN 8" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="14"/>
         <barcode name="RSNUM" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="RSPOS" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="RUECKNR" type="Code 128" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="20 tw" respectmaxwidth="false" fontid="13"/>
         <barcode name="BARCLVS" type="Code 39" checkdigits="0" displayhri="true" hriPosition="default" modulewidth="15 tw" respectmaxwidth="false" fontid="15"/>
         <barcode name="C128A_00" type="Code 128" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="C128A_01" type="Code 128" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="C128B_00" type="Code 128B" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="C128B_01" type="Code 128B" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="CD39C_00" type="Code 39" checkdigits="1" displayhri="false" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="CD39C_01" type="Code 39" checkdigits="1" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="CD39__00" type="Code 39" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
         <barcode name="CD39__01" type="Code 39" checkdigits="0" displayhri="false" hriPosition="default" modulewidth="20 tw" respectmaxwidth="true" fontid="13"/>
      </barcodelist>

      <encodinglist>
         <encoding name="HashCode" extension="" value="">
            <!--hash=#07 hook-->

            <entry code="7" char="2440" imagefile="SHOWICON.tif" page="3" fontid="44" devname="5B"/>

            <!--hash=#08 fork-->

            <entry code="8" char="2442"/>

            <!--hash=#09 chair-->

            <entry code="9" char="2441"/>

            <!--hash=#035-->

            <entry code="35" char="0023"/>

            <!--at=#064-->

            <entry code="64" char="0040"/>

            <!--backslash-->

            <entry code="92" char="005C"/>

            <!--CIRCUMFLEX ACCENT-->

            <entry code="94" char="005E"/>

            <!--tilde=#126-->

            <entry code="126" char="02DC"/>

            <!--syllable hyphen-->

            <entry code="160" char="00AD"/>

            <!--inverse exclamation point-->

            <entry code="161" char="00A1"/>

            <!--cent-->

            <entry code="162" char="00A2"/>

            <!--sterling (pound)-->

            <entry code="163" char="00A3"/>

            <!--yen-->

            <entry code="165" char="00A5"/>

            <!--paragraph=#167-->

            <entry code="167" char="00A7"/>

            <!--currency-->

            <entry code="168" char="00A4"/>

            <!--guillemotleft-->

            <entry code="171" char="00AB"/>

            <!--period centered-->

            <entry code="180" char="00B7"/>

            <!--paragraph-->

            <entry code="182" char="00A7"/>

            <!--guillemotright-->

            <entry code="187" char="00BB"/>

            <!--question down-->

            <entry code="191" char="00BF"/>

            <!--acute-->

            <entry code="194" char="00B4"/>

            <!--macron-->

            <entry code="197" char="00AF"/>

            <!--dieresis (uml)-->

            <entry code="200" char="00A8"/>

            <!--ring-->

            <entry code="202" char="00B0"/>

            <!--cedilla-->

            <entry code="203" char="00B8"/>

            <!--AElig-->

            <entry code="225" char="00C6"/>

            <!--ordfeminine-->

            <entry code="227" char="00AA"/>

            <!--Oslash-->

            <entry code="233" char="00D8"/>

            <!--ordmasculine-->

            <entry code="235" char="00BA"/>

            <!--aelig-->

            <entry code="241" char="00E6"/>

            <!--oslash-->

            <entry code="249" char="00F8"/>

            <!--sz-->

            <entry code="251" char="00DF"/>

            <!--Aacute-->

            <entry code="256" char="00C1"/>

            <!--Acircumflex-->

            <entry code="257" char="00C2"/>

            <!--Auml-->

            <entry code="258" char="00C4"/>

            <!--Agrave-->

            <entry code="259" char="00C0"/>

            <!--Aring-->

            <entry code="260" char="00C5"/>

            <!--Atilde-->

            <entry code="261" char="00C3"/>

            <!--Ccedilla-->

            <entry code="262" char="00C7"/>

            <!--Eacute-->

            <entry code="263" char="00C9"/>

            <!--Ecircumflex-->

            <entry code="264" char="00CA"/>

            <!--Euml-->

            <entry code="265" char="00CB"/>

            <!--Egrave-->

            <entry code="266" char="00C8"/>

            <!--ETH-->

            <entry code="267" char="00D0"/>

            <!--Iacute-->

            <entry code="270" char="00CD"/>

            <!--Icircumflex-->

            <entry code="271" char="00CE"/>

            <!--Iuml-->

            <entry code="272" char="00CF"/>

            <!--Igrave-->

            <entry code="274" char="00CC"/>

            <!--Ntilde-->

            <entry code="276" char="00D1"/>

            <!--Oacute-->

            <entry code="277" char="00D3"/>

            <!--Ocircumflex-->

            <entry code="278" char="00D4"/>

            <!--Ouml-->

            <entry code="279" char="00D6"/>

            <!--Ograve-->

            <entry code="280" char="00D2"/>

            <!--Otilde-->

            <entry code="281" char="00D5"/>

            <!--Thorn-->

            <entry code="284" char="00DE"/>

            <!--Uacute-->

            <entry code="285" char="00DA"/>

            <!--Ucircumflex-->

            <entry code="286" char="00DB"/>

            <!--Uuml-->

            <entry code="287" char="00DC"/>

            <!--Ugrave-->

            <entry code="288" char="00D9"/>

            <!--Yacute-->

            <entry code="289" char="00DD"/>

            <!--aacute-->

            <entry code="292" char="00E1"/>

            <!--acircumflex-->

            <entry code="293" char="00E2"/>

            <!--auml-->

            <entry code="294" char="00E4"/>

            <!--agrave-->

            <entry code="295" char="00E0"/>

            <!--aring-->

            <entry code="296" char="00E5"/>

            <!--atilde-->

            <entry code="302" char="00E3"/>

            <!--brokenbar-->

            <entry code="303" char="00A6"/>

            <!--ccedilla-->

            <entry code="304" char="00E7"/>

            <!--copyright-->

            <entry code="306" char="00A9"/>

            <!--degree-->

            <entry code="308" char="00B0"/>

            <!--divide-->

            <entry code="309" char="00F7"/>

            <!--eacute-->

            <entry code="311" char="00E9"/>

            <!--ecircumflex-->

            <entry code="312" char="00EA"/>

            <!--euml-->

            <entry code="313" char="00EB"/>

            <!--egrave-->

            <entry code="314" char="00E8"/>

            <!--eth-->

            <entry code="315" char="00F0"/>

            <!--iacute-->

            <entry code="319" char="00ED"/>

            <!--icircumflex-->

            <entry code="320" char="00EE"/>

            <!--iuml-->

            <entry code="321" char="00EF"/>

            <!--igrave-->

            <entry code="322" char="00EC"/>

            <!--logical not-->

            <entry code="329" char="00AC"/>

            <!--micro (my)=#332-->

            <entry code="332" char="03BC"/>

            <!--mulitply-->

            <entry code="333" char="00D7"/>

            <!--ntilde-->

            <entry code="335" char="00F1"/>

            <!--oacute-->

            <entry code="336" char="00F3"/>

            <!--ocircumflex-->

            <entry code="337" char="00F4"/>

            <!--ouml-->

            <entry code="338" char="00F6"/>

            <!--ograve-->

            <entry code="339" char="00F2"/>

            <!--one half-->

            <entry code="340" char="00BD"/>

            <!--one quarter-->

            <entry code="341" char="00BC"/>

            <!--one superior-->

            <entry code="342" char="00B9"/>

            <!--otilde-->

            <entry code="343" char="00F5"/>

            <!--plusminus-->

            <entry code="345" char="00B1"/>

            <!--registered-->

            <entry code="347" char="00AE"/>

            <!--thorn-->

            <entry code="354" char="00FE"/>

            <!--three quarters-->

            <entry code="355" char="00BE"/>

            <!--three superior-->

            <entry code="356" char="00B3"/>

            <!--two superior-->

            <entry code="358" char="00B2"/>

            <!--uacute-->

            <entry code="359" char="00FA"/>

            <!--ucircumflex-->

            <entry code="360" char="00FB"/>

            <!--uuml-->

            <entry code="361" char="00FC"/>

            <!--ugrave-->

            <entry code="362" char="00F9"/>

            <!--yacute-->

            <entry code="364" char="00FD"/>

            <!--yuml-->

            <entry code="365" char="00FF"/>

            <!--LATIN SMALL LETTER U WITH TILDE-->

            <entry code="398" char="0169"/>

            <!--Box drawings light horizontal '-'-->

            <entry code="460" char="2500"/>

            <!--light vertical '¦'-->

            <entry code="461" char="2502"/>

            <!--down and right '+'-->

            <entry code="462" char="250C"/>

            <!--down and left '+'-->

            <entry code="463" char="2510"/>

            <!--up and right '+'-->

            <entry code="464" char="2514"/>

            <!--up and left '+'-->

            <entry code="465" char="2518"/>

            <!--vertical and right '+'-->

            <entry code="466" char="251C"/>

            <!--vertical and left '¦'-->

            <entry code="467" char="2524"/>

            <!--down and horizontal '-'-->

            <entry code="468" char="252C"/>

            <!--up and horizontal '-'-->

            <entry code="469" char="2534"/>

            <!--vertical and horizontal '+'-->

            <entry code="470" char="253C"/>
            <entry code="471" char="0000"/>
            <entry code="472" char="0000"/>
            <entry code="473" char="0000"/>
            <entry code="474" char="0000"/>

            <!--currently replaced by BLACK RIGHT-POINTING TRIANGLE - also in CP
                273-->

            <entry code="475" char="25B6"/>
            <entry code="476" char="0000"/>

            <!--Symbol Space-->

            <entry code="672" char="0020"/>

            <!--entries with special font - font entry with fontfile="sapdn.ttf"
                fontfiletype="TrueType" id="44" and fontfile "sapdn.ttf" in resources required,
                otherwise entry is not used (user defined unicode) box with plus inside
                char="229E"-->

            <entry code="673" char="F021" fontid="44"/>

            <!--box with minus inside char="229F"-->

            <entry code="674" char="F022" fontid="44"/>

            <!--circle with plus inside char="2295"-->

            <entry code="675" char="F023" fontid="44"/>

            <!--circle with minus inside char="2296"-->

            <entry code="676" char="F024" fontid="44"/>

            <!--filled square char="25A0"-->

            <entry code="677" char="F025" fontid="44"/>

            <!--half-filled square char="25E8"-->

            <entry code="678" char="F026" fontid="44"/>

            <!--empty square char="25A1"-->

            <entry code="679" char="F027" fontid="44"/>

            <!--filled circle char="25CF"-->

            <entry code="680" char="F028" fontid="44"/>

            <!--half-filled circle char="25D1"-->

            <entry code="681" char="F029" fontid="44"/>

            <!--empty circle char="25CB"-->

            <entry code="682" char="F02A" fontid="44"/>

            <!--filled diamond char="25C6"-->

            <entry code="683" char="F02B" fontid="44"/>

            <!--empty diamond char="25C7"-->

            <entry code="684" char="F02C" fontid="44"/>

            <!--diagonal cross (cancel) char="2717"-->

            <entry code="686" char="F02E" fontid="44"/>

            <!--word balloon, note SYM NOTE-->

            <entry code="687" char="F02F" fontid="44"/>

            <!--document SYM DOCUMENT-->

            <entry code="688" char="F030" fontid="44"/>

            <!--document with checkmark SYM CHECKED DOCUMENT-->

            <entry code="689" char="F031" fontid="44"/>

            <!--double documents SYM DOCUMENTS-->

            <entry code="690" char="F032" fontid="44"/>

            <!--folder SYM FOLDER-->

            <entry code="691" char="F033" fontid="44"/>

            <!--folder with plus inside SYM PLUS FOLDER-->

            <entry code="692" char="F034" fontid="44"/>

            <!--folder with minus inside SYM MINUS FOLDER-->

            <entry code="693" char="F035" fontid="44"/>

            <!--open folder SYM OPEN FOLDER-->

            <entry code="694" char="F036" fontid="44"/>

            <!--bold minus sign SYM BOLD MINUS-->

            <entry code="695" char="F037" fontid="44"/>

            <!--bold plus sign SYM BOLD PLUS-->

            <entry code="696" char="F038" fontid="44"/>

            <!--selected checkbox char="22A0"-->

            <entry code="697" char="F039" fontid="44"/>

            <!--selected radiobutton char="25C9"-->

            <entry code="698" char="F03A" fontid="44"/>

            <!--triangle pointing left char="25C0"-->

            <entry code="699" char="F03B" fontid="44"/>

            <!--triangle pointing right char="25B6"-->

            <entry code="700" char="F03C" fontid="44"/>

            <!--triangle pointing up char="25B2"-->

            <entry code="701" char="F03D" fontid="44"/>

            <!--triangle pointing down char="25BC"-->

            <entry code="702" char="F03E" fontid="44"/>

            <!--hand pointing left char="261C"-->

            <entry code="703" char="F03F" fontid="44"/>

            <!--left arrow char="2190"-->

            <entry code="705" char="F041" fontid="44"/>

            <!--right arrow char="2192"-->

            <entry code="706" char="F042" fontid="44"/>

            <!--up arrow char="2191"-->

            <entry code="707" char="F043" fontid="44"/>

            <!--down arrow char="2193"-->

            <entry code="708" char="F044" fontid="44"/>

            <!--check mark char="2713"-->

            <entry code="709" char="F045" fontid="44"/>

            <!--pencil SYM PENCIL-->

            <entry code="710" char="F046" fontid="44"/>

            <!--glasses SYM GLASSES-->

            <entry code="711" char="F047" fontid="44"/>

            <!--closed badlock SYM LOCKED-->

            <entry code="712" char="F048" fontid="44"/>

            <!--open badlock SYM UNLOCKED-->

            <entry code="713" char="F049" fontid="44"/>

            <!--telephone char="260E"-->

            <entry code="714" char="F04A" fontid="44"/>

            <!--printer SYM PRINTER-->

            <entry code="715" char="F04B" fontid="44"/>

            <!--fax machine SYM FAX-->

            <entry code="716" char="F04C" fontid="44"/>

            <!--asterisk, * char="2731"-->

            <entry code="717" char="F04D" fontid="44"/>

            <!--hand pointing right char="261E"-->

            <entry code="718" char="F04E" fontid="44"/>

            <!--sorted ascending SYM SORTED UP-->

            <entry code="719" char="F04F" fontid="44"/>

            <!--sorted descending SYM SORTED DOWN-->

            <entry code="720" char="F050" fontid="44"/>

            <!--cumulated SYM COMULATED-->

            <entry code="721" char="F051" fontid="44"/>

            <!--delete mark SYM DELETE-->

            <entry code="722" char="F052" fontid="44"/>

            <!--executable SYM EXECUTABLE-->

            <entry code="723" char="F053" fontid="44"/>

            <!--workflow-object SYM WORKFLOW ITEM-->

            <entry code="724" char="F054" fontid="44"/>

            <!--caution SYM CAUTION-->

            <entry code="725" char="F055" fontid="44"/>

            <!--express, urgent SYM FLASH-->

            <entry code="726" char="F056" fontid="44"/>

            <!--large empty square SYM LARGE SQUARE-->

            <entry code="727" char="F057" fontid="44"/>

            <!--ellipsis (...) char="2026"-->

            <entry code="728" char="F058" fontid="44"/>

            <!--sapicons with multipage tif: sample list - for usage remove the comments
                outside and replace "comment_start" by "!- -" and "comment_stop" by "- -" <entry
                code='768' imagefile="sapicons.tif" page='558'/> <comment_start ICON_DUMMY
                Placeholder icon 00 B_DUMY comment_stop> <entry code='769'
                imagefile="sapicons.tif" page='24'/> <comment_start ICON_CHECKED Checked OK 01
                S_OKAY comment_stop> <entry code='770' imagefile="sapicons.tif" page='25'/>
                <comment_start ICON_INCOMPLETE Incomplete critical 02 S_NONO comment_stop>
                <entry code='771' imagefile="sapicons.tif" page='26'/> <comment_start
                ICON_FAILURE Failed 03 S_ERRO comment_stop> <entry code='772'
                imagefile="sapicons.tif" page='27'/> <comment_start ICON_POSITIVE Positive
                Good 04 S_POSI comment_stop> <entry code='773' imagefile="sapicons.tif"
                page='28'/> <comment_start ICON_NEGATIVE Negative Bad 05 S_NEGA
                comment_stop> <entry code='774' imagefile="sapicons.tif" page='29'/>
                <comment_start ICON_LOCKED Locked Lock 06 S_LOCL comment_stop> <entry
                code='775' imagefile="sapicons.tif" page='30'/> <comment_start ICON_UNLOCKED
                Free unlock 07 S_LOOP comment_stop> <entry code='776' imagefile="sapicons.tif"
                page='31'/> <comment_start ICON_GREEN_LIGHT Green Light Go Okay 08 S_TL_G
                comment_stop> <entry code='777' imagefile="sapicons.tif" page='32'/>
                <comment_start ICON_YELLOW_LIGHT Yellow light caution 09 S_TL_Y comment_stop>
                <entry code='778' imagefile="sapicons.tif" page='33'/> <comment_start
                ICON_RED_LIGHT Red light stop errors 0A S_TL_R comment_stop> <entry code='779'
                imagefile="sapicons.tif" page='56'/> <comment_start ICON_TOTAL_LEFT Extreme
                left first ... 0B B_TOTL comment_stop> <entry code='780'
                imagefile="sapicons.tif" page='61'/> <comment_start ICON_TOTAL_RIGHT Extreme
                right last ... 0C B_TOTR comment_stop> <entry code='781'
                imagefile="sapicons.tif" page='58'/> <comment_start ICON_COLUMN_LEFT Column
                left previous ... 0D B_COLL comment_stop> <entry code='782'
                imagefile="sapicons.tif" page='59'/> <comment_start ICON_COLUMN_RIGHT Column
                right next ... 0E B_COLR comment_stop> <entry code='783'
                imagefile="sapicons.tif" page='60'/> <comment_start ICON_PAGE_RIGHT Page right
                0F B_PAGR comment_stop> <entry code='784' imagefile="sapicons.tif"
                page='57'/> <comment_start ICON_PAGE_LEFT Page left 0G B_PAGL comment_stop>
                <entry code='785' imagefile="sapicons.tif" page='2'/> <comment_start
                ICON_PREVIOUS_VALUE Previous value; next entry 0H B_PRVI comment_stop> <entry
                code='786' imagefile="sapicons.tif" page='1'/> <comment_start ICON_NEXT_VALUE
                Next value previous entry 0I B_NXTI comment_stop> <entry code='787'
                imagefile="sapicons.tif" page='15'/> <comment_start ICON_ANNOTATION Note
                remark 0J B_ANNO comment_stop> <entry code='788' imagefile="sapicons.tif"
                page='16'/> <comment_start ICON_CREATE_NOTE Create note 0K B_NOCR
                comment_stop> <entry code='789' imagefile="sapicons.tif" page='17'/>
                <comment_start ICON_DISPLAY_NOTE Display note 0LB_NODP comment_stop> <entry
                code='790' imagefile="sapicons.tif" page='21'/> <comment_start
                ICON_CALCULATION Costing 0M B_CALC comment_stop> <entry code='791'
                imagefile="sapicons.tif" page='19'/> <comment_start ICON_GRAPHICS Graphic 0N
                B_GRAF comment_stop> <entry code='792' imagefile="sapicons.tif" page='13'/>
                <comment_start ICON_CREATE_TEXT Create text 0O B_TXCR comment_stop> <entry
                code='793' imagefile="sapicons.tif" page='14'/> <comment_start
                ICON_DISPLAY_TEXT Display text 0P B_TXDP comment_stop> <entry code='794'
                imagefile="sapicons.tif" page='12'/> <comment_start ICON_CHANGE_TEXT Text 0Q
                B_TEXT comment_stop> <entry code='795' imagefile="sapicons.tif" page='23'/>
                <comment_start ICON_VARIANTS Variants 0R B_VARI comment_stop> <entry
                code='796' imagefile="sapicons.tif" page='20'/> <comment_start
                ICON_INFORMATION Information 0S B_INFO comment_stop> <entry code='797'
                imagefile="sapicons.tif" page='18'/> <comment_start ICON_ADDRESS Address 0T
                B_ADDR comment_stop> <entry code='798' imagefile="sapicons.tif"
                page='181'/> <comment_start ICON_VIEWER_OPTICAL_ARCHIVE Optical archive viewer
                0U B_OPTA comment_stop> <entry code='799' imagefile="sapicons.tif"
                page='52'/> <comment_start ICON_OKAY OK Continue Choose <value> 0V
                B_OKAY comment_stop> <entry code='800' imagefile="sapicons.tif" page='53'/>
                <comment_start ICON_CANCEL Cancel 0W B_CANC comment_stop> <entry code='801'
                imagefile="sapicons.tif" page='5'/> <comment_start ICON_PRINT Print 0X B_PRNT
                comment_stop> <entry code='802' imagefile="sapicons.tif" page='94'/>
                <comment_start ICON_CREATE Create 0Y B_CREA comment_stop> <entry code='803'
                imagefile="sapicons.tif" page='91'/> <comment_start ICON_CHANGE Change 0Z
                B_CHNG comment_stop> <entry code='804' imagefile="sapicons.tif" page='96'/>
                <comment_start ICON_DISPLAY Display 10 B_DISP comment_stop> <entry
                code='805' imagefile="sapicons.tif" page='123'/> <comment_start ICON_DELETE
                Delete 11 B_DELE comment_stop> <entry code='806' imagefile="sapicons.tif"
                page='560'/> <comment_start ICON_TEST Test 12 B_TEST comment_stop>
                <entry code='807' imagefile="sapicons.tif" page='9'/> <comment_start
                ICON_SEARCH Find 13 B_SRCH comment_stop> <entry code='808'
                imagefile="sapicons.tif" page='6'/> <comment_start ICON_COPY_OBJECT Copy
                <object> 14 B_COPY comment_stop> <entry code='809'
                imagefile="sapicons.tif" page='3'/> <comment_start ICON_EXECUTE_OBJECT Execute
                <object> 15 B_EXEC comment_stop> <entry code='810'
                imagefile="sapicons.tif" page='4'/> <comment_start ICON_SELECT_DETAIL Choose
                <detail>; Detail 16 B_DETL comment_stop> <entry code='811'
                imagefile="sapicons.tif" page='10'/> <comment_start ICON_INSERT_ROW Insert row
                17 B_INSR comment_stop> <entry code='812' imagefile="sapicons.tif"
                page='11'/> <comment_start ICON_DELETE_ROW Delete Row 18 B_DELR
                comment_stop> <entry code='813' imagefile="sapicons.tif" page='895'/>
                <comment_start ICON_MESSAGE_INFORMATION Information message 19 M_INFO
                comment_stop> <entry code='814' imagefile="sapicons.tif" page='896'/>
                <comment_start ICON_MESSAGE_WARNING Warning 1A M_WARN comment_stop> <entry
                code='815' imagefile="sapicons.tif" page='897'/> <comment_start
                ICON_MESSAGE_ERROR Error message 1B M_ERRO comment_stop> <entry code='816'
                imagefile="sapicons.tif" page='898'/> <comment_start ICON_MESSAGE_QUESTION
                Question 1C M_QUES comment_stop> <entry code='817' imagefile="sapicons.tif"
                page='899'/> <comment_start ICON_MESSAGE_CRITICAL Critical message 1D M_CRIT
                comment_stop> <entry code='818' imagefile="sapicons.tif" page='287'/>
                <comment_start ICON_DISPLAY_MORE Multiple selection (active) 1E BGMORE
                comment_stop> <entry code='819' imagefile="sapicons.tif" page='288'/>
                <comment_start ICON_ENTER_MORE Multiple selection 1FB_MORE comment_stop>
                <entry code='820' imagefile="sapicons.tif" page='327'/> <comment_start
                ICON_EQUAL Equals 1G B_EQUA comment_stop> <entry code='821'
                imagefile="sapicons.tif" page='328'/> <comment_start ICON_NOT_EQUAL Not equal
                to 1H B_NEQU comment_stop> <entry code='822' imagefile="sapicons.tif"
                page='329'/> <comment_start ICON_GREATER Greater than 1I B_GREA
                comment_stop> <entry code='823' imagefile="sapicons.tif" page='330'/>
                <comment_start ICON_LESS Less than 1J B_LESS comment_stop> <entry
                code='824' imagefile="sapicons.tif" page='331'/> <comment_start
                ICON_GREATER_EQUAL Greater than or equal to 1K B_GREQ comment_stop> <entry
                code='825' imagefile="sapicons.tif" page='332'/> <comment_start
                ICON_LESS_EQUAL Less than or equal to 1L B_LEEQ comment_stop> <entry
                code='826' imagefile="sapicons.tif" page='333'/> <comment_start
                ICON_INTERVAL_INCLUDE Include range 1MB_IVIN comment_stop> <entry code='827'
                imagefile="sapicons.tif" page='334'/> <comment_start ICON_INTERVAL_EXCLUDE
                Exclude range 1N B_IVEX comment_stop> <entry code='828'
                imagefile="sapicons.tif" page='335'/> <comment_start ICON_PATTERN_INCLUDE
                Include pattern 1O B_PATT comment_stop> <entry code='829'
                imagefile="sapicons.tif" page='336'/> <comment_start ICON_PATTERN_EXCLUDE
                Exclude pattern 1P B_NPAT comment_stop> <entry code='830'
                imagefile="sapicons.tif" page='274'/> <comment_start ICON_PHONE Telephone
                Number 1Q T_PHONn comment_stop> <entry code='831' imagefile="sapicons.tif"
                page='272'/> <comment_start ICON_FAX Fax number 1R T_TFAX comment_stop>
                <entry code='832' imagefile="sapicons.tif" page='273'/> <comment_start
                ICON_MAIL Send message; mail 1S T_MAIL comment_stop> <entry code='833'
                imagefile="sapicons.tif" page='275'/> <comment_start ICON_TIME Time 1T T_TIME
                comment_stop> <entry code='834' imagefile="sapicons.tif" page='271'/>
                <comment_start ICON_DATE Date 1U T_DATE comment_stop> <entry code='835'
                imagefile="sapicons.tif" page='270'/> <comment_start ICON_ALARM Alarm 1V
                T_ALAR comment_stop> <entry code='836' imagefile="sapicons.tif"
                page='515'/> <comment_start ICON_PROSHARE ProShare 1W T_PROS comment_stop>
                <entry code='837' imagefile="sapicons.tif" page='516'/> <comment_start
                ICON_VIDEO Video 1X T_VIDE comment_stop> <entry code='838'
                imagefile="sapicons.tif" page='517'/> <comment_start ICON_VOICE_INPUT Voice
                input 1Y T_VOIC comment_stop> <entry code='839' imagefile="sapicons.tif"
                page='518'/> <comment_start ICON_VOICE_OUTPUT Voice output1Z T_SOUN
                comment_stop> <entry code='840' imagefile="sapicons.tif" page='337'/>
                <comment_start ICON_EQUAL_GREEN Select: Equal to 20 BGEQUA comment_stop>
                <entry code='841' imagefile="sapicons.tif" page='338'/> <comment_start
                ICON_NOT_EQUAL_GREEN Select: Not equal to 21 BGNEQU comment_stop> <entry
                code='842' imagefile="sapicons.tif" page='339'/> <comment_start
                ICON_GREATER_GREEN Select: Greater than 22 BGGREA comment_stop> <entry
                code='843' imagefile="sapicons.tif" page='340'/> <comment_start
                ICON_LESS_GREEN Select: Less than 23 BGLESS comment_stop> <entry code='844'
                imagefile="sapicons.tif" page='341'/> <comment_start ICON_GREATER_EQUAL_GREEN
                Select: Greater than/equal to 24 BGGREQ comment_stop> <entry code='845'
                imagefile="sapicons.tif" page='342'/> <comment_start ICON_LESS_EQUAL_GREEN
                Select: Less than/equal to 25 BGLEEQ comment_stop> <entry code='846'
                imagefile="sapicons.tif" page='343'/> <comment_start
                ICON_INTERVAL_INCLUDE_GREEN Select: Include range 26 BGIVIN comment_stop>
                <entry code='847' imagefile="sapicons.tif" page='344'/> <comment_start
                ICON_INTERVAL_EXCLUDE_GREEN Select: Exclude range 27 BGIVEX comment_stop>
                <entry code='848' imagefile="sapicons.tif" page='345'/> <comment_start
                ICON_PATTERN_INCLUDE_GREEN Select: Include pattern 28 BGPATT comment_stop>
                <entry code='849' imagefile="sapicons.tif" page='346'/> <comment_start
                ICON_PATTERN_EXCLUDE_GREEN Select: Exclude pattern 29 BGNPAT comment_stop>
                <entry code='850' imagefile="sapicons.tif" page='347'/> <comment_start
                ICON_EQUAL_RED Do not select: Equal to 2A BREQUA comment_stop> <entry
                code='851' imagefile="sapicons.tif" page='348'/> <comment_start
                ICON_NOT_EQUAL_RED Do not select: Not equal to 2B BRNEQU comment_stop> <entry
                code='852' imagefile="sapicons.tif" page='349'/> <comment_start
                ICON_GREATER_RED Do not select: Greater than 2C BRGREA comment_stop> <entry
                code='853' imagefile="sapicons.tif" page='350'/> <comment_start ICON_LESS_RED
                Do not select: Less than 2D BRLESS comment_stop> <entry code='854'
                imagefile="sapicons.tif" page='351'/> <comment_start ICON_GREATER_EQUAL_RED Do
                not select: Greater/equal 2E BRGREQ comment_stop> <entry code='855'
                imagefile="sapicons.tif" page='352'/> <comment_start ICON_LESS_EQUAL_RED Do
                not select: Less than/equal 2F BRLEEQ comment_stop> <entry code='856'
                imagefile="sapicons.tif" page='353'/> <comment_start ICON_INTERVAL_INCLUDE_RED
                Do not select: Include range 2G BRIVIN comment_stop> <entry code='857'
                imagefile="sapicons.tif" page='354'/> <comment_start ICON_INTERVAL_EXCLUDE_RED
                Do not select: Exclude range 2H BRIVEX comment_stop> <entry code='858'
                imagefile="sapicons.tif" page='355'/> <comment_start ICON_PATTERN_INCLUDE_RED
                Do not select: Include pattern 2I BRPATT comment_stop> <entry code='859'
                imagefile="sapicons.tif" page='356'/> <comment_start ICON_PATTERN_EXCLUDE_RED
                Do not select: Exclude pattern 2J BRNPAT comment_stop> <entry code='861'
                imagefile="sapicons.tif" page='886'/> <comment_start ICON_SYSTEM_SAVE Save 2L
                F_SAVE comment_stop> <entry code='866' imagefile="sapicons.tif" page='66'/>
                <comment_start ICON_OTHER_OBJECT Other <object> 2Q F_OOBJ comment_stop>
                <entry code='867' imagefile="sapicons.tif" page='54'/> <comment_start
                ICON_PREVIOUS_OBJECT Previous Screen 2R F_PRVO comment_stop> <entry code='868'
                imagefile="sapicons.tif" page='55'/> <comment_start ICON_NEXT_OBJECT Next
                Screen 2S F_NXTO comment_stop> <entry code='869' imagefile="sapicons.tif"
                page='41'/> <comment_start ICON_SYSTEM_CUT Cut 2T F_CUTO comment_stop>
                <entry code='870' imagefile="sapicons.tif" page='42'/> <comment_start
                ICON_SYSTEM_COPY Copy 2U F_COPY comment_stop> <entry code='871'
                imagefile="sapicons.tif" page='43'/> <comment_start ICON_SYSTEM_PASTE Paste 2V
                F_PAST comment_stop> <entry code='872' imagefile="sapicons.tif" page=
                '44'/> <comment_start ICON_SYSTEM_UNDO Undo 2W F_UNDO comment_stop>
                <entry code='873' imagefile="sapicons.tif" page= '37'/> <comment_start
                ICON_SYSTEM_MARK Selection mode; select 2X F_MARK comment_stop> <entry
                code='874' imagefile="sapicons.tif" page= '62'/> <comment_start
                ICON_FIRST_PAGE First Page 2Y F_FSTP comment_stop> <entry code='875'
                imagefile="sapicons.tif" page= '63'/> <comment_start ICON_PREVIOUS_PAGE
                Previous Page 2Z F_PRVP comment_stop> <entry code='876'
                imagefile="sapicons.tif" page= '64'/> <comment_start ICON_NEXT_PAGE Next Page
                30 F_NXTP comment_stop> <entry code='877' imagefile="sapicons.tif" page=
                '65'/> <comment_start ICON_LAST_PAGE Last Page 31 F_LSTP comment_stop>
                <entry code='881' imagefile="sapicons.tif" page='887'/> <comment_start
                ICON_SYSTEM_HELP Help 35 F_HELP comment_stop> <entry code='882'
                imagefile="sapicons.tif" page='460'/> <comment_start ICON_TABLE_SETTINGS Call
                report from report 36 B_TVAR comment_stop> <entry code='883'
                imagefile="sapicons.tif" page='111'/> <comment_start ICON_REPLACE Replace 37
                B_REPL comment_stop> <entry code='884' imagefile="sapicons.tif" page=
                '36'/> <comment_start ICON_CHECK Check 38 B_CHCK comment_stop> <entry
                code='885' imagefile="sapicons.tif" page= '35'/> <comment_start ICON_GENERATE
                Generate 39 B_GENR comment_stop> <entry code='886' imagefile="sapicons.tif"
                page='562'/> <comment_start ICON_REFERENCE_LIST Where-Used List 3A B_BOOK
                comment_stop> <entry code= '887' imagefile="sapicons.tif" page='559'/>
                <comment_start ICON_STACK Stack 3B B_CHIP comment_stop> <entry code='888'
                imagefile="sapicons.tif" page= '34'/> <comment_start ICON_ACTIVATE Activate 3C
                B_ACTI comment_stop> <entry code='889' imagefile="sapicons.tif"
                page='459'/> <comment_start ICON_ <comment_start ICON_LIST Icon list; Key
                3D B_ICON comment_stop> <entry code='890' imagefile="sapicons.tif" page=
                '8'/> <comment_start ICON_SORT_UP Sort in Ascending Order 3E B_SRTU
                comment_stop> <entry code='891' imagefile="sapicons.tif" page='7'/>
                <comment_start ICON_SORT_DOWN Sort in Descending Order 3F B_SRTD comment_stop>
                <entry code='892' imagefile="sapicons.tif" page='180'/> <comment_start
                ICON_LAYOUT_CONTROL Print Preview 3G B_LAYT comment_stop> <entry code='893'
                imagefile="sapicons.tif" page='130'/> <comment_start ICON_CONVERT Convert 3H
                B_CONV comment_stop> <entry code='894' imagefile="sapicons.tif" page=
                '99'/> <comment_start ICON_TOGGLE_DISPLAY_CHANGE Display <-> Change 3I
                B_DPCH comment_stop> <entry code='895' imagefile="sapicons.tif" page=
                '22'/> <comment_start ICON_SET_STATE Set Status 3J B_STAT comment_stop>
                <entry code='940' imagefile="sapicons.tif" page='281'/> <comment_start
                ICON_PREVIOUS_NODE Previous Node 3K B_PRVN comment_stop> <entry code='941'
                imagefile="sapicons.tif" page='282'/> <comment_start ICON_NEXT_NODE Next Node
                3L B_NXTN comment_stop> <entry code='942' imagefile="sapicons.tif"
                page='283'/> <comment_start ICON_TREE Hierarchy 3M B_TREE comment_stop>
                <entry code='943' imagefile="sapicons.tif" page='284'/> <comment_start
                ICON_INSERT_RELATION Insert relationship 3N B_INSN comment_stop> <entry
                code='944' imagefile="sapicons.tif" page='286'/> <comment_start
                ICON_FINAL_DATE End date; Dates 3O B_FDAT comment_stop> <entry code='945'
                imagefile="sapicons.tif" page= '67'/> <comment_start ICON_HEADER Header; basic
                data 3P B_HEAD comment_stop> <entry code='946' imagefile="sapicons.tif" page=
                '68'/> <comment_start ICON_OVERVIEW Overview; overview; list scrn 3Q B_OVIW
                comment_stop> <entry code='947' imagefile="sapicons.tif" page= '69'/>
                <comment_start ICON_DETAIL Detail view 3R B_DAIL comment_stop> <entry
                code='948' imagefile="sapicons.tif" page='115'/> <comment_start ICON_EXPAND
                Expand; enlarge 3S B_EXPA comment_stop> <entry code='949'
                imagefile="sapicons.tif" page='117'/> <comment_start ICON_COLLAPSE Compress;
                reduce 3T B_COLS comment_stop> <entry code='950' imagefile="sapicons.tif"
                page='614'/> <comment_start ICON_BREAKPOINT Breakpoint 3U S_BRKP
                comment_stop> <entry code='951' imagefile="sapicons.tif" page='557'/>
                <comment_start ICON_FOREIGN_KEY Foreign Keys 3V B_FKEY comment_stop> <entry
                code='952' imagefile="sapicons.tif" page='178'/> <comment_start ICON_LIST List
                3W B_LIST comment_stop> <entry code='953' imagefile="sapicons.tif"
                page='362'/> <comment_start ICON_CLOSE Close 3X B_CLOS comment_stop>
                <entry code='954' imagefile="sapicons.tif" page='124'/> <comment_start
                ICON_POSITION Position; other entry 3Y B_POSN comment_stop> <entry code='955'
                imagefile="sapicons.tif" page='126'/> <comment_start ICON_SUM Total 3Z B_SUMM
                comment_stop> <entry code='956' imagefile="sapicons.tif" page='132'/>
                <comment_start ICON_MOVE Move 40 B_MOVE comment_stop> <entry code='957'
                imagefile="sapicons.tif" page='133'/> <comment_start ICON_RETRIEVE Retrieve 41
                B_RETR comment_stop> <entry code='958' imagefile="sapicons.tif"
                page='103'/> <comment_start ICON_REFRESH Refresh 42 B_REFR comment_stop>
                <entry code='959' imagefile="sapicons.tif" page='128'/> <comment_start
                ICON_SKIP Skip 43 B_SKIP comment_stop> <entry code='961'
                imagefile="sapicons.tif" page='183'/> <comment_start ICON_TOOLS Tools 45
                B_TOOL comment_stop> <entry code='962' imagefile="sapicons.tif"
                page='131'/> <comment_start ICON_COMPARE Compare 46 B_COMP comment_stop>
                <entry code='963' imagefile="sapicons.tif" page='461'/> <comment_start
                ICON_SHORT_MESSAGE Short message 47 B_SNDN comment_stop> <entry code='964'
                imagefile="sapicons.tif" page='120'/> <comment_start ICON_IMPORT Import 48
                B_UPLO comment_stop> <entry code='965' imagefile="sapicons.tif"
                page='119'/> <comment_start ICON_EXPORT Export 49 B_DOWN comment_stop>
                <entry code='966' imagefile="sapicons.tif" page='561'/> <comment_start
                ICON_TRANSPORT Transport 4A B_TRNS comment_stop> <entry code='967'
                imagefile="sapicons.tif" page= '38'/> <comment_start ICON_SELECT_ALL Select
                All 4B B_MRKA comment_stop> <entry code='968' imagefile="sapicons.tif" page=
                '39'/> <comment_start ICON_SELECT_BLOCK Select Block 4C B_MRKB
                comment_stop> <entry code='969' imagefile="sapicons.tif" page= '40'/>
                <comment_start ICON_DESELECT_ALL Deselect All 4D B_MRKD comment_stop>
                <entry code='970' imagefile="sapicons.tif" page='125'/> <comment_start
                ICON_SEARCH_NEXT Find Next 4E B_SRCC comment_stop> <entry code='971'
                imagefile="sapicons.tif" page='129'/> <comment_start ICON_RENAME Rename 4F
                B_RENM comment_stop> <entry code='972' imagefile="sapicons.tif"
                page='121'/> <comment_start ICON_FILTER Filters 4G B_FILT comment_stop>
                <entry code='973' imagefile="sapicons.tif" page='280'/> <comment_start
                ICON_NEXT_HIERARCHY_LEVEL Next hierarchy level 4H B_NLEV comment_stop> <entry
                code='974' imagefile="sapicons.tif" page='279'/> <comment_start
                ICON_PREVIOUS_HIERARCHY_LEVELPrevious hierarchy level 4I B_PLEV comment_stop>
                <entry code='976' imagefile="sapicons.tif" page='122'/> <comment_start
                ICON_INTENSIFY Highlight 4K B_INTE comment_stop> <entry code='977'
                imagefile="sapicons.tif" page='469'/> <comment_start ICON_PERSONAL_HELP
                Individual help 4L B_PRSH comment_stop> <entry code='978'
                imagefile="sapicons.tif" page='276'/> <comment_start ICON_VARIABLE Variable 4M
                B_VARB comment_stop> <entry code='983' imagefile="sapicons.tif"
                page='888'/> <comment_start ICON_SYSTEM_REDO Repeat 4R F_REDO comment_stop>
                <entry code='984' imagefile="sapicons.tif" page='615'/> <comment_start
                ICON_BUSINAV_PROCESS Process 4S B_BNPR comment_stop> <entry code='985'
                imagefile="sapicons.tif" page='616'/> <comment_start
                ICON_BUSINAV_PROCESSMATRIX Process Selection Matrix 4T B_BNPA comment_stop>
                <entry code='986' imagefile="sapicons.tif" page='617'/> <comment_start
                ICON_BUSINAV_SYSORGI System organization chart 4U B_BNSO comment_stop> <entry
                code='987' imagefile="sapicons.tif" page='618'/> <comment_start
                ICON_BUSINAV_SZENARIO Scenario 4V B_BNSZ comment_stop> <entry code='988'
                imagefile="sapicons.tif" page='619'/> <comment_start ICON_BUSINAV_OBJECTS
                Business objects 4W B_BNBO comment_stop> <entry code='989'
                imagefile="sapicons.tif" page='620'/> <comment_start ICON_BUSINAV_INFODIAG
                Information flow diagram 4X B_BNID comment_stop> <entry code='990'
                imagefile="sapicons.tif" page='621'/> <comment_start ICON_BUSINAV_ENTITY
                Entity type 4Y B_BNET comment_stop> <entry code='991' imagefile="sapicons.tif"
                page='622'/> <comment_start ICON_BUSINAV_PROC_EXIST Process exists 4Z B_BNPV
                comment_stop> <entry code='992' imagefile="sapicons.tif" page='623'/>
                <comment_start ICON_BUSINAV_COMMDIAG Communication diagram 50 B_BNCD
                comment_stop> <entry code='993' imagefile="sapicons.tif" page='624'/>
                <comment_start ICON_BUSINAV_DATAMODEL Data model 51 B_BNDM comment_stop>
                <entry code='994' imagefile="sapicons.tif" page='361'/> <comment_start
                ICON_ALIGN Align 52 B_ALIG comment_stop> <entry code='995'
                imagefile="sapicons.tif" page='285'/> <comment_start ICON_CUT_RELATION Cancel
                link 53 B_CUTN comment_stop> <entry code='996' imagefile="sapicons.tif"
                page='357'/> <comment_start ICON_FIX_COLUMN Freeze Columns 54 B_FIXC
                comment_stop> <entry code='997' imagefile="sapicons.tif" page='358'/>
                <comment_start ICON_RELEASE_COLUMN Unfreeze columns 55 B_RELC comment_stop>
                <entry code='998' imagefile="sapicons.tif" page='179'/> <comment_start
                ICON_NET_GRAPHIC Network graphic 56 B_NETG comment_stop> <entry code='999'
                imagefile="sapicons.tif" page='177'/> <comment_start ICON_PLANNING_TABLE Bar
                chart; planning board 57 B_PLAN comment_stop> <entry code='1000'
                imagefile="sapicons.tif" page= '70'/> <comment_start ICON_PERIOD Period
                screen; time breakdown 58 B_PERI comment_stop> <entry code='1001'
                imagefile="sapicons.tif" page='359'/> <comment_start ICON_ZOOM_IN Zoom in 59
                B_ZOIN comment_stop> <entry code='1002' imagefile="sapicons.tif"
                page='360'/> <comment_start ICON_ZOOM_OUT Zoom out 5A B_ZOUT comment_stop>
                <entry code='1003' imagefile="sapicons.tif" page='257'/> <comment_start
                ICON_LED_GREEN Green LED; go; okay 5B S_LEDG comment_stop> <entry code='1004'
                imagefile="sapicons.tif" page='258'/> <comment_start ICON_LED_RED Red LED;
                stop; errors 5C S_LEDR comment_stop> <entry code='1005'
                imagefile="sapicons.tif" page='259'/> <comment_start ICON_LED_YELLOW Yellow
                LED; caution 5D S_LEDY comment_stop> <entry code='1006'
                imagefile="sapicons.tif" page='889'/> <comment_start ICON_SYSTEM_EXTENDED_HELP
                Application help 5E F_EHLP comment_stop> <entry code='1007'
                imagefile="sapicons.tif" page='891'/> <comment_start ICON_SPACE Blank 5F
                B_SPCE comment_stop> <entry code='1008' imagefile="sapicons.tif"
                page='625'/> <comment_start ICON_BUSINAV_VALUE_CHAIN Value chain 5G B_BNWK
                comment_stop> <entry code='1009' imagefile="sapicons.tif" page='631'/>
                <comment_start ICON_WORKFLOW_ACTIVITY Activity 5H B_AKTI comment_stop>
                <entry code='1010' imagefile="sapicons.tif" page='632'/> <comment_start
                ICON_WORKFLOW_CONDITION Condition 5I B_BEDI comment_stop> <entry code='1011'
                imagefile="sapicons.tif" page='633'/> <comment_start ICON_WORKFLOW_DECISION
                User Decision 5J B_BENT comment_stop> <entry code='1012'
                imagefile="sapicons.tif" page='634'/> <comment_start
                ICON_WORKFLOW_CONT_OPERATION Container operation 5K B_CONT comment_stop>
                <entry code='1013' imagefile="sapicons.tif" page='635'/> <comment_start
                ICON_WORKFLOW_EXTERNAL_EVENT External events 5L B_EREI comment_stop> <entry
                code='1014' imagefile="sapicons.tif" page='637'/> <comment_start
                ICON_WORKFLOW_INTERNAL_EVENT Internal events 5M B_ERIN comment_stop> <entry
                code='1015' imagefile="sapicons.tif" page='638'/> <comment_start
                ICON_WORKFLOW_MULT_CONDITION Multiple conditions 5N B_MBED comment_stop>
                <entry code='1016' imagefile="sapicons.tif" page='639'/> <comment_start
                ICON_WORKFLOW_FORK Go to Workflow 5O B_PABS comment_stop> <entry code='1017'
                imagefile="sapicons.tif" page='640'/> <comment_start
                ICON_WORKFLOW_EVENT_PRODUCER Event creator 5P B_SERE comment_stop> <entry
                code='1018' imagefile="sapicons.tif" page='641'/> <comment_start
                ICON_WORKFLOW_FLOW_OF_CONTROLProcess Control 5Q B_STEU comment_stop> <entry
                code='1019' imagefile="sapicons.tif" page='642'/> <comment_start
                ICON_WORKFLOW_INDEFINITE_STEPUndefined step 5R B_UNBE comment_stop> <entry
                code='1020' imagefile="sapicons.tif" page='643'/> <comment_start
                ICON_WORKFLOW_UNTIL UNTIL loop 5S B_UNTI comment_stop> <entry code='1021'
                imagefile="sapicons.tif" page='644'/> <comment_start
                ICON_WORKFLOW_WAIT_FOR_EVENTSWait for events 5T B_WERE comment_stop> <entry
                code='1022' imagefile="sapicons.tif" page='645'/> <comment_start
                ICON_WORKFLOW_WHILE WHILE loop 5U B_WHIL comment_stop> <entry code='1023'
                imagefile="sapicons.tif" page='127'/> <comment_start ICON_INTERMEDIATE_SUM
                Subtotal 5V B_SUMP comment_stop> <entry code='1024' imagefile="sapicons.tif"
                page='184'/> <comment_start ICON_EMPLOYEE Employee 5W B_EMPL comment_stop>
                <entry code='1025' imagefile="sapicons.tif" page='185'/> <comment_start
                ICON_TIME_ZONE Time zone 5X B_TIMZ comment_stop> <entry code='1026'
                imagefile="sapicons.tif" page='363'/> <comment_start ICON_RELEASE Release 5Y
                B_ROBJ comment_stop> <entry code='1027' imagefile="sapicons.tif"
                page='364'/> <comment_start ICON_QUALIFY Qualify 5Z S_QUAL comment_stop>
                <entry code='1028' imagefile="sapicons.tif" page='462'/> <comment_start
                ICON_ISO_CODE ISO code 60 S_ISOC comment_stop> <entry code='1029'
                imagefile="sapicons.tif" page='565'/> <comment_start ICON_MODIFY Modify;
                Enhance 61 B_CEXI comment_stop> <entry code='1030' imagefile="sapicons.tif"
                page='563'/> <comment_start ICON_GET_AREA Environment Analysis 62 B_AREA
                comment_stop> <entry code='1031' imagefile="sapicons.tif" page='564'/>
                <comment_start ICON_INTERFACE Interface 63 B_INTF comment_stop> <entry
                code='1032' imagefile="sapicons.tif" page='666'/> <comment_start
                ICON_ROUTING_OPERATION Process 64 B_EVNT comment_stop> <entry code='1033'
                imagefile="sapicons.tif" page='667'/> <comment_start
                ICON_ROUTING_REF_OPERATION Reference operation 65 B_REFE comment_stop> <entry
                code='1034' imagefile="sapicons.tif" page='668'/> <comment_start
                ICON_ROUTING_TASK Work center operation step 66 B_TASK comment_stop> <entry
                code='1035' imagefile="sapicons.tif" page='669'/> <comment_start
                ICON_ROUTING_TODO To-do list 67 B_TODO comment_stop> <entry code='1036'
                imagefile="sapicons.tif" page='114'/> <comment_start ICON_EXPAND_ALL Expand
                All 68 B_AEXP comment_stop> <entry code='1037' imagefile="sapicons.tif"
                page='118'/> <comment_start ICON_COLLAPSE_ALL Collapse All 69 B_ACOM
                comment_stop> <entry code='1038' imagefile="sapicons.tif" page='890'/>
                <comment_start ICON_SYSTEM_SAP_MENU SAP menu 6A F_SAPM comment_stop> <entry
                code='1039' imagefile="sapicons.tif" page='892'/> <comment_start
                ICON_SYSTEM_COMP_MENU Enterprise menu 6B F_COMM comment_stop> <entry
                code='1040' imagefile="sapicons.tif" page='893'/> <comment_start
                ICON_SYSTEM_USER_MENU User menu 6C F_USRM comment_stop> <entry code='1041'
                imagefile="sapicons.tif" page='894'/> <comment_start ICON_SYSTEM_FAVORITES
                User favorites 6D F_FAVO comment_stop> <entry code='1042'
                imagefile="sapicons.tif" page='729'/> <comment_start ICON_BIW_INFO_SOURCE
                InfoSource 6E B_BWIS comment_stop> <entry code='1043' imagefile="sapicons.tif"
                page='730'/> <comment_start ICON_BIW_APPLICATION Application 6F B_BWAP
                comment_stop> <entry code='1044' imagefile="sapicons.tif" page='731'/>
                <comment_start ICON_BIW_INFO_AREA InfoArea 6G B_BWIA comment_stop> <entry
                code='1045' imagefile="sapicons.tif" page='732'/> <comment_start
                ICON_BIW_INFO_CUBE InfoCube 6H B_BWIU comment_stop> <entry code='1046'
                imagefile="sapicons.tif" page='733'/> <comment_start ICON_BIW_RULES_INA Update
                rules 6I B_BWRU comment_stop> <entry code='1047' imagefile="sapicons.tif"
                page='735'/> <comment_start ICON_BIW_SOURCE_SYS_GEN Source system (general) 6J
                B_BWSG comment_stop> <entry code='1048' imagefile="sapicons.tif"
                page='737'/> <comment_start ICON_BIW_SOURCE_SYS_R3 Source system (R/3 System)
                6K B_BWSR comment_stop> <entry code='1049' imagefile="sapicons.tif"
                page='739'/> <comment_start ICON_BIW_SOURCE_SYS_EXT Source system (non-SAP) 6L
                B_BWSE comment_stop> <entry code='1050' imagefile="sapicons.tif"
                page='740'/> <comment_start ICON_BIW_SOURCE_SYS_FILE Source system (file) 6M
                B_BWSF comment_stop> <entry code='1051' imagefile="sapicons.tif"
                page='741'/> <comment_start ICON_BIW_INFO_CATALOG InfoCatalog 6N B_BWIC
                comment_stop> <entry code='1052' imagefile="sapicons.tif" page='742'/>
                <comment_start ICON_BIW_INFO_OBJECT InfoObject 6O B_BWIO comment_stop>
                <entry code='1053' imagefile="sapicons.tif" page='744'/> <comment_start
                ICON_BIW_MONITOR Monitor 6P B_BWMO comment_stop> <entry code='1054'
                imagefile="sapicons.tif" page='745'/> <comment_start ICON_BIW_SCHEDULER
                Scheduler 6Q B_BWSD comment_stop> <entry code='1055' imagefile="sapicons.tif"
                page='746'/> <comment_start ICON_BIW_FORMULA Formula 6R B_BWFO
                comment_stop> <entry code='1056' imagefile="sapicons.tif" page='747'/>
                <comment_start ICON_BIW_REF_STRUCTURE Template structure 6S B_BWRS
                comment_stop> <entry code='1057' imagefile="sapicons.tif" page='748'/>
                <comment_start ICON_BIW_REPORT Report 6T B_BWRP comment_stop> <entry
                code='1058' imagefile="sapicons.tif" page='749'/> <comment_start
                ICON_BIW_REPORT_VIEW Report view 6U B_BWRV comment_stop> <entry code='1059'
                imagefile="sapicons.tif" page='750'/> <comment_start ICON_MASTER_DATA_ACT
                Master Data 6V S_MDAC comment_stop> <entry code='1060'
                imagefile="sapicons.tif" page='751'/> <comment_start ICON_MASTER_DATA_INA
                Master Data 6W S_MDIN comment_stop> <entry code='1061'
                imagefile="sapicons.tif" page='752'/> <comment_start ICON_TEXT_ACT Texts 6X
                S_TXAC comment_stop> <entry code='1062' imagefile="sapicons.tif"
                page='753'/> <comment_start ICON_TEXT_INA Texts 6Y S_TXIN comment_stop>
                <entry code='1063' imagefile="sapicons.tif" page='754'/> <comment_start
                ICON_HIERARCHY_ACT Hierarchies 6Z S_HIAC comment_stop> <entry code='1257'
                imagefile="sapicons.tif" page='755'/> <comment_start ICON_HIERARCHY_INA
                Hierarchies 70 S_HIIN comment_stop> <entry code='1258'
                imagefile="sapicons.tif" page='756'/> <comment_start ICON_MOVING_DATA_ACT
                Transaction Data 71 S_MOAC comment_stop> <entry code='1259'
                imagefile="sapicons.tif" page='757'/> <comment_start ICON_MOVING_DATA_INA
                Transaction Data 72 S_MOIN comment_stop> <entry code='1260'
                imagefile="sapicons.tif" page='566'/> <comment_start ICON_DEBUGGER_STEP_INTO
                Debugger: Single step 73 B_STIN comment_stop> <entry code='1261'
                imagefile="sapicons.tif" page='567'/> <comment_start ICON_DEBUGGER_STEP_OVER
                Debugger: Perform 74 B_STOV comment_stop> <entry code='1262'
                imagefile="sapicons.tif" page='568'/> <comment_start ICON_DEBUGGER_STEP_OUT
                Debugger: Back 75 B_STOU comment_stop> <entry code='1263'
                imagefile="sapicons.tif" page='569'/> <comment_start ICON_DEBUGGER_CONTINUE
                Debugger: Continue 76 B_STCO comment_stop> <entry code='1264'
                imagefile="sapicons.tif" page='463'/> <comment_start ICON_PARAMETER Parameters
                77 B_PARA comment_stop> <entry code='1265' imagefile="sapicons.tif"
                page='464'/> <comment_start ICON_PARAMETER_IMPORT Import parameters 78 B_PARI
                comment_stop> <entry code='1266' imagefile="sapicons.tif" page='465'/>
                <comment_start ICON_PARAMETER_EXPORT Export parameters 79 B_PARE comment_stop>
                <entry code='1267' imagefile="sapicons.tif" page='466'/> <comment_start
                ICON_PARAMETER_CHANGING Change Parameters 7A B_PARC comment_stop> <entry
                code='1268' imagefile="sapicons.tif" page='467'/> <comment_start
                ICON_PARAMETER_RESULT Result parameters 7B B_PARR comment_stop> <entry code=
                '1269' imagefile="sapicons.tif" page='596'/> <comment_start ICON_OO_CLASS
                Class 7C B_CLAS comment_stop> <entry code='1270' imagefile="sapicons.tif"
                page='598'/> <comment_start ICON_OO_INTERFACE Interface 7D B_INTC
                comment_stop> <entry code='1271' imagefile="sapicons.tif" page='600'/>
                <comment_start ICON_OO_ATTRIBUTE Attribute 7E B_ATTR comment_stop> <entry
                code='1272' imagefile="sapicons.tif" page='602'/> <comment_start
                ICON_OO_CLASS_ATTRIBUTE Class attribute 7F B_KLAT comment_stop> <entry
                code='1273' imagefile="sapicons.tif" page='604'/> <comment_start
                ICON_OO_INST_ATTRIBUTE Instance attribute 7G B_INAT comment_stop> <entry
                code='1274' imagefile="sapicons.tif" page='605'/> <comment_start
                ICON_OO_METHOD Method 7H B_METH comment_stop> <entry code='1275'
                imagefile="sapicons.tif" page='606'/> <comment_start ICON_OO_CLASS_METHOD
                Class method 7I B_KLME comment_stop> <entry code='1276'
                imagefile="sapicons.tif" page='607'/> <comment_start ICON_OO_INST_METHOD
                Instance method 7J B_INME comment_stop> <entry code='1277'
                imagefile="sapicons.tif" page='608'/> <comment_start ICON_OO_EVENT Event 7K
                B_EVEN comment_stop> <entry code='1278' imagefile="sapicons.tif"
                page='609'/> <comment_start ICON_OO_CONSTANT Constant 7L B_KONS
                comment_stop> <entry code='1279' imagefile="sapicons.tif" page='610'/>
                <comment_start ICON_OO_OVERWRITE Redefine 7M B_UEDE comment_stop> <entry
                code='1280' imagefile="sapicons.tif" page='611'/> <comment_start
                ICON_OO_CONNECTION Relationships 7N B_CONN comment_stop> <entry code='1281'
                imagefile="sapicons.tif" page='612'/> <comment_start ICON_OO_INHERITANCE
                Inheritance/Specialization 7O B_VERB comment_stop> <entry code='1282'
                imagefile="sapicons.tif" page='613'/> <comment_start ICON_OO_INTERFACE_IC
                Interface impl./composition 7P B_INIK comment_stop> <entry code='1283'
                imagefile="sapicons.tif" page='471'/> <comment_start ICON_WS_TRUCK Transport
                (truck) 7Q S_WSTR comment_stop> <entry code='1284' imagefile="sapicons.tif"
                page='472'/> <comment_start ICON_WS_RAIL Transport (rail) 7R S_WSRA
                comment_stop> <entry code='1285' imagefile="sapicons.tif" page='473'/>
                <comment_start ICON_WS_SHIP Transport (ship) 7S S_WSSH comment_stop> <entry
                code='1286' imagefile="sapicons.tif" page='474'/> <comment_start ICON_WS_PLANE
                Transport (plane) 7T S_WSPL comment_stop> <entry code='1287'
                imagefile="sapicons.tif" page='514'/> <comment_start ICON_WS_POST Transport
                (mail) 7U S_WSPO comment_stop> <entry code='1288' imagefile="sapicons.tif"
                page='475'/> <comment_start ICON_WS_TRANSFER Stock turnover 7V S_WSTF
                comment_stop> <entry code='1289' imagefile="sapicons.tif" page='476'/>
                <comment_start ICON_WS_DOUANE Border, Customs 7W S_WSDO comment_stop>
                <entry code='1290' imagefile="sapicons.tif" page='134'/> <comment_start
                ICON_SELECTION Selection 7X B_SELC comment_stop> <entry code='1291'
                imagefile="sapicons.tif" page='136'/> <comment_start
                ICON_SYSTEM_STOP_RECORDING Stop Recording 7Y B_STRC comment_stop> <entry
                code='1292' imagefile="sapicons.tif" page='137'/> <comment_start ICON_FENCING
                Dynamic selections 7Z B_FENC comment_stop> <entry code='1293'
                imagefile="sapicons.tif" page='734'/> <comment_start ICON_BIW_RULES_ACT Update
                rules 80 B_BWRA comment_stop> <entry code='1294' imagefile="sapicons.tif"
                page='477'/> <comment_start ICON_CHARACTERISTICS_ACT Characteristic (active)
                81 S_CHAA comment_stop> <entry code='1295' imagefile="sapicons.tif"
                page='478'/> <comment_start ICON_CHARACTERISTICS_INA Characteristic (inactive)
                82 S_CHAI comment_stop> <entry code='1296' imagefile="sapicons.tif"
                page='479'/> <comment_start ICON_KEYFIGURE_ACT Key figure (active) 83 S_KEYA
                comment_stop> <entry code='1297' imagefile="sapicons.tif" page='480'/>
                <comment_start ICON_KEYFIGURE_INA Key figure (inactive) 84 S_KEYI
                comment_stop> <entry code='1298' imagefile="sapicons.tif" page='736'/>
                <comment_start ICON_BIW_INFO_OBJECT_UNITS_ACInfoObject units (active) 85 B_BWIW
                comment_stop> <entry code='1299' imagefile="sapicons.tif" page='738'/>
                <comment_start ICON_BIW_INFO_OBJECT_UNITS_INInfoObjects units (inactive) 86
                B_BWWI comment_stop> <entry code='1300' imagefile="sapicons.tif"
                page='636'/> <comment_start ICON_WORKFLOW_INT_EVENT_DATE Int. events with
                deadline 87 B_ERTE comment_stop> <entry code='1301' imagefile="sapicons.tif"
                page='743'/> <comment_start ICON_BIW_INFO_OBJECT_CATALOGUInfoObject Catalog 88
                S_GRCK comment_stop> <entry code='1302' imagefile="sapicons.tif"
                page='140'/> <comment_start ICON_SET_A Set A 89 B_ABOA comment_stop>
                <entry code='1303' imagefile="sapicons.tif" page='141'/> <comment_start
                ICON_SET_B Set B 8A B_ABOB comment_stop> <entry code='1304'
                imagefile="sapicons.tif" page='143'/> <comment_start ICON_SET_SUM A plus B 8B
                B_ABPL comment_stop> <entry code='1305' imagefile="sapicons.tif"
                page='144'/> <comment_start ICON_SET_INTERSECTION Intersection AB 8C B_ABSC
                comment_stop> <entry code='1306' imagefile="sapicons.tif" page='146'/>
                <comment_start ICON_SET_A_MINUS_B A minus B 8D B_ABMB comment_stop> <entry
                code='1307' imagefile="sapicons.tif" page='147'/> <comment_start
                ICON_SET_B_MINUS_A B minus A 8E B_ABMA comment_stop> <entry code='1308'
                imagefile="sapicons.tif" page='149'/> <comment_start ICON_SET_COPY_IN_A Copy
                to set A 8F B_ABCA comment_stop> <entry code='1309' imagefile="sapicons.tif"
                page='150'/> <comment_start ICON_SET_COPY_IN_B Copy to set B 8G B_ABCB
                comment_stop> <entry code='1310' imagefile="sapicons.tif" page='481'/>
                <comment_start ICON_DANGEROUS_GOODS Dangerous goods 8H B_BOMB comment_stop>
                <entry code='1311' imagefile="sapicons.tif" page='556'/> <comment_start
                ICON_DEACTIVATE Deactivate 8I B_DACT comment_stop> <entry code='1312'
                imagefile="sapicons.tif" page= '45'/> <comment_start ICON_DESELECT_BLOCK
                Deselect block 8J B_DMRK comment_stop> <entry code='1313'
                imagefile="sapicons.tif" page= '46'/> <comment_start ICON_INVERT_COLUMN Invert
                column 8K B_INVS comment_stop> <entry code='1314' imagefile="sapicons.tif"
                page= '47'/> <comment_start ICON_INVERT_LINE Invert line 8L B_INVZ
                comment_stop> <entry code='1315' imagefile="sapicons.tif" page='519'/>
                <comment_start ICON_FOREIGN_TRADE Foreign Trade 8M B_FORT comment_stop>
                <entry code='1321' imagefile="sapicons.tif" page='520'/> <comment_start
                ICON_URL URL 8S B_URLS comment_stop> <entry code='1323'
                imagefile="sapicons.tif" page='482'/> <comment_start ICON_PLANNING_IN Dispatch
                operation 8U B_PEIN comment_stop> <entry code= '1324' imagefile="sapicons.tif"
                page='483'/> <comment_start ICON_PLANNING_OUT Deallocate operation 8V B_PAUS
                comment_stop> <entry code='1325' imagefile="sapicons.tif" page='135'/>
                <comment_start ICON_SUBMIT Forward 8W B_SUMI comment_stop> <entry
                code='1326' imagefile="sapicons.tif" page='138'/> <comment_start ICON_ALLOW
                Approve 8X B_OKYE comment_stop> <entry code='1327' imagefile="sapicons.tif"
                page='139'/> <comment_start ICON_REJECT Reject 8Y B_OKNO comment_stop>
                <entry code='1328' imagefile="sapicons.tif" page='142'/> <comment_start
                ICON_SIMULATE Simulate 8Z B_RKSI comment_stop> <entry code='1329'
                imagefile="sapicons.tif" page='768'/> <comment_start ICON_TE_RECEIPTS
                Documents 90 B_RKQI comment_stop> <entry code='1330' imagefile="sapicons.tif"
                page='769'/> <comment_start ICON_TE_STOPOVER Stopovers 91 B_RKZZ
                comment_stop> <entry code='1331' imagefile="sapicons.tif" page='770'/>
                <comment_start ICON_TE_KM_DIVISION Miles/kms distribution 92 B_RKKM
                comment_stop> <entry code='1332' imagefile="sapicons.tif" page='771'/>
                <comment_start ICON_TE_ADVANCE_PAYMENT Advance 93 B_RKMO comment_stop>
                <entry code='1333' imagefile="sapicons.tif" page='772'/> <comment_start
                ICON_TE_DEDUCTION Deductions 94 B_RKAB comment_stop> <entry code='1334'
                imagefile="sapicons.tif" page='773'/> <comment_start ICON_TE_COSTS_ASSIGN Cost
                Assignment 95 B_RKMZ comment_stop> <entry code='1335' imagefile="sapicons.tif"
                page='145'/> <comment_start ICON_HISTORY History 96 B_RKHI comment_stop>
                <entry code='1336' imagefile="sapicons.tif" page='570'/> <comment_start
                ICON_MODIFICATION_CREATE Modification: Create, Change 97 B_MMAK comment_stop>
                <entry code='1337' imagefile="sapicons.tif" page='571'/> <comment_start
                ICON_MODIFICATION_OVERVIEW Modification: Overview 98 B_MOVR comment_stop>
                <entry code='1338' imagefile="sapicons.tif" page='572'/> <comment_start
                ICON_MODIFICATION_ORIGINAL Modification: Display original 99 B_MSHO comment_stop>
                <entry code='1339' imagefile="sapicons.tif" page='573'/> <comment_start
                ICON_MODIFICATION_RESET Modification: Undo 9A B_MBAC comment_stop> <entry
                code='1340' imagefile="sapicons.tif" page='260'/> <comment_start
                ICON_ACTIVE_INACTIVE Display mode active/inactive 9B B_NOAC comment_stop>
                <entry code='1341' imagefile="sapicons.tif" page='829'/> <comment_start
                ICON_BEN_OFFER Automatic offer 9C B_OFFE comment_stop> <entry code='1342'
                imagefile="sapicons.tif" page='830'/> <comment_start ICON_BEN_OFFER_DEFAULT
                Options 9D B_OFDE comment_stop> <entry code='1343' imagefile="sapicons.tif"
                page='831'/> <comment_start ICON_BEN_OFFER_EVENT Event offer 9E B_OFEV
                comment_stop> <entry code='1344' imagefile="sapicons.tif" page='832'/>
                <comment_start ICON_BEN_OFFER_OPEN Open offer 9F B_OFOO comment_stop>
                <entry code='1345' imagefile="sapicons.tif" page='833'/> <comment_start
                ICON_BEN_WAIVE_COVERAGE Offer selection 9G B_OFWC comment_stop> <entry
                code='1346' imagefile="sapicons.tif" page='834'/> <comment_start
                ICON_DEPENDENTS Dependents 9H B_OFPD comment_stop> <entry code='1347'
                imagefile="sapicons.tif" page='835'/> <comment_start ICON_BEN_CURRENT_BENEFITS
                Current benefits 9I B_OFCB comment_stop> <entry code='1348'
                imagefile="sapicons.tif" page='836'/> <comment_start ICON_BEN_TERMINATION
                Terminate benefits 9J B_OFTE comment_stop> <entry code='1349'
                imagefile="sapicons.tif" page='470'/> <comment_start ICON_WS_TRANSPORT
                Transport of goods 9K B_WSAB comment_stop> <entry code= '1350'
                imagefile="sapicons.tif" page='758'/> <comment_start ICON_ODS_ACT ODS (active)
                9L B_ODSA comment_stop> <entry code='1351' imagefile="sapicons.tif"
                page='759'/> <comment_start ICON_ODS_INA ODS (inactive) 9M B_ODSI
                comment_stop> <entry code='1352' imagefile="sapicons.tif" page='760'/>
                <comment_start ICON_BIW_INFO_PACKAGE InfoPackage 9N B_INPA comment_stop>
                <entry code='1353' imagefile="sapicons.tif" page='265'/> <comment_start
                ICON_ACTION_FAULT Request contains errors 9O B_ACFA comment_stop> <entry
                code='1354' imagefile="sapicons.tif" page='261'/> <comment_start
                ICON_ACTION_SUCCESS Request successful 9P B_ACSU comment_stop> <entry
                code='1355' imagefile="sapicons.tif" page='277'/> <comment_start
                ICON_DIMENSION Dimension 9Q B_DIMS comment_stop> <entry code='1356'
                imagefile="sapicons.tif" page='186'/> <comment_start ICON_TIME_INA Time
                inactive 9R B_TINA comment_stop> <entry code='1357' imagefile="sapicons.tif"
                page='152'/> <comment_start ICON_ARROW_LEFT Arrow left 9S B_ARLE
                comment_stop> <entry code='1358' imagefile="sapicons.tif" page='153'/>
                <comment_start ICON_ARROW_RIGHT Arrow right 9T B_ARRI comment_stop> <entry
                code='1359' imagefile="sapicons.tif" page='187'/> <comment_start ICON_ABAP
                ABAP Routine 9U B_ABAP comment_stop> <entry code='1360'
                imagefile="sapicons.tif" page='278'/> <comment_start ICON_ABAP_LOCAL Local
                ABAP 9V B_ABAL comment_stop> <entry code='1361' imagefile="sapicons.tif"
                page='761'/> <comment_start ICON_TRANSFER_STRUCTURE Transfer structure active
                9W B_TRST comment_stop> <entry code='1362' imagefile="sapicons.tif"
                page='154'/> <comment_start ICON_OPERATION Operation; Process object 9X B_OPER
                comment_stop> <entry code='1363' imagefile="sapicons.tif" page='156'/>
                <comment_start ICON_ACTIVITY Activity 9Y B_ACTY comment_stop> <entry
                code='1364' imagefile="sapicons.tif" page='188'/> <comment_start ICON_ORDER
                Order 9Z B_ORDA comment_stop> <entry code='1365' imagefile="sapicons.tif"
                page='189'/> <comment_start ICON_CUSTOMER Customer A0 B_CUST comment_stop>
                <entry code='1366' imagefile="sapicons.tif" page='190'/> <comment_start
                ICON_WAREHOUSE Central Warehouse A1 B_CEWA comment_stop> <entry code='1367'
                imagefile="sapicons.tif" page='191'/> <comment_start ICON_DISPO_LEVEL Planning
                level A2 B_DILO comment_stop> <entry code='1368' imagefile="sapicons.tif"
                page='192'/> <comment_start ICON_DISTRIBUTION Distribution center A3 B_DICE
                comment_stop> <entry code='1369' imagefile="sapicons.tif" page='193'/>
                <comment_start ICON_CUSTOMER_WAREHOUSE Customer warehouse A4 B_CUWA
                comment_stop> <entry code='1370' imagefile="sapicons.tif" page='194'/>
                <comment_start ICON_TRANSPORT_POINT Stock transfer point A5 B_TRAP
                comment_stop> <entry code='1371' imagefile="sapicons.tif" page='195'/>
                <comment_start ICON_MATERIAL Material A6 B_MATL comment_stop> <entry
                code='1372' imagefile="sapicons.tif" page='196'/> <comment_start ICON_MODEL
                Model A7 B_MODL comment_stop> <entry code='1373' imagefile="sapicons.tif"
                page='197'/> <comment_start ICON_PLANT Plant A8 B_PLNT comment_stop>
                <entry code='1374' imagefile="sapicons.tif" page='199'/> <comment_start
                ICON_PRODUCT_GROUP Product Group A9 B_PROG comment_stop> <entry code='1375'
                imagefile="sapicons.tif" page='200'/> <comment_start ICON_RELATIONSHIP
                Relationship AA B_RESH comment_stop> <entry code='1376'
                imagefile="sapicons.tif" page='201'/> <comment_start ICON_RESOURCE Resource AB
                B_RESU comment_stop> <entry code='1377' imagefile="sapicons.tif"
                page='202'/> <comment_start ICON_STORE_LOCATION Storage Location AC B_STOL
                comment_stop> <entry code='1378' imagefile="sapicons.tif" page='203'/>
                <comment_start ICON_SUPPLIER Vendor AD B_SUPP comment_stop> <entry
                code='1379' imagefile="sapicons.tif" page='204'/> <comment_start
                ICON_TRANSPORTATION_MODE Transport Type AE B_TRAM comment_stop> <entry
                code='1380' imagefile="sapicons.tif" page='205'/> <comment_start ICON_LOCATION
                Location AF B_LOCA comment_stop> <entry code='1381' imagefile="sapicons.tif"
                page='262'/> <comment_start ICON_ALERT Alarm AG B_ALET comment_stop>
                <entry code='1382' imagefile="sapicons.tif" page='263'/> <comment_start
                ICON_WARNING Warning AH B_WARG comment_stop> <entry code='1383'
                imagefile="sapicons.tif" page='264'/> <comment_start ICON_HINT Note AI B_HINT
                comment_stop> <entry code= '1384' imagefile="sapicons.tif" page='206'/>
                <comment_start ICON_WORKING_PLAN Routing AJ B_PLAA comment_stop> <entry
                code='1385' imagefile="sapicons.tif" page='207'/> <comment_start
                ICON_MAINTENANCE_PLAN Maintenance Plan AK B_PLAW comment_stop> <entry
                code='1386' imagefile="sapicons.tif" page='208'/> <comment_start ICON_REPORT
                Message AL B_REPO comment_stop> <entry code='1387' imagefile="sapicons.tif"
                page='209'/> <comment_start ICON_WORKPLACE Work Center AM B_WOPA
                comment_stop> <entry code='1388' imagefile="sapicons.tif" page='210'/>
                <comment_start ICON_EQUIPMENT Equipment AN B_EQUI comment_stop> <entry
                code='1389' imagefile="sapicons.tif" page='484'/> <comment_start
                ICON_TECHNICAL_PLACE Functional Location AO B_TEPL comment_stop> <entry
                code='1390' imagefile="sapicons.tif" page='485'/> <comment_start ICON_BOM
                Object list AP B_SLIS comment_stop> <entry code='1391'
                imagefile="sapicons.tif" page='486'/> <comment_start ICON_BOM_ITEM BOM item AQ
                B_SLIP comment_stop> <entry code='1392' imagefile="sapicons.tif"
                page='211'/> <comment_start ICON_DOCUMENT Document AR B_DOCU comment_stop>
                <entry code='1393' imagefile="sapicons.tif" page='487'/> <comment_start
                ICON_DOCUMENT_REVISION Document revision AS B_DOCR comment_stop> <entry
                code='1394' imagefile="sapicons.tif" page='488'/> <comment_start
                ICON_MATERIAL_REVISION Material revision AT B_MATR comment_stop> <entry
                code='1395' imagefile="sapicons.tif" page='489'/> <comment_start
                ICON_CHANGE_NUMBER Change Number AU B_CHNO comment_stop> <entry code='1396'
                imagefile="sapicons.tif" page='774'/> <comment_start ICON_FLIGHT Flight
                booking AV B_TFLY comment_stop> <entry code='1397' imagefile="sapicons.tif"
                page='775'/> <comment_start ICON_CAR Rental car booking AW B_TCAR
                comment_stop> <entry code='1398' imagefile="sapicons.tif" page='776'/>
                <comment_start ICON_HOTEL Hotel booking AX B_HOTL comment_stop> <entry
                code='1399' imagefile="sapicons.tif" page='777'/> <comment_start ICON_RAILWAY
                Rail booking AY B_TRAI comment_stop> <entry code='1400'
                imagefile="sapicons.tif" page='778'/> <comment_start ICON_MONEY Price enquiry
                AZ B_MONY comment_stop> <entry code='1401' imagefile="sapicons.tif"
                page='779'/> <comment_start ICON_QUESTION Query B0 B_QUES comment_stop>
                <entry code='1402' imagefile="sapicons.tif" page='780'/> <comment_start
                ICON_BOOKING_OK Booking OK B1 B_BOYE comment_stop> <entry code='1403'
                imagefile="sapicons.tif" page='781'/> <comment_start ICON_BOOKING_STOP Cancel
                Posting B2 B_BONO comment_stop> <entry code='1404' imagefile="sapicons.tif"
                page='782'/> <comment_start ICON_STATUS_OPEN Booking status: open B3 B_OPEN
                comment_stop> <entry code='1405' imagefile="sapicons.tif" page='783'/>
                <comment_start ICON_STATUS_BOOKED Booking status: booked B4 B_BOKD
                comment_stop> <entry code='1406' imagefile="sapicons.tif" page='784'/>
                <comment_start ICON_STATUS_PARTLY_BOOKED Booking status:partially bookd B5 B_PBKD
                comment_stop> <entry code='1407' imagefile="sapicons.tif" page='785'/>
                <comment_start ICON_STATUS_REVERSE Booking status: canceled B6 B_STON
                comment_stop> <entry code='1408' imagefile="sapicons.tif" page='786'/>
                <comment_start ICON_PREFERENCE Preferences B7 B_PREF comment_stop> <entry
                code='1409' imagefile="sapicons.tif" page= '71'/> <comment_start
                ICON_NEXT_STEP Next step B8 B_STEN comment_stop> <entry code='1410'
                imagefile="sapicons.tif" page= '72'/> <comment_start ICON_PREVIOUS_STEP
                Previous step B9 B_STEP comment_stop> <entry code='1411'
                imagefile="sapicons.tif" page='212'/> <comment_start ICON_STORNO Cancellation
                BA B_REVE comment_stop> <entry code='1412' imagefile="sapicons.tif"
                page='213'/> <comment_start ICON_INTERCHANGE Swap BB B_EXCH comment_stop>
                <entry code='1413' imagefile="sapicons.tif" page='837'/> <comment_start
                ICON_CASHING_UP Settlement BC B_CASS comment_stop> <entry code='1414'
                imagefile="sapicons.tif" page='838'/> <comment_start ICON_WORKLOAD Workload BD
                B_WLOA comment_stop> <entry code='1415' imagefile="sapicons.tif"
                page='839'/> <comment_start ICON_PROPOSITION Proposal BE B_PROP
                comment_stop> <entry code='1418' imagefile="sapicons.tif" page='840'/>
                <comment_start ICON_TIME_CONTROL Time evaluation BH B_TICL comment_stop>
                <entry code='1419' imagefile="sapicons.tif" page='841'/> <comment_start
                ICON_POSITION_HR Position (workplace) BI B_POST comment_stop> <entry
                code='1420' imagefile="sapicons.tif" page='468'/> <comment_start
                ICON_PARAMETER_TABLE Parameter table BJ B_PART comment_stop> <entry
                code='1421' imagefile="sapicons.tif" page='843'/> <comment_start ICON_TASK
                Task BK B_TSAK comment_stop> <entry code='1422' imagefile="sapicons.tif"
                page='182'/> <comment_start ICON_COST_CENTER Cost Center BL B_COST
                comment_stop> <entry code='1423' imagefile="sapicons.tif" page='844'/>
                <comment_start ICON_MANAGER Manager BM B_MNGR comment_stop> <entry
                code='1424' imagefile="sapicons.tif" page='845'/> <comment_start ICON_ORG_UNIT
                Organizational Unit BN B_OGUN comment_stop> <entry code='1425'
                imagefile="sapicons.tif" page='214'/> <comment_start ICON_QUERY Query Tool BO
                B_QUER comment_stop> <entry code='1426' imagefile="sapicons.tif"
                page='215'/> <comment_start ICON_WORKFLOW_INBOX Workflow inbox BP B_IBOX
                comment_stop> <entry code='1427' imagefile="sapicons.tif" page='846'/>
                <comment_start ICON_FAST_ENTRY Fast entry BQ B_FAST comment_stop> <entry
                code='1428' imagefile="sapicons.tif" page='847'/> <comment_start
                ICON_LIFE_EVENTS Actions BR B_LIFE comment_stop> <entry code='1429'
                imagefile="sapicons.tif" page='848'/> <comment_start ICON_WORK_CENTER Work
                center BS B_WORK comment_stop> <entry code='1430' imagefile="sapicons.tif"
                page='490'/> <comment_start ICON_GRADUATE Scales BT B_GRAD comment_stop>
                <entry code='1431' imagefile="sapicons.tif" page='491'/> <comment_start
                ICON_EXTRA Free goods BU B_XTRA comment_stop> <entry code='1432'
                imagefile="sapicons.tif" page='492'/> <comment_start ICON_CONVERT_ALL Quantity
                conversion factor BV B_CNVT comment_stop> <entry code='1433'
                imagefile="sapicons.tif" page='493'/> <comment_start ICON_RELATION Object
                Dependencies BW B_RELA comment_stop> <entry code='1434'
                imagefile="sapicons.tif" page='494'/> <comment_start ICON_CONFIGURATION
                Configuration BX B_CONF comment_stop> <entry code='1435'
                imagefile="sapicons.tif" page='216'/> <comment_start ICON_WIZARD Wizard BY
                B_WIZA comment_stop> <entry code='1436' imagefile="sapicons.tif"
                page='256'/> <comment_start ICON_LED_INACTIVE Inactive LED; undefined BZ
                S_LEDI comment_stop> <entry code='1437' imagefile="sapicons.tif"
                page='218'/> <comment_start ICON_STORE Archive C0 B_STOR comment_stop>
                <entry code='1438' imagefile="sapicons.tif" page='219'/> <comment_start
                ICON_LINK Assign C1 B_LINK comment_stop> <entry code='1439'
                imagefile="sapicons.tif" page='495'/> <comment_start ICON_LATE_STORE Enter
                later C2 B_ALLA comment_stop> <entry code='1440' imagefile="sapicons.tif"
                page='496'/> <comment_start ICON_LATE_LINK Assign later C3 B_ALLL
                comment_stop> <entry code='1441' imagefile="sapicons.tif" page='497'/>
                <comment_start ICON_EARLY_STORE Enter now C4 B_ALEA comment_stop> <entry
                code='1442' imagefile="sapicons.tif" page='498'/> <comment_start
                ICON_EARLY_LINK Assign now C5 B_ALEL comment_stop> <entry code='1443'
                imagefile="sapicons.tif" page='597'/> <comment_start ICON_OO_CLASS_EVENT Class
                event C6 B_CLEV comment_stop> <entry code='1444' imagefile="sapicons.tif"
                page='599'/> <comment_start ICON_OO_INST_EVENT Instance event C7 B_INEV
                comment_stop> <entry code='1445' imagefile="sapicons.tif" page='601'/>
                <comment_start ICON_OO_ALIAS Alias C8 B_ALIA comment_stop> <entry
                code='1446' imagefile="sapicons.tif" page='603'/> <comment_start
                ICON_OO_OBJECT Object C9 B_OBJC comment_stop> <entry code='1447'
                imagefile="sapicons.tif" page='842'/> <comment_start ICON_JOB Job CA B_JOBS
                comment_stop> <entry code= '1448' imagefile="sapicons.tif" page='220'/>
                <comment_start ICON_DELIVERY_DATE One-time delivery on date req. CB B_ELIE
                comment_stop> <entry code='1449' imagefile="sapicons.tif" page='221'/>
                <comment_start ICON_DELIVERY_COMPLETE Complete delivery CC B_KLIE
                comment_stop> <entry code='1450' imagefile="sapicons.tif" page='222'/>
                <comment_start ICON_DELIVERY_PROPOSAL Delivery proposal CD B_VLIE
                comment_stop> <entry code='1451' imagefile="sapicons.tif" page='223'/>
                <comment_start ICON_PDIR_BACK_SWITCH Planning dir. backwards(shift) CE B_PRUU
                comment_stop> <entry code='1452' imagefile="sapicons.tif" page='224'/>
                <comment_start ICON_PDIR_BACK Planning direction backwards CF B_PRUC
                comment_stop> <entry code='1453' imagefile="sapicons.tif" page='225'/>
                <comment_start ICON_PDIR_FOREWARD Plan. direction forwards CG B_PVOR
                comment_stop> <entry code='1454' imagefile="sapicons.tif" page='226'/>
                <comment_start ICON_PDIR_FOREWARD_SWITCH Planning dir. forwards (shift) CH B_PVOU
                comment_stop> <entry code='1455' imagefile="sapicons.tif" page='227'/>
                <comment_start ICON_FINITE Finite capacity CI B_PFIK comment_stop> <entry
                code='1456' imagefile="sapicons.tif" page='228'/> <comment_start ICON_NONWORK
                Non-working time variations CJ B_PNAR comment_stop> <entry code='1457'
                imagefile="sapicons.tif" page='229'/> <comment_start ICON_PM_FREE Plan. mode
                remaining capacity CK B_PFKA comment_stop> <entry code='1458'
                imagefile="sapicons.tif" page='230'/> <comment_start ICON_PM_INSERT Plan. mode
                insert operation CL B_PVEF comment_stop> <entry code='1459'
                imagefile="sapicons.tif" page='231'/> <comment_start ICON_PM_PRESS Plan.mode
                squeeze in operation CM B_PVER comment_stop> <entry code='1460'
                imagefile="sapicons.tif" page='232'/> <comment_start ICON_PM_ORDER Plan. mode
                retainsequence CN B_PVRE comment_stop> <entry code='1461'
                imagefile="sapicons.tif" page='365'/> <comment_start ICON_DANGEROUS_GOOD_CHECK
                Dangerous Goods Check CO DAGOCH comment_stop> <entry code='1462'
                imagefile="sapicons.tif" page='646'/> <comment_start ICON_WORKFLOW_DOC_CREATE
                Create Document from Template CP WFDOKU comment_stop> <entry code='1463'
                imagefile="sapicons.tif" page='647'/> <comment_start ICON_WF_LINK Define data
                flow CQ WFLINK comment_stop> <entry code='1464' imagefile="sapicons.tif"
                page='648'/> <comment_start ICON_WF_UNLINK Break down data flow CR WFULNK
                comment_stop> <entry code='1465' imagefile="sapicons.tif" page='649'/>
                <comment_start ICON_WF_WORKITEM_READY Work item ready CS WFWIRE comment_stop>
                <entry code='1466' imagefile="sapicons.tif" page='650'/> <comment_start
                ICON_WF_WORKITEM_RESERVED Work item reserved CT WFWIRS comment_stop> <entry
                code='1467' imagefile="sapicons.tif" page='651'/> <comment_start
                ICON_WF_WORKITEM_STARTED Work item in process CU WFWIST comment_stop> <entry
                code='1468' imagefile="sapicons.tif" page='652'/> <comment_start
                ICON_WF_WORKITEM_COMMITTED Work item executed CV WFWICO comment_stop> <entry
                code='1469' imagefile="sapicons.tif" page='653'/> <comment_start
                ICON_WF_WORKITEM_WAITING Work item waiting CW WFWIWA comment_stop> <entry
                code='1470' imagefile="sapicons.tif" page='654'/> <comment_start
                ICON_WF_WORKITEM_COMPLETED Work item finished CX WFWICP comment_stop> <entry
                code='1471' imagefile="sapicons.tif" page='655'/> <comment_start
                ICON_WF_WORKITEM_ERROR Work item has error CY WFWIER comment_stop> <entry
                code='1472' imagefile="sapicons.tif" page='656'/> <comment_start
                ICON_WF_WORKITEM_CANCEL Work item logically deleted CZ WFWICA comment_stop>
                <entry code='1473' imagefile="sapicons.tif" page='657'/> <comment_start
                ICON_WF_RESERVE_WORKITEM Reserve work item D0 WFREWI comment_stop> <entry
                code='1474' imagefile="sapicons.tif" page='658'/> <comment_start
                ICON_WF_REPLACE_WORKITEM Replace work item D1 WFRPWI comment_stop> <entry
                code='1475' imagefile="sapicons.tif" page='198'/> <comment_start
                ICON_PROFIT_CENTER Profit center master record D2 PROCEN comment_stop> <entry
                code='1476' imagefile="sapicons.tif" page='659'/> <comment_start
                ICON_WF_RULE_SYSTEM Set of rules D3 WFRUSY comment_stop> <entry code='1477'
                imagefile="sapicons.tif" page='660'/> <comment_start ICON_WF_PARAMETER Process
                parameter D4 WFPARA comment_stop> <entry code='1478' imagefile="sapicons.tif"
                page='500'/> <comment_start ICON_JAPAN Japan D5 XJAPAN comment_stop>
                <entry code='1479' imagefile="sapicons.tif" page='366'/> <comment_start
                ICON_SLS Sanctioned party list D6 SAPALS comment_stop> <entry code='1480'
                imagefile="sapicons.tif" page='501'/> <comment_start ICON_CUSTOMS Legal area
                #460#460 customs D7 DOUANE comment_stop> <entry code='1481'
                imagefile="sapicons.tif" page='502'/> <comment_start ICON_LEGAL_REG Legal
                Regulations D8 LEGLRG comment_stop> <entry code='1482'
                imagefile="sapicons.tif" page='238'/> <comment_start ICON_COMPANY_CODE Company
                Code D9 COMCOD comment_stop> <entry code='1483' imagefile="sapicons.tif"
                page='503'/> <comment_start ICON_UNIT_COSTING Unit Costing DA EINSKA
                comment_stop> <entry code='1484' imagefile="sapicons.tif" page='504'/>
                <comment_start ICON_BASE_PLANNING_OBJECT Base object (costing block) DB BAUTEL
                comment_stop> <entry code='1485' imagefile="sapicons.tif" page='505'/>
                <comment_start ICON_ACTIVITY_TYPE Activity Type DC LEIART comment_stop>
                <entry code='1486' imagefile="sapicons.tif" page='367'/> <comment_start
                ICON_RENTAL_AGREEMENT Display lease-out DD MIETVT comment_stop> <entry
                code='1487' imagefile="sapicons.tif" page='506'/> <comment_start
                ICON_REAL_ESTATE_OBJECT Real estate object DE IMMOOB comment_stop> <entry
                code='1488' imagefile="sapicons.tif" page='157'/> <comment_start ICON_COMPLETE
                Completed; no errors DF COMPLE comment_stop> <entry code='1489'
                imagefile="sapicons.tif" page='158'/> <comment_start ICON_PARTNER Call partner
                DG PARTNE comment_stop> <entry code='1490' imagefile="sapicons.tif"
                page='159'/> <comment_start ICON_PROTOCOL Call Log DH PROTOK comment_stop>
                <entry code='1491' imagefile="sapicons.tif" page='368'/> <comment_start
                ICON_MAINTENANCE_OBJECT_LIST Display object list DI OBJLIS comment_stop>
                <entry code='1492' imagefile="sapicons.tif" page='160'/> <comment_start
                ICON_XXL Call up Excel List Viewer DJ LISVIE comment_stop> <entry code='1493'
                imagefile="sapicons.tif" page='161'/> <comment_start ICON_WORD_PROCESSING Call
                up word processing DK TEXTVA comment_stop> <entry code='1494'
                imagefile="sapicons.tif" page='162'/> <comment_start ICON_ABC ABC Analysis DL
                ABCANA comment_stop> <entry code='1495' imagefile="sapicons.tif"
                page='163'/> <comment_start ICON_ALV_VARIANT_CHOOSE Choose Layout DM VARCHO
                comment_stop> <entry code='1496' imagefile="sapicons.tif" page='164'/>
                <comment_start ICON_ALV_VARIANT_SAVE Save Layout DN VARSAV comment_stop>
                <entry code='1497' imagefile="sapicons.tif" page='369'/> <comment_start
                ICON_EXCLUDED_CORRESPONDENCE Excluded correspondence class DO KOROUT
                comment_stop> <entry code='1498' imagefile="sapicons.tif" page='165'/>
                <comment_start ICON_INCREASE_DECIMAL More decimal places DP INCDEC
                comment_stop> <entry code='1499' imagefile="sapicons.tif" page='166'/>
                <comment_start ICON_DECREASE_DECIMAL Fewer decimal places DQ DECDEC
                comment_stop> <entry code='1500' imagefile="sapicons.tif" page='167'/>
                <comment_start ICON_ERROR_PROTOCOL Error Log DR FEHLER comment_stop> <entry
                code='1501' imagefile="sapicons.tif" page='507'/> <comment_start
                ICON_PARTNER_SALES_ACTIVITY General bus. partner contact DS KONTAK comment_stop>
                <entry code='1502' imagefile="sapicons.tif" page='508'/> <comment_start
                ICON_PHONE_CALL_IN Incoming telephone call DT XTELIN comment_stop> <entry
                code='1503' imagefile="sapicons.tif" page='509'/> <comment_start ICON_NAFTA
                North American Free Trade Asso DU XNAFTA comment_stop> <entry code='1504'
                imagefile="sapicons.tif" page='510'/> <comment_start ICON_EU European Union DV
                X___EU comment_stop> <entry code='1505' imagefile="sapicons.tif"
                page='511'/> <comment_start ICON_PHONE_CALL_OUT Outgoing telephone call DW
                TELOUT comment_stop> <entry code='1506' imagefile="sapicons.tif"
                page='217'/> <comment_start ICON_CONTROLLING_AREA Controlling Area DX CONARE
                comment_stop> <entry code='1507' imagefile="sapicons.tif" page='233'/>
                <comment_start ICON_DISTRIBUTION_LIST Distribution list DY DISTLI
                comment_stop> <entry code='1508' imagefile="sapicons.tif" page='234'/>
                <comment_start ICON_MAIL_SAP_UNREAD Unread R/3 mail DZ MAILSU comment_stop>
                <entry code='1509' imagefile="sapicons.tif" page='235'/> <comment_start
                ICON_MAIL_SAP_READ Read R/3 mail E0 MAILSR comment_stop> <entry code='1510'
                imagefile="sapicons.tif" page='266'/> <comment_start ICON_ENVELOPE_OPEN
                Message read E1 ENVOPE comment_stop> <entry code='1511'
                imagefile="sapicons.tif" page='267'/> <comment_start ICON_ENVELOPE_CLOSED
                Unread message E2 ENVCLO comment_stop> <entry code='1512'
                imagefile="sapicons.tif" page='236'/> <comment_start ICON_OFFICE_DOCUMENT
                SAPoffice document E3 OFFDOC comment_stop> <entry code='1513'
                imagefile="sapicons.tif" page='268'/> <comment_start ICON_INCLUDE_IN_SELECTION
                Go; okay E4 COLGRE comment_stop> <entry code='1517' imagefile="sapicons.tif"
                page='370'/> <comment_start ICON_PACKING Pack E8 PACKIN comment_stop>
                <entry code='1518' imagefile="sapicons.tif" page='371'/> <comment_start
                ICON_UNPACK Unpack E9 UNPACK comment_stop> <entry code='1519'
                imagefile="sapicons.tif" page='372'/> <comment_start ICON_EMPTY_HANDLING_UNIT
                Empty EA EMHAUN comment_stop> <entry code='1520' imagefile="sapicons.tif"
                page='269'/> <comment_start ICON_LIGHT_OUT Light out; Undefined EB OUTLIG
                comment_stop> <entry code='1521' imagefile="sapicons.tif" page='866'/>
                <comment_start ICON_PS_PROJECT_DEFINITION Project Definition EC PSPRDE
                comment_stop> <entry code='1522' imagefile="sapicons.tif" page='867'/>
                <comment_start ICON_PS_WBS_ELEMENT WBS Element ED PSWBEL comment_stop>
                <entry code='1523' imagefile="sapicons.tif" page='868'/> <comment_start
                ICON_PS_NETWORK_HEADER Network header EE PSNEHE comment_stop> <entry
                code='1524' imagefile="sapicons.tif" page='869'/> <comment_start
                ICON_PS_NETWORK_ACTIVITY Network Activity EF PSNEAC comment_stop> <entry
                code='1525' imagefile="sapicons.tif" page='870'/> <comment_start
                ICON_PS_ACTIVITY_ELEMENT Activity element EG PSACEL comment_stop> <entry
                code='1526' imagefile="sapicons.tif" page='871'/> <comment_start
                ICON_PS_RELATIONSHIP Relationships EH PSRELA comment_stop> <entry code='1528'
                imagefile="sapicons.tif" page='373'/> <comment_start ICON_BATCH Display batch
                EJ XBATCH comment_stop> <entry code='1529' imagefile="sapicons.tif"
                page='374'/> <comment_start ICON_ADMINISTRATIVE_DATA Display Administration
                Data EK ADDATA comment_stop> <entry code='1530' imagefile="sapicons.tif"
                page='375'/> <comment_start ICON_STOCK Number EL XSTOCK comment_stop>
                <entry code='1531' imagefile="sapicons.tif" page='376'/> <comment_start
                ICON_ACCOUNT_ASSIGNMENT Account Assignment EM ACCASS comment_stop> <entry
                code='1532' imagefile="sapicons.tif" page='377'/> <comment_start
                ICON_LOT_ORIGIN Origin EN LOTORI comment_stop> <entry code='1533'
                imagefile="sapicons.tif" page='499'/> <comment_start ICON_INSPECTION_LOT
                Inspection lot EO INSLOT comment_stop> <entry code='1534'
                imagefile="sapicons.tif" page='378'/> <comment_start ICON_SHOW_EXTERNAL_JOBS
                Display external jobs EP SHEXJO comment_stop> <entry code='1535'
                imagefile="sapicons.tif" page='860'/> <comment_start ICON_SPOOL_REQUEST Spool
                request EQ SPOREQ comment_stop> <entry code='1536' imagefile="sapicons.tif"
                page='861'/> <comment_start ICON_OUTPUT_REQUEST Display output request ER
                OUTREQ comment_stop> <entry code='1537' imagefile="sapicons.tif"
                page='148'/> <comment_start ICON_DELETE_FAVORITES Delete from favorites ES
                DELFAV comment_stop> <entry code='1538' imagefile="sapicons.tif"
                page='379'/> <comment_start ICON_SHOW_EVENTS Display event ET SHOEVE
                comment_stop> <entry code='1539' imagefile="sapicons.tif" page='862'/>
                <comment_start ICON_SPOOL_STATUS Display spool status EU SPOSTA comment_stop>
                <entry code='1540' imagefile="sapicons.tif" page='151'/> <comment_start
                ICON_INSERT_FAVORITES Add to favorites EV INSFAV comment_stop> <entry
                code='1541' imagefile="sapicons.tif" page='863'/> <comment_start
                ICON_PRINT_WITH_PARAMETERS Print with parameters EW PRINTP comment_stop>
                <entry code='1542' imagefile="sapicons.tif" page='380'/> <comment_start
                ICON_USED_RELATION Display use relationships EX USEREL comment_stop> <entry
                code='1543' imagefile="sapicons.tif" page='381'/> <comment_start
                ICON_MAPPED_RELATION Display mapping relationships EY MAPREL comment_stop>
                <entry code='1544' imagefile="sapicons.tif" page='155'/> <comment_start
                ICON_CREATE_COPY Create With reference EZ CRECOP comment_stop> <entry
                code='1600' imagefile="sapicons.tif" page='382'/> <comment_start ICON_FLUSH
                Reset cache entry F0 XFLUSH comment_stop> <entry code='1601'
                imagefile="sapicons.tif" page='237'/> <comment_start ICON_DEFECT Not
                completed; errors F1 DEFECT comment_stop> <entry code='1602'
                imagefile="sapicons.tif" page='762'/> <comment_start ICON_BW_GIS Go to map F2
                GISTAB comment_stop> <entry code='1603' imagefile="sapicons.tif"
                page='763'/> <comment_start ICON_BW_INFO_CUBE_SAP InfoCube (SAP version) F3
                BWINCS comment_stop> <entry code='1604' imagefile="sapicons.tif"
                page='764'/> <comment_start ICON_BW_INFO_CUBE_INA InfoCube, inactive F4 BWINCI
                comment_stop> <entry code='1605' imagefile="sapicons.tif" page='765'/>
                <comment_start ICON_BW_INFO_OBJECT_CATALOGUEInfoObject Catalog (SAP ver.) F5
                BWIOCS comment_stop> <entry code='1606' imagefile="sapicons.tif"
                page='766'/> <comment_start ICON_BW_SUGGEST_VALUE Suggest values F6 BWSUVA
                comment_stop> <entry code='1607' imagefile="sapicons.tif" page='383'/>
                <comment_start ICON_DOC_POSITION_PROPOSAL Suggest document line item F7 DOPOPR
                comment_stop> <entry code='1608' imagefile="sapicons.tif" page='384'/>
                <comment_start ICON_CUSTOMER_MASTER_DATA_LISDisplay sales summary F8 CUMADA
                comment_stop> <entry code='1609' imagefile="sapicons.tif" page='385'/>
                <comment_start ICON_STATUS_OVERVIEW Display status overview F9 STATOV
                comment_stop> <entry code='1610' imagefile="sapicons.tif" page='386'/>
                <comment_start ICON_DOC_HEADER_DETAIL Display doc. header details FA DOHEDE
                comment_stop> <entry code='1611' imagefile="sapicons.tif" page='387'/>
                <comment_start ICON_DOC_ITEM_DETAIL Display item details FB DOITDE
                comment_stop> <entry code='1612' imagefile="sapicons.tif" page='388'/>
                <comment_start ICON_AVAILABILITY_CHECK Check availability FC AVACHE
                comment_stop> <entry code='1613' imagefile="sapicons.tif" page='389'/>
                <comment_start ICON_PRICE Pricing conditions FD XPRICE comment_stop> <entry
                code='1614' imagefile="sapicons.tif" page='390'/> <comment_start
                ICON_SCHEDULE_LINE Schedule lines for item FE SCLINE comment_stop> <entry
                code='1615' imagefile="sapicons.tif" page='391'/> <comment_start
                ICON_AVAILABILITY_DISPLAY Display availability FF AVASHO comment_stop> <entry
                code='1616' imagefile="sapicons.tif" page='392'/> <comment_start
                ICON_STATISTICS Call warehouse statistics FG STATIS comment_stop> <entry
                code='1617' imagefile="sapicons.tif" page='913'/> <comment_start ICON_CLAIM
                Call/define claim file FH XCLAIM comment_stop> <entry code='1622'
                imagefile="sapicons.tif" page= '89'/> <comment_start ICON_ATTACHMENT Display
                Attachment FM ATTACH comment_stop> <entry code='1623' imagefile="sapicons.tif"
                page= '90'/> <comment_start ICON_CLOSED_FOLDER Display folder contents FN
                CLOFOL comment_stop> <entry code='1624' imagefile="sapicons.tif"
                page='92'/> <comment_start ICON_OPEN_FOLDER Open folder FO OPFOLD
                comment_stop> <entry code='1625' imagefile="sapicons.tif" page= '93'/>
                <comment_start ICON_OBJECT_FOLDER Open object folder FP OBJFOL comment_stop>
                <entry code='1626' imagefile="sapicons.tif" page= '95'/> <comment_start
                ICON_OUTBOX Display outbox FQ OUTBOX comment_stop> <entry code='1627'
                imagefile="sapicons.tif" page= '97'/> <comment_start ICON_RESUBMISSION
                Resubmit FR RESUBM comment_stop> <entry code='1628' imagefile="sapicons.tif"
                page= '98'/> <comment_start ICON_PRIVATE_FILES Private folders FS PRIFIL
                comment_stop> <entry code='1629' imagefile="sapicons.tif" page='100'/>
                <comment_start ICON_PUBLIC_FILES Shared folders FT PUBFIL comment_stop>
                <entry code='1630' imagefile="sapicons.tif" page='101'/> <comment_start
                ICON_SUBSCRIPTION Folders subscribed to FU SUBSCR comment_stop> <entry
                code='1631' imagefile="sapicons.tif" page='102'/> <comment_start ICON_AVERAGE
                Calculate average FV AVERAG comment_stop> <entry code='1632'
                imagefile="sapicons.tif" page='105'/> <comment_start ICON_BOLD Bold FW X_BOLD
                comment_stop> <entry code='1633' imagefile="sapicons.tif" page='104'/>
                <comment_start ICON_ITALIC Italics FX ITALIC comment_stop> <entry
                code='1634' imagefile="sapicons.tif" page='106'/> <comment_start
                ICON_UNDERLINE Underlined FY UNDERL comment_stop> <entry code='1635'
                imagefile="sapicons.tif" page='107'/> <comment_start ICON_ALIGN_LEFT Align
                left FZ ALIGLE comment_stop> <entry code='1636' imagefile="sapicons.tif"
                page='108'/> <comment_start ICON_ALIGN_RIGHT Right-aligned G0 ALIGRI
                comment_stop> <entry code='1637' imagefile="sapicons.tif" page='109'/>
                <comment_start ICON_ALIGN_CENTER Centered G1 ALIGCE comment_stop> <entry
                code='1638' imagefile="sapicons.tif" page='110'/> <comment_start
                ICON_JUSTIFIED Block text G2 JUSTIF comment_stop> <entry code='1639'
                imagefile="sapicons.tif" page='112'/> <comment_start ICON_COLOR Color G3
                XCOLOR comment_stop> <entry code='1640' imagefile="sapicons.tif"
                page='113'/> <comment_start ICON_DELETE_ALL_ATTRIBUTES Delete all attributes
                G4 DELATT comment_stop> <entry code='1641' imagefile="sapicons.tif"
                page='116'/> <comment_start ICON_IDOC Display IDocs G5 XIDOCS comment_stop>
                <entry code='1642' imagefile="sapicons.tif" page='325'/> <comment_start
                ICON_HOST Computer/Host G6 X_HOST comment_stop> <entry code='1643'
                imagefile="sapicons.tif" page='849'/> <comment_start ICON_SYM_SPOOL_SERVER
                Application server with spool G7 SYMSPO comment_stop> <entry code='1644'
                imagefile="sapicons.tif" page='850'/> <comment_start ICON_SYM_REAL_SERVER Real
                application server G8 SYRESE comment_stop> <entry code='1645'
                imagefile="sapicons.tif" page='851'/> <comment_start ICON_SYM_LOG_SERVER
                Logical application server G9 SYLOSE comment_stop> <entry code='1646'
                imagefile="sapicons.tif" page='852'/> <comment_start ICON_SYM_ALT_SERVER
                Alternative server GA SYALSE comment_stop> <entry code='1647'
                imagefile="sapicons.tif" page= '76'/> <comment_start ICON_CONNECT Connect GB
                CONNEC comment_stop> <entry code='1648' imagefile="sapicons.tif" page=
                '79'/> <comment_start ICON_DISCONNECT Disconnect GC DISCON comment_stop>
                <entry code='1649' imagefile="sapicons.tif" page= '77'/> <comment_start
                ICON_FILTER_UNDO Undo filter GD FILTUN comment_stop> <entry code='1651'
                imagefile="sapicons.tif" page= '73'/> <comment_start ICON_INTENSIFY_UNDO Undo
                highlighting GF INTUND comment_stop> <entry code='1653'
                imagefile="sapicons.tif" page='692'/> <comment_start ICON_BW_DATA_MARTS
                Datamarts GH DATAMA comment_stop> <entry code='1654' imagefile="sapicons.tif"
                page='249'/> <comment_start ICON_REMOVE_FROM_SELECTION Stop; errors GI COLRED
                comment_stop> <entry code='1655' imagefile="sapicons.tif" page='694'/>
                <comment_start ICON_BW_CHARACTERISTICS_SAP Characteristic (SAP version) GJ BWCHSA
                comment_stop> <entry code='1656' imagefile="sapicons.tif" page='696'/>
                <comment_start ICON_BW_KEYFIGURE_SAP Key figure (SAP version) GK BWKESA
                comment_stop> <entry code='1657' imagefile="sapicons.tif" page='699'/>
                <comment_start ICON_BW_INFO_OBJECT_UNITS_SAPUnit (SAP version) GL BWIOUS
                comment_stop> <entry code='1658' imagefile="sapicons.tif" page='700'/>
                <comment_start ICON_BW_TIME_SAP Time characteristic (SAP ver.) GM BWTISA
                comment_stop> <entry code='1659' imagefile="sapicons.tif" page='701'/>
                <comment_start ICON_BW_RULES_SAP Update rules (SAP version) GN BWRUSA
                comment_stop> <entry code='1660' imagefile="sapicons.tif" page='702'/>
                <comment_start ICON_BW_REPORT_SAP Query (SAP version) GO BWRESA comment_stop>
                <entry code='1661' imagefile="sapicons.tif" page='677'/> <comment_start
                ICON_BW_VARIABLE_SAP Variable (SAP version) GP BWVASA comment_stop> <entry
                code='1662' imagefile="sapicons.tif" page='678'/> <comment_start
                ICON_BW_REF_STRUCTURE_SAP Template (SAP version) GQ BWRESS comment_stop>
                <entry code='1663' imagefile="sapicons.tif" page='679'/> <comment_start
                ICON_BW_SELECTION_SAP Restricted key figure (SAP) GR BWSESA comment_stop>
                <entry code='1664' imagefile="sapicons.tif" page='395'/> <comment_start
                ICON_INSPECTION_METHOD Check Method GS INSMET comment_stop> <entry code='1665'
                imagefile="sapicons.tif" page='396'/> <comment_start ICON_CATALOG Catalog GT
                CATALG comment_stop> <entry code='1666' imagefile="sapicons.tif" page=
                '84'/> <comment_start ICON_INSERT_MULTIPLE_LINES Insert multiple lines GU
                INMALI comment_stop> <entry code='1667' imagefile="sapicons.tif"
                page='397'/> <comment_start ICON_INSPECTION_CHARACTERISTIInspection
                characteristic GV INSCHA comment_stop> <entry code='1668'
                imagefile="sapicons.tif" page='398'/> <comment_start ICON_PHYSICAL_SAMPLE
                Physical sample GW PHYSAM comment_stop> <entry code='1669'
                imagefile="sapicons.tif" page='680'/> <comment_start ICON_BW_FORMULA_SAP
                Calculated key figure(SAP ver) GX BWFOSA comment_stop> <entry code='1670'
                imagefile="sapicons.tif" page='681'/> <comment_start
                ICON_BW_INFO_CATALOGUE_SAP InfoCatalog (SAP version) GY BWINCP comment_stop>
                <entry code='1671' imagefile="sapicons.tif" page='817'/> <comment_start
                ICON_BUDGET_STRUCTURE_ELEMENT Budget structure element GZ BUSTEL comment_stop>
                <entry code='1672' imagefile="sapicons.tif" page='816'/> <comment_start
                ICON_FINANCING Financing H0 FINANC comment_stop> <entry code='1673'
                imagefile="sapicons.tif" page='819'/> <comment_start
                ICON_RECLASSIFICATION_RULE Reclassification rule H1 RECRUL comment_stop>
                <entry code='1674' imagefile="sapicons.tif" page='818'/> <comment_start
                ICON_RECLASSIFICATION Conversion H2 RECLAS comment_stop> <entry code='1675'
                imagefile="sapicons.tif" page='815'/> <comment_start ICON_REMOVE Mark for
                elimination H3 REMOVE comment_stop> <entry code='1676'
                imagefile="sapicons.tif" page='811'/> <comment_start ICON_SPECIAL_PURPOSE
                Earmarking H4 EARMAR comment_stop> <entry code='1677' imagefile="sapicons.tif"
                page='812'/> <comment_start ICON_DEPUTY Substitute H5 DEPUTY comment_stop>
                <entry code='1678' imagefile="sapicons.tif" page='813'/> <comment_start
                ICON_BUDGET_UPDATE Budget Update H6 BUDUPD comment_stop> <entry code='1679'
                imagefile="sapicons.tif" page='814'/> <comment_start ICON_BUDGET_TRANSFER
                Rebooking H7 BUDTRA comment_stop> <entry code='1680' imagefile="sapicons.tif"
                page='722'/> <comment_start ICON_BW_SEGMENT_ACT Segment (active) H8 BWSEAC
                comment_stop> <entry code='1681' imagefile="sapicons.tif" page='723'/>
                <comment_start ICON_BW_SEGMENT_INA Segment (inactive) H9 BWSEIN comment_stop>
                <entry code='1682' imagefile="sapicons.tif" page='726'/> <comment_start
                ICON_BW_SEGMENT_SAP Segment (SAP version) HA BWSESP comment_stop> <entry
                code='1683' imagefile="sapicons.tif" page= '83'/> <comment_start
                ICON_MASS_CHANGE Carry Out a Mass Change HB MASSCH comment_stop> <entry
                code='1684' imagefile="sapicons.tif" page='82'/> <comment_start
                ICON_INTENSIFY_CRITICAL Highlight critical HC INTCRI comment_stop> <entry
                code= '1685' imagefile="sapicons.tif" page= '81'/> <comment_start
                ICON_INTENSIFY_UNCRITICAL Highlight, non-critical HD INTUNC comment_stop>
                <entry code='1686' imagefile="sapicons.tif" page= '87'/> <comment_start
                ICON_CHOOSE_COLUMNS Select Columns HE CHOCOL comment_stop> <entry code='1687'
                imagefile="sapicons.tif" page= '51'/> <comment_start ICON_TOTAL_UP Entry all
                the way at the top HF TOT_UP comment_stop> <entry code='1688'
                imagefile="sapicons.tif" page= '50'/> <comment_start ICON_TOTAL_DOWN Entry at
                the very bottom HG TOT_DO comment_stop> <entry code='1689'
                imagefile="sapicons.tif" page='49'/> <comment_start ICON_PAGE_UP Entry one
                page up HH PAGEUP comment_stop> <entry code='1690' imagefile="sapicons.tif"
                page= '48'/> <comment_start ICON_PAGE_DOWN Entry one page down HI PAGEDO
                comment_stop> <entry code='1691' imagefile="sapicons.tif" page= '85'/>
                <comment_start ICON_READ_FILE Read file HJ READFI comment_stop> <entry
                code='1692' imagefile="sapicons.tif" page= '86'/> <comment_start
                ICON_WRITE_FILE Write file HK WRITFI comment_stop> <entry code='1693'
                imagefile="sapicons.tif" page= '75'/> <comment_start ICON_EDIT_FILE Edit file
                HL EDITFI comment_stop> <entry code='1694' imagefile="sapicons.tif"
                page='865'/> <comment_start ICON_PS_MILESTONE Milestone HM PSMILE
                comment_stop> <entry code='1695' imagefile="sapicons.tif" page='864'/>
                <comment_start ICON_PS_PROJECT_TEXT Project text HN PSRPTX comment_stop>
                <entry code='1696' imagefile="sapicons.tif" page='393'/> <comment_start
                ICON_ELEMENT Data type "Element" HO ELEMEN comment_stop> <entry code='1697'
                imagefile="sapicons.tif" page='394'/> <comment_start ICON_STRUCTURE Data type
                "Structure" HP STRUCT comment_stop> <entry code='1698'
                imagefile="sapicons.tif" page='322'/> <comment_start ICON_WS_WHSE_STOCK
                Warehouse stock HQ LAGERB comment_stop> <entry code='1699'
                imagefile="sapicons.tif" page='664'/> <comment_start ICON_ROUTING Task list
                header HR ROUTIN comment_stop> <entry code='1700' imagefile="sapicons.tif"
                page='663'/> <comment_start ICON_MATERIAL_ROUTING_ALLOC Material-routing
                assignment HS MAROAL comment_stop> <entry code='1701' imagefile="sapicons.tif"
                page='662'/> <comment_start ICON_ROUTING_SUB_OPERATION Suboperation HT ROSUOP
                comment_stop> <entry code='1702' imagefile="sapicons.tif" page='661'/>
                <comment_start ICON_ROUTING_REF_SUB_OPERATIOReferenced suboperation HU RORESO
                comment_stop> <entry code='1703' imagefile="sapicons.tif" page='665'/>
                <comment_start ICON_ROUTING_SEQUENCE Sequence HV ROUSEQ comment_stop>
                <entry code='1704' imagefile="sapicons.tif" page='399'/> <comment_start
                ICON_BOM_SUB_ITEM Bill of material subitem HW BOSUIT comment_stop> <entry
                code='1705' imagefile="sapicons.tif" page='400'/> <comment_start
                ICON_EFFECTIVITY_PERIOD Change status HX EFFPER comment_stop> <entry code=
                '1706' imagefile="sapicons.tif" page='401'/> <comment_start ICON_KEY_DATE Key
                Date HY KEYDAT comment_stop> <entry code='1707' imagefile="sapicons.tif"
                page='402'/> <comment_start ICON_SELECTION_PERIOD Selection Time Period HZ
                SELPER comment_stop> <entry code='1708' imagefile="sapicons.tif"
                page='403'/> <comment_start ICON_EFF Parameter effectivity I0 X__EFF
                comment_stop> <entry code='1709' imagefile="sapicons.tif" page='319'/>
                <comment_start ICON_SUPPLY_AREA Production supply area I1 SUPARE comment_stop>
                <entry code='1710' imagefile="sapicons.tif" page= '74'/> <comment_start
                ICON_REPORT_CALL Call report from report I2 REPCAL comment_stop> <entry
                code='1711' imagefile="sapicons.tif" page='539'/> <comment_start ICON_ASSIGN
                Assign table entry I3 ASSIGN comment_stop> <entry code='1712'
                imagefile="sapicons.tif" page='522'/> <comment_start ICON_UNASSIGN Reset table
                entry assignment I4 UNASSI comment_stop> <entry code='1713'
                imagefile="sapicons.tif" page='523'/> <comment_start
                ICON_SYSTEM_START_RECORDING Start recording I5 SYSTRE comment_stop> <entry
                code='1714' imagefile="sapicons.tif" page='524'/> <comment_start
                ICON_SYSTEM_PLAY Run recording I6 SYSTPL comment_stop> <entry code='1715'
                imagefile="sapicons.tif" page='530'/> <comment_start ICON_TRANSLATION Maintain
                translation I7 TRANSL comment_stop> <entry code='1716'
                imagefile="sapicons.tif" page='531'/> <comment_start ICON_TRANSLATION_SHOW
                Display translation I8 TRASHO comment_stop> <entry code='1717'
                imagefile="sapicons.tif" page='532'/> <comment_start ICON_CHANGE_PASSWORD
                Change Password I9 CHAPAS comment_stop> <entry code='1718'
                imagefile="sapicons.tif" page='533'/> <comment_start ICON_DISTRIBUTE Entry
                distribution IA DISTRI comment_stop> <entry code='1719'
                imagefile="sapicons.tif" page='534'/> <comment_start ICON_SYSTEMS Call systems
                IB SYSTEM comment_stop> <entry code='1720' imagefile="sapicons.tif"
                page='538'/> <comment_start ICON_ACTIVITY_GROUP Act. groups for authorizations
                IC ACTGRO comment_stop> <entry code='1721' imagefile="sapicons.tif"
                page='537'/> <comment_start ICON_USERGROUP User groups in authorization ID
                USEGRO comment_stop> <entry code='1722' imagefile="sapicons.tif"
                page='536'/> <comment_start ICON_UNLINK Undo Assignment IE DISLIN
                comment_stop> <entry code='1723' imagefile="sapicons.tif" page='581'/>
                <comment_start ICON_CONTENT_OBJECT Document IF CONOBJ comment_stop> <entry
                code='1724' imagefile="sapicons.tif" page='585'/> <comment_start
                ICON_OBJECT_LIST List IG OBJELI comment_stop> <entry code='1725'
                imagefile="sapicons.tif" page='583'/> <comment_start ICON_FOLDER Folder IH
                FOLDER comment_stop> <entry code='1726' imagefile="sapicons.tif"
                page='535'/> <comment_start ICON_DIFFERENCE Determine differences II DIFFER
                comment_stop> <entry code='1727' imagefile="sapicons.tif" page='529'/>
                <comment_start ICON_DIFFERENCE_BACK Undo determine differences IJ DIFBAC
                comment_stop> <entry code='1728' imagefile="sapicons.tif" page='528'/>
                <comment_start ICON_SYSTEM_DESELECT Deselect IK SYSDEM comment_stop> <entry
                code='1729' imagefile="sapicons.tif" page='527'/> <comment_start ICON_ADOPT
                Adopt object IL TAKOVE comment_stop> <entry code='1730'
                imagefile="sapicons.tif" page='526'/> <comment_start ICON_TERMINOLOGY Branch
                to terminology IM TERMIN comment_stop> <entry code='1731'
                imagefile="sapicons.tif" page='584'/> <comment_start
                ICON_TRIANGULAR_RELATIONSHIP Triangular rel. representation IN TRIREL
                comment_stop> <entry code= '1732' imagefile="sapicons.tif" page='525'/>
                <comment_start ICON_AEW_PROJECT Display project IO PROJEC comment_stop>
                <entry code='1733' imagefile="sapicons.tif" page='799'/> <comment_start
                ICON_SICKNESS Illness IP SICKNE comment_stop> <entry code='1734'
                imagefile="sapicons.tif" page='800'/> <comment_start ICON_HOLIDAY Leave IQ
                HOLIDA comment_stop> <entry code='1735' imagefile="sapicons.tif"
                page='801'/> <comment_start ICON_ROLE Standard role, processor IR X_ROLE
                comment_stop> <entry code='1736' imagefile="sapicons.tif" page='802'/>
                <comment_start ICON_PERSONNEL_ADMINISTRATIONPersonnel admin. IS PERADM
                comment_stop> <entry code='1737' imagefile="sapicons.tif" page='443'/>
                <comment_start ICON_PDF Adobe Acrobat Reader IT X__PDF comment_stop> <entry
                code='1738' imagefile="sapicons.tif" page='441'/> <comment_start ICON_BMP
                Bitmap Image IU X__BMP comment_stop> <entry code='1739'
                imagefile="sapicons.tif" page='448'/> <comment_start ICON_FAX_DOC Fax Document
                IV X__FAX comment_stop> <entry code='1740' imagefile="sapicons.tif"
                page='449'/> <comment_start ICON_GIF Gif Image IW X__GIF comment_stop>
                <entry code='1741' imagefile="sapicons.tif" page='442'/> <comment_start
                ICON_HLP Help file IX X__HLP comment_stop> <entry code='1742'
                imagefile="sapicons.tif" page='445'/> <comment_start ICON_HTT Hypertext
                Template IY X__HTT comment_stop> <entry code='1743' imagefile="sapicons.tif"
                page='454'/> <comment_start ICON_ITS Internet Document Set IZ X__ITS
                comment_stop> <entry code='1744' imagefile="sapicons.tif" page='455'/>
                <comment_start ICON_JPG JPEG Image J0 X__JPG comment_stop> <entry
                code='1745' imagefile="sapicons.tif" page='440'/> <comment_start ICON_MSG Mail
                Message J1 X__MSG comment_stop> <entry code='1746' imagefile="sapicons.tif"
                page='421'/> <comment_start ICON_XLS MS Excel Worksheet J2 X__XLS
                comment_stop> <entry code='1747' imagefile="sapicons.tif" page='420'/>
                <comment_start ICON_XLV MS Excel VBA Module J3 X__XLV comment_stop> <entry
                code='1748' imagefile="sapicons.tif" page='419'/> <comment_start ICON_HTM HTML
                Document J4 X__HTM comment_stop> <entry code='1749' imagefile="sapicons.tif"
                page='418'/> <comment_start ICON_PPT MS PowerPoint Presentation J5 X__PPT
                comment_stop> <entry code= '1750' imagefile="sapicons.tif" page='417'/>
                <comment_start ICON_DOT MS Word template J6 X__DOT comment_stop> <entry
                code='1751' imagefile="sapicons.tif" page='416'/> <comment_start ICON_DOC MS
                Word Document J7 X__DOC comment_stop> <entry code='1752'
                imagefile="sapicons.tif" page='415'/> <comment_start ICON_EML Outlook Express
                Mail J8 X__EML comment_stop> <entry code='1753' imagefile="sapicons.tif"
                page='414'/> <comment_start ICON_RTF Rich text format J9 X__RTF
                comment_stop> <entry code='1754' imagefile="sapicons.tif" page='413'/>
                <comment_start ICON_TIF TIF Image Document JA X__TIF comment_stop> <entry
                code='1755' imagefile="sapicons.tif" page='412'/> <comment_start ICON_WRI
                Notepad Document JB X__WRI comment_stop> <entry code='1756'
                imagefile="sapicons.tif" page='411'/> <comment_start ICON_LWP WordPro JC
                X__LWP comment_stop> <entry code='1757' imagefile="sapicons.tif"
                page='410'/> <comment_start ICON_LOTUS Lotus123 JD XLOTUS comment_stop>
                <entry code='1758' imagefile="sapicons.tif" page='409'/> <comment_start
                ICON_VSD Visio JE X__VSD comment_stop> <entry code= '1759'
                imagefile="sapicons.tif" page='408'/> <comment_start ICON_DEFAULT_WINDOWS
                Default windows JF DEFWIN comment_stop> <entry code='1760'
                imagefile="sapicons.tif" page='803'/> <comment_start ICON_DISPLAY_TREE Tree
                display JG DISTRE comment_stop> <entry code='1761' imagefile="sapicons.tif"
                page='804'/> <comment_start ICON_EXTENDED_SEARCH Extended search JH EXTSEA
                comment_stop> <entry code='1762' imagefile="sapicons.tif" page='805'/>
                <comment_start ICON_CLOSE_OBJECT Close object JI CLOOBJ comment_stop>
                <entry code='1763' imagefile="sapicons.tif" page='806'/> <comment_start
                ICON_OPEN Open object JJ X_OPEN comment_stop> <entry code='1764'
                imagefile="sapicons.tif" page='912'/> <comment_start ICON_POLICY Police data
                view / attachment JK POLICY comment_stop> <entry code='1765'
                imagefile="sapicons.tif" page='911'/> <comment_start ICON_PAYMENT Payment view
                / definition JL PAYMEN comment_stop> <entry code='1766'
                imagefile="sapicons.tif" page='910'/> <comment_start ICON_CATASTROPHE
                Catastrophe view / definition JM CATAST comment_stop> <entry code='1767'
                imagefile="sapicons.tif" page='909'/> <comment_start ICON_AGGREGATE Claim
                bundling JN AGGREG comment_stop> <entry code='1768' imagefile="sapicons.tif"
                page='908'/> <comment_start ICON_SUBCLAIM_PERSONAL_INJURYViolation of personal
                law JO SUPEIN <entry code= '1769' imagefile="sapicons.tif" page='907'/>
                <comment_start ICON_SUB_INTELLECTUAL_PROPERTSubclaim intellectual property JP
                SUINPR <entry code= '1770' imagefile="sapicons.tif" page='906'/>
                <comment_start ICON_SUBCLAIM_VEHICLE Subclaim vehicle JQ SUBVEH comment_stop>
                <entry code='1771' imagefile="sapicons.tif" page='905'/> <comment_start
                ICON_SUB_PERSONAL_PROPERTY Subclaim household goods JR SUPEPR comment_stop>
                <entry code='1772' imagefile="sapicons.tif" page='904'/> <comment_start
                ICON_SUBCLAIM_BUILDING Subclaim building JS SUBBUI comment_stop> <entry
                code='1773' imagefile="sapicons.tif" page='903'/> <comment_start
                ICON_SUB_BODILY_INJURY_TREAT Personal injury treatment JT SUBOIT comment_stop>
                <entry code='1774' imagefile="sapicons.tif" page='902'/> <comment_start
                ICON_SUBCLAIM_BODILY_INJURY Personal injury JU SUBOIN comment_stop> <entry
                code='1775' imagefile="sapicons.tif" page='901'/> <comment_start
                ICON_SUB_ENVRONMENTAL_SITE Environmental damage JV SUENSI comment_stop> <entry
                code='1776' imagefile="sapicons.tif" page='900'/> <comment_start
                ICON_SUB_FINANCIAL_IMPAIRMENTProperty damage JW SUFIIM comment_stop> <entry
                code='1781' imagefile="sapicons.tif" page='297'/> <comment_start
                ICON_DATA_AREA_EXPAND Expand data areas K1 DAAREX comment_stop> <entry code=
                '1782' imagefile="sapicons.tif" page='298'/> <comment_start
                ICON_DATA_AREA_COLLAPSE Compress data areas K2 DAARSO comment_stop> <entry
                code='1783' imagefile="sapicons.tif" page='299'/> <comment_start ICON_SCRAP
                Production committee K3 XSCRAP comment_stop> <entry code='1784'
                imagefile="sapicons.tif" page='555'/> <comment_start ICON_IMPORT_ALL_REQUESTS
                Import K4 IMALRE comment_stop> <entry code='1785' imagefile="sapicons.tif"
                page='554'/> <comment_start ICON_IMPORT_TRANSPORT_REQUESTIndividual import K5
                IMTRRE comment_stop> <entry code='1786' imagefile="sapicons.tif"
                page='553'/> <comment_start ICON_TOGGLE_DISPLAY Change view - basic <->
                detail K6 TOGDIS comment_stop> <entry code='1787' imagefile="sapicons.tif"
                page='552'/> <comment_start ICON_TOGGLE_FUNCTION Standard mode - Expert mode
                K7 TOGFUN comment_stop> <entry code='1788' imagefile="sapicons.tif"
                page='551'/> <comment_start ICON_PERSONAL_SETTINGS Settings K8 PERSET
                comment_stop> <entry code='1789' imagefile="sapicons.tif" page='574'/>
                <comment_start ICON_PROJECT Project K9 PROJCT comment_stop> <entry
                code='1790' imagefile="sapicons.tif" page='550'/> <comment_start
                ICON_INCLUDE_OBJECTS Include objects KA INCOBJ comment_stop> <entry
                code='1791' imagefile="sapicons.tif" page='549'/> <comment_start ICON_TRANSFER
                Transfer KB TRANSF comment_stop> <entry code='1792' imagefile="sapicons.tif"
                page='548'/> <comment_start ICON_DISTRIBUTE_CONFIGURATIONDistribute
                configuration KC DISTCO comment_stop> <entry code='1793'
                imagefile="sapicons.tif" page='547'/> <comment_start ICON_ADJUST_CONFIGURATION
                Adjust Configuration KD ADJCON comment_stop> <entry code='1794'
                imagefile="sapicons.tif" page='546'/> <comment_start
                ICON_STANDARD_CONFIGURATION Standard Configuration KE STACON comment_stop>
                <entry code='1795' imagefile="sapicons.tif" page='545'/> <comment_start
                ICON_MODIFIED_OBJECT Revised KF MODOBJ comment_stop> <entry code='1796'
                imagefile="sapicons.tif" page= '80'/> <comment_start
                ICON_SELECT_WITH_CONDITION Select with condition KG SEWICO comment_stop>
                <entry code='1797' imagefile="sapicons.tif" page='434'/> <comment_start
                ICON_ADDRESS_LIST Address List KH LIOFAD comment_stop> <entry code='1798'
                imagefile="sapicons.tif" page='317'/> <comment_start
                ICON_APPOINTMENT_COMPARISON Adjust scheduled date KI APPBAL comment_stop>
                <entry code='1799' imagefile="sapicons.tif" page='433'/> <comment_start
                ICON_BUSINESS_PARTNER_MASTER_Business partner master data KJ BPMADA comment_stop>
                <entry code='1800' imagefile="sapicons.tif" page='432'/> <comment_start
                ICON_INCOMPLETION_LOG Log of incomplete items KK INCLOG comment_stop> <entry
                code='1801' imagefile="sapicons.tif" page='431'/> <comment_start ICON_MESSAGE
                Message KL MESSAG comment_stop> <entry code='1802' imagefile="sapicons.tif"
                page='430'/> <comment_start ICON_TELEPHONE_CALL Telephone call KM TELCAL
                comment_stop> <entry code='1803' imagefile="sapicons.tif" page='429'/>
                <comment_start ICON_VISIT Sales call KN XVISIT comment_stop> <entry
                code='1804' imagefile="sapicons.tif" page='428'/> <comment_start ICON_LETTER
                Letter KO LETTER comment_stop> <entry code='1805' imagefile="sapicons.tif"
                page='853'/> <comment_start ICON_OPERATOR Operator KP OPERAT comment_stop>
                <entry code='1806' imagefile="sapicons.tif" page='854'/> <comment_start
                ICON_SYSTEM_ADMINISTRATOR System Administrator KQ SYSADM comment_stop> <entry
                code='1807' imagefile="sapicons.tif" page='855'/> <comment_start ICON_SAP SAP
                KR X__SAP comment_stop> <entry code='1808' imagefile="sapicons.tif"
                page='856'/> <comment_start ICON_PUBLIC Public KS PUBOBJ comment_stop>
                <entry code='1809' imagefile="sapicons.tif" page='320'/> <comment_start
                ICON_SUMMARIZE Aggregate key fields KT SUMMAR comment_stop> <entry code='1810'
                imagefile="sapicons.tif" page='321'/> <comment_start ICON_SUMMARIZE_UNDO Undo
                aggregation KU SUMUND comment_stop> <entry code='1811'
                imagefile="sapicons.tif" page='427'/> <comment_start ICON_SUM_RED Number of
                nonconforming units KV SUMNEG comment_stop> <entry code='1812'
                imagefile="sapicons.tif" page='544'/> <comment_start ICON_UNSPECIFIED_ONE not
                specified (1) KW NOSPCA comment_stop> <entry code='1813'
                imagefile="sapicons.tif" page='543'/> <comment_start ICON_UNSPECIFIED_TWO not
                specified (2) KX NOSPCB comment_stop> <entry code='1814'
                imagefile="sapicons.tif" page='542'/> <comment_start ICON_UNSPECIFIED_THREE
                not specified (3) KY NOSPCC comment_stop> <entry code='1815'
                imagefile="sapicons.tif" page='541'/> <comment_start ICON_UNSPECIFIED_FOUR not
                specified (4) KZ NOSPCD comment_stop> <entry code='1816'
                imagefile="sapicons.tif" page='540'/> <comment_start ICON_UNSPECIFIED_FIVE not
                specified (5) L0 NOSPCE comment_stop> <entry code='1818'
                imagefile="sapicons.tif" page='807'/> <comment_start ICON_TBH To be hired L2
                X__TBH comment_stop> <entry code='1819' imagefile="sapicons.tif"
                page='808'/> <comment_start ICON_TBH_HOLD To be hired hold L3 TBHHOL
                comment_stop> <entry code='1820' imagefile="sapicons.tif" page='809'/>
                <comment_start ICON_NEW_EMPLOYEE New employee L4 NEWEMP comment_stop>
                <entry code='1821' imagefile="sapicons.tif" page='810'/> <comment_start
                ICON_INCOMING_EMPLOYEE Incoming employee L5 INCEMP comment_stop> <entry
                code='1822' imagefile="sapicons.tif" page='787'/> <comment_start
                ICON_OUTGOING_EMPLOYEE Outgoing employee L6 OUTEMP comment_stop> <entry
                code='1823' imagefile="sapicons.tif" page='788'/> <comment_start
                ICON_OBSOLETE_POSITION Obselete Position L7 OBSPOS comment_stop> <entry
                code='1824' imagefile="sapicons.tif" page='789'/> <comment_start
                ICON_TERMINATED_POSITION Delimited position L8 TERPOS comment_stop> <entry
                code='1825' imagefile="sapicons.tif" page='790'/> <comment_start
                ICON_SHARED_POSITION Position with 2 owners L9 SHAPOS comment_stop> <entry
                code='1826' imagefile="sapicons.tif" page='791'/> <comment_start
                ICON_OBSOLETE_SHARED_POSITIONDivided position, obsolete LA OBSHPO comment_stop>
                <entry code='1827' imagefile="sapicons.tif" page='792'/> <comment_start
                ICON_TERMINATED_SHARED_POSITIDivided position, delimited LB TESHPO comment_stop>
                <entry code='1829' imagefile="sapicons.tif" page='793'/> <comment_start
                ICON_CREATE_POSITION Create position LD CREPOS comment_stop> <entry
                code='1831' imagefile="sapicons.tif" page='794'/> <comment_start
                ICON_TERMINATED_ORG_UNIT Delimited organizational units LF TEORUN comment_stop>
                <entry code='1832' imagefile="sapicons.tif" page='796'/> <comment_start
                ICON_NEW_ORG_UNIT Create Organizational Unit LG NEORUN comment_stop> <entry
                code='1833' imagefile="sapicons.tif" page='797'/> <comment_start
                ICON_OUTGOING_ORG_UNIT Limited assignment LH OUORUN comment_stop> <entry
                code='1834' imagefile="sapicons.tif" page='798'/> <comment_start
                ICON_INCOMING_ORG_UNIT Added organizational unit LI INORUN comment_stop>
                <entry code='1835' imagefile="sapicons.tif" page='795'/> <comment_start
                ICON_NEW_TASK Create task LJ NEWTAS comment_stop> <entry code='1836'
                imagefile="sapicons.tif" page='826'/> <comment_start ICON_TERMINATED_TASK
                Delimited task LK TERTAS comment_stop> <entry code= '1837'
                imagefile="sapicons.tif" page='828'/> <comment_start ICON_OUTGOING_TASK
                Delimited task assignment LL OUTTAS comment_stop> <entry code='1838'
                imagefile="sapicons.tif" page='823'/> <comment_start ICON_INCOMING_TASK
                Reassign task LM INCTAS comment_stop> <entry code='1839'
                imagefile="sapicons.tif" page='822'/> <comment_start ICON_OUTGOING_JOB
                Delimited position assignment LN OUTJOB comment_stop> <entry code='1840'
                imagefile="sapicons.tif" page='821'/> <comment_start ICON_INCOMING_JOB
                Reassigned position LO INCJOB comment_stop> <entry code='1841'
                imagefile="sapicons.tif" page='820'/> <comment_start ICON_NEW_JOB Create job
                LP NEWJOB comment_stop> <entry code='1842' imagefile="sapicons.tif"
                page='827'/> <comment_start ICON_TERMINATED_JOB Delimited position LQ TERJOB
                comment_stop> <entry code='1843' imagefile="sapicons.tif" page='825'/>
                <comment_start ICON_INCOMING_OBJECT Reassigned object LR INCOOB comment_stop>
                <entry code='1844' imagefile="sapicons.tif" page='824'/> <comment_start
                ICON_OUTGOING_OBJECT Delimited object LS OUTOBJ comment_stop> <entry
                code='1845' imagefile="sapicons.tif" page='324'/> <comment_start
                ICON_WS_START_WHSE_PROC_BACKGStart whse proc. in background LT LAANHI
                comment_stop> <entry code='1846' imagefile="sapicons.tif" page='323'/>
                <comment_start ICON_WS_START_WHSE_PROC_FOREGStart whse proc. in foreground LU
                LAANVO comment_stop> <entry code='1847' imagefile="sapicons.tif"
                page='326'/> <comment_start ICON_WS_CONFIRM_WHSE_PROC_BACConfirm whse proc. in
                backgrnd LV LAQUHI comment_stop> <entry code='1848' imagefile="sapicons.tif"
                page='316'/> <comment_start ICON_WS_CONFIRM_WHSE_PROC_FORConfirm whse proc. in
                foregrnd LW LAQUVO comment_stop> <entry code='1849' imagefile="sapicons.tif"
                page='873'/> <comment_start ICON_HOLD Hold window LX X_HOLD comment_stop>
                <entry code='1850' imagefile="sapicons.tif" page='872'/> <comment_start
                ICON_HOLD_UNDO Undo hold window LY HOLUND comment_stop> <entry code='1851'
                imagefile="sapicons.tif" page= '88'/> <comment_start ICON_ALV_VARIANTS Layouts
                LZ VARIAN comment_stop> <entry code='1852' imagefile="sapicons.tif"
                page='767'/> <comment_start ICON_TE_FLAT_RATE Per Diem/Flat Rate M0 FLARAT
                comment_stop> <entry code='1853' imagefile="sapicons.tif" page='695'/>
                <comment_start ICON_BIW_SOURCE_SYS_OWN Source system own system M1 BWSSOW
                comment_stop> <entry code='1854' imagefile="sapicons.tif" page='628'/>
                <comment_start ICON_WORKFLOW_JOIN Connect workflow M2 WFJOIN comment_stop>
                <entry code= '1855' imagefile="sapicons.tif" page='629'/> <comment_start
                ICON_WORKFLOW_PROCESS Workflow process M3 WFPROC comment_stop> <entry
                code='1856' imagefile="sapicons.tif" page='422'/> <comment_start
                ICON_BACKGROUND_JOB Background job M4 XBGJOB comment_stop> <entry code= '1857'
                imagefile="sapicons.tif" page='423'/> <comment_start ICON_JOB_DETAIL
                Background job details M5 JOBDET comment_stop> <entry code='1858'
                imagefile="sapicons.tif" page='588'/> <comment_start ICON_SYSTEMTYPE System
                Type M6 SYSTYP comment_stop> <entry code='1859' imagefile="sapicons.tif"
                page='589'/> <comment_start ICON_COMPOSITE_ACTIVITYGROUP Composite activity
                group M7 COMACT comment_stop> <entry code='1860' imagefile="sapicons.tif"
                page='254'/> <comment_start ICON_TREND_DOWN Trend falling M8 TREDWN
                comment_stop> <entry code='1861' imagefile="sapicons.tif" page='255'/>
                <comment_start ICON_TREND_DECREASING Trend falling slightly M9 TREDCR
                comment_stop> <entry code='1862' imagefile="sapicons.tif" page='251'/>
                <comment_start ICON_TREND_UNCHANGED Trend stagnating MA TREUNC comment_stop>
                <entry code='1863' imagefile="sapicons.tif" page='250'/> <comment_start
                ICON_TREND_RISING Trend rising slightly MB TRERIS comment_stop> <entry
                code='1864' imagefile="sapicons.tif" page='248'/> <comment_start ICON_TREND_UP
                Trend rising MC TRE_UP comment_stop> <entry code='1865'
                imagefile="sapicons.tif" page='247'/> <comment_start ICON_STATUS_ALERT Status
                critical MD STAALE comment_stop> <entry code='1866' imagefile="sapicons.tif"
                page='246'/> <comment_start ICON_STATUS_OK Status good ME STA_OK
                comment_stop> <entry code='1867' imagefile="sapicons.tif" page='245'/>
                <comment_start ICON_STATUS_BEST Status very good MF STABST comment_stop>
                <entry code='1868' imagefile="sapicons.tif" page='244'/> <comment_start
                ICON_NO_STATUS No Status MG STA_NO comment_stop> <entry code='1869'
                imagefile="sapicons.tif" page='294'/> <comment_start ICON_DRAW_SELECT Select
                redlining object MH DRWSEL comment_stop> <entry code='1870'
                imagefile="sapicons.tif" page='293'/> <comment_start ICON_DRAW_FREEHAND Draw
                freehand lines MI DRWFRE comment_stop> <entry code='1871'
                imagefile="sapicons.tif" page='291'/> <comment_start ICON_DRAW_ARROW Draw
                indicator arrow MJ DRWARR comment_stop> <entry code='1872'
                imagefile="sapicons.tif" page='290'/> <comment_start ICON_DRAW_LINE Draw line
                MK DRWLIN comment_stop> <entry code='1873' imagefile="sapicons.tif"
                page='289'/> <comment_start ICON_DRAW_POLYLINE Draw multiple lines ML DRWPLL
                comment_stop> <entry code='1874' imagefile="sapicons.tif" page='315'/>
                <comment_start ICON_DRAW_ELLIPSE Draw ellipse MM DRWELL comment_stop>
                <entry code='1875' imagefile="sapicons.tif" page='310'/> <comment_start
                ICON_DRAW_POLYGON Draw polygon MN DRWPLG comment_stop> <entry code='1876'
                imagefile="sapicons.tif" page='309'/> <comment_start ICON_DRAW_RECTANGLE Draw
                rectangle MO DRWREC comment_stop> <entry code='1877' imagefile="sapicons.tif"
                page='307'/> <comment_start ICON_DRAW_ANGULAR Angle measurement MP DRWANG
                comment_stop> <entry code='1878' imagefile="sapicons.tif" page='306'/>
                <comment_start ICON_DRAW_LINEAR Length measurement MQ DRWLIR comment_stop>
                <entry code='1879' imagefile="sapicons.tif" page='305'/> <comment_start
                ICON_DRAW_RADIAL Radius measurement MR DRWRAD comment_stop> <entry code='1880'
                imagefile="sapicons.tif" page='697'/> <comment_start ICON_BW_EXCEPTION_MONITOR
                Exception monitor MS BWEXMO comment_stop> <entry code='1881'
                imagefile="sapicons.tif" page='698'/> <comment_start ICON_BOOKMARK Navigation
                status of a query MT BOOKMA comment_stop> <entry code='1882'
                imagefile="sapicons.tif" page='703'/> <comment_start
                ICON_TRANSFER_STRUCTURE_INA Transfer structure, inactive MU TRSTIN comment_stop>
                <entry code='1883' imagefile="sapicons.tif" page='704'/> <comment_start
                ICON_EXCEPTION Exception in reporting MV BWEXCE comment_stop> <entry
                code='1884' imagefile="sapicons.tif" page='705'/> <comment_start ICON_RANKING
                Ranked list function MW RANKIN comment_stop> <entry code='1885'
                imagefile="sapicons.tif" page='923'/> <comment_start ICON_PPE_BHNODE Toolbox
                top node MX BHNODE comment_stop> <entry code='1886' imagefile="sapicons.tif"
                page='924'/> <comment_start ICON_PPE_AENODE Toolbox, change status MY AENODE
                comment_stop> <entry code= '1887' imagefile="sapicons.tif" page='922'/>
                <comment_start ICON_PPE_ANODE Alternative at structure node MZ XANODE
                comment_stop> <entry code='1888' imagefile="sapicons.tif" page='921'/>
                <comment_start ICON_PPE_CVNODE Change status of a variant N0 CVNODE
                comment_stop> <entry code='1889' imagefile="sapicons.tif" page='920'/>
                <comment_start ICON_PPE_SNODE Structure node with variants N1 XSNODE
                comment_stop> <entry code='1890' imagefile="sapicons.tif" page='919'/>
                <comment_start ICON_PPE_ENODE Initial Node N2 XENODE comment_stop> <entry
                code='1891' imagefile="sapicons.tif" page='918'/> <comment_start
                ICON_PPE_APNODE Activity plan N3 APNODE comment_stop> <entry code='1892'
                imagefile="sapicons.tif" page='917'/> <comment_start ICON_PPE_VNODE Structure
                Nodes N4 XVNODE comment_stop> <entry code='1893' imagefile="sapicons.tif"
                page='916'/> <comment_start ICON_PPE_MODNODE Mode N5 MDNODE comment_stop>
                <entry code='1894' imagefile="sapicons.tif" page='915'/> <comment_start
                ICON_PPE_AANODE Alt. arrangement relationship N6 AANODE comment_stop> <entry
                code='1895' imagefile="sapicons.tif" page='914'/> <comment_start
                ICON_PPE_AAEXPNODE Alternative breakdown N7 AXNODE comment_stop> <entry
                code='1896' imagefile="sapicons.tif" page='936'/> <comment_start
                ICON_PPE_OPNODE Process N8 OPNODE comment_stop> <entry code='1897'
                imagefile="sapicons.tif" page='935'/> <comment_start ICON_PPE_ACTNODE Activity
                N9 ACNODE comment_stop> <entry code='1898' imagefile="sapicons.tif"
                page='934'/> <comment_start ICON_PPE_VACTNODE Division activity NA VTNODE
                comment_stop> <entry code= '1899' imagefile="sapicons.tif" page='933'/>
                <comment_start ICON_PPE_VANODE Buffer NB VANODE comment_stop> <entry
                code='1900' imagefile="sapicons.tif" page='932'/> <comment_start ICON_PPE_LSEG
                Line segment NC X_LSEG comment_stop> <entry code='1901'
                imagefile="sapicons.tif" page='931'/> <comment_start ICON_PPE_PLINE Production
                line ND XPLINE comment_stop> <entry code='1902' imagefile="sapicons.tif"
                page='930'/> <comment_start ICON_PPE_BPNODE Toolbox item node NE BPNODE
                comment_stop> <entry code='1903' imagefile="sapicons.tif" page='706'/>
                <comment_start ICON_GIS_BAR Gantt diagram NF GISBAR comment_stop> <entry
                code='1904' imagefile="sapicons.tif" page='707'/> <comment_start
                ICON_GIS_COLOR_SHADING Color procedure graphic NG GISCOL comment_stop> <entry
                code='1905' imagefile="sapicons.tif" page='708'/> <comment_start
                ICON_GIS_DEMOTE Card layer deeper NH GISDEM comment_stop> <entry code='1906'
                imagefile="sapicons.tif" page='709'/> <comment_start ICON_GIS_DOT_DENSITY
                Point density graph NI GISDOT comment_stop> <entry code='1907'
                imagefile="sapicons.tif" page='689'/> <comment_start ICON_GIS_LAYER_PROPERTIES
                Card settings NJ GISLAY comment_stop> <entry code= '1908'
                imagefile="sapicons.tif" page='670'/> <comment_start ICON_GIS_PAN Move center
                of card NK GISPAN comment_stop> <entry code='1909' imagefile="sapicons.tif"
                page='671'/> <comment_start ICON_GIS_PIE Pie chart NL GISPIE comment_stop>
                <entry code='1910' imagefile="sapicons.tif" page='672'/> <comment_start
                ICON_GIS_PROMOTE Card layer higher NM GISPRO comment_stop> <entry code='1911'
                imagefile="sapicons.tif" page='673'/> <comment_start ICON_GIS_SPATIAL_SELECT
                Card object selection NN GISSPA comment_stop> <entry code='1912'
                imagefile="sapicons.tif" page='674'/> <comment_start ICON_GIS_SYMBOL Symbol
                graphic NO GISSYM comment_stop> <entry code='1913' imagefile="sapicons.tif"
                page='874'/> <comment_start ICON_CALL_ANSWER Accept call NP CLANSW
                comment_stop> <entry code='1914' imagefile="sapicons.tif" page='875'/>
                <comment_start ICON_CALL_ALTERNATE Switch between calls NQ CLALTE
                comment_stop> <entry code='1915' imagefile="sapicons.tif" page='876'/>
                <comment_start ICON_CALL_HOLD Hold call NR CLHOLD comment_stop> <entry
                code='1916' imagefile="sapicons.tif" page='877'/> <comment_start
                ICON_CALL_DEFLECT Forward call NS CLDEFL comment_stop> <entry code='1917'
                imagefile="sapicons.tif" page='878'/> <comment_start ICON_CALL_CONSULT Consult
                NT CLCONS comment_stop> <entry code='1918' imagefile="sapicons.tif"
                page='879'/> <comment_start ICON_CALL_CONFERENCE Conference call NU CLCONF
                comment_stop> <entry code= '1919' imagefile="sapicons.tif" page='880'/>
                <comment_start ICON_CALL_BLIND_TRANSFER Connect call directly NV CLBLTR
                comment_stop> <entry code='1920' imagefile="sapicons.tif" page='881'/>
                <comment_start ICON_CALL_RECONNECT Return to held call NW CLRECO comment_stop>
                <entry code= '1921' imagefile="sapicons.tif" page='882'/> <comment_start
                ICON_CALL_RETRIEVE Resume call NX CLRETR comment_stop> <entry code='1922'
                imagefile="sapicons.tif" page='883'/> <comment_start ICON_CALL_WARM_TRANSFER
                Connect call indirectly NY CLWATR comment_stop> <entry code='1923'
                imagefile="sapicons.tif" page='884'/> <comment_start ICON_CREATE_CALLBACK Call
                back on NZ CRBACK comment_stop> <entry code='1924' imagefile="sapicons.tif"
                page='885'/> <comment_start ICON_PROCESS_CALLBACK Edit call back O0 PRBACK
                comment_stop> <entry code='1925' imagefile="sapicons.tif" page='675'/>
                <comment_start ICON_BW_RA_SETTING_ACTIVE Reporting agent: Active O1 BWRASA
                comment_stop> <entry code='1926' imagefile="sapicons.tif" page='676'/>
                <comment_start ICON_BW_RA_SETTING_INACTIVE Reporting agent: Inactive O2 BWRASI
                comment_stop> <entry code='1927' imagefile="sapicons.tif" page='424'/>
                <comment_start ICON_SNC_INFO SNC information O3 SNCINF comment_stop> <entry
                code='1928' imagefile="sapicons.tif" page='172'/> <comment_start ICON_DELIVERY
                Delivery O4 DELIVE comment_stop> <entry code='1929' imagefile="sapicons.tif"
                page='929'/> <comment_start ICON_PPE_ASSY_POS Single-level BOM position O5
                PPEASP comment_stop> <entry code='1930' imagefile="sapicons.tif"
                page='928'/> <comment_start ICON_PPE_ASSY_HEAD Single-level BOM header O6
                PPEASH comment_stop> <entry code='1931' imagefile="sapicons.tif"
                page='927'/> <comment_start ICON_PPE_PARTOF_ALT_ACT Alternat. activity plan
                split O7 PPEPAA comment_stop> <entry code='1932' imagefile="sapicons.tif"
                page='857'/> <comment_start ICON_BINARY_DOCUMENT Binary document O8 BINDOC
                comment_stop> <entry code= '1933' imagefile="sapicons.tif" page='858'/>
                <comment_start ICON_ANY_DOCUMENT Unknown document class O9 ANYDOC
                comment_stop> <entry code='1934' imagefile="sapicons.tif" page='859'/>
                <comment_start ICON_OTF_DOCUMENT Document with OTF data OA OTFDOC
                comment_stop> <entry code='1935' imagefile="sapicons.tif" page='169'/>
                <comment_start ICON_TEXT_FIELD Text Field OB TXTFLD comment_stop> <entry
                code='1936' imagefile="sapicons.tif" page='176'/> <comment_start
                ICON_FIELD_WITH_TEXT Field with text OC FLDTXT comment_stop> <entry code=
                '1937' imagefile="sapicons.tif" page='171'/> <comment_start ICON_SIMPLE_FIELD
                Simple field OD SIMFLD comment_stop> <entry code='1938'
                imagefile="sapicons.tif" page='521'/> <comment_start ICON_TRANSPORT_PROPOSAL
                Create transport proposal OE TRAPRO comment_stop> <entry code='1943'
                imagefile="sapicons.tif" page='253'/> <comment_start ICON_STATUS_CRITICAL
                Status very critical OJ STACRI comment_stop> <entry code='1947'
                imagefile="sapicons.tif" page='425'/> <comment_start
                ICON_CONSUMPTION_ALTERNATIVE Consumption Alternative ON CONALT comment_stop>
                <entry code='1948' imagefile="sapicons.tif" page='426'/> <comment_start
                ICON_PROCUREMENT_ALTERNATIVE Procurement Alternative OO PROALT comment_stop>
                <entry code='1949' imagefile="sapicons.tif" page='435'/> <comment_start
                ICON_PROCUREMENT_PROCESS Procurement Process OP PROPRO comment_stop> <entry
                code='1950' imagefile="sapicons.tif" page='630'/> <comment_start ICON_WORKFLOW
                Workflow OQ WRKFLO comment_stop> <entry code='1951' imagefile="sapicons.tif"
                page='590'/> <comment_start ICON_DOCUMENT_MODEL_SPACE Document model area OR
                DOMOSP comment_stop> <entry code='1952' imagefile="sapicons.tif"
                page='591'/> <comment_start ICON_RELATION_CLASS Relationship Class OS RELCLA
                comment_stop> <entry code= '1953' imagefile="sapicons.tif" page='592'/>
                <comment_start ICON_IO_ATTRIBUTE Attribute Definition OT IOATTR comment_stop>
                <entry code='1954' imagefile="sapicons.tif" page='593'/> <comment_start
                ICON_VIRTUAL_RELATION_CLASS Virtual relationship class OU VIRECL comment_stop>
                <entry code='1955' imagefile="sapicons.tif" page='594'/> <comment_start
                ICON_CLASS_CONNECTION_SPACE Class connection space OV CLCOSP comment_stop>
                <entry code='1956' imagefile="sapicons.tif" page='595'/> <comment_start
                ICON_IO_PREDEFINED_VALUE Attribute def. fixed values OW IOPREV comment_stop>
                <entry code='1957' imagefile="sapicons.tif" page='586'/> <comment_start
                ICON_CONTEXT_CLASS Context class OX CONCLA comment_stop> <entry code='1958'
                imagefile="sapicons.tif" page='575'/> <comment_start ICON_LOIO_CLASS Logical
                info object class OY LOIOCL comment_stop> <entry code='1959'
                imagefile="sapicons.tif" page='576'/> <comment_start ICON_VIRTUAL_LOIO_CLASS
                Virtual log. info object class OZ VILOIO comment_stop> <entry code='1960'
                imagefile="sapicons.tif" page='577'/> <comment_start ICON_PHIO_CLASS Physical
                info object class P0 PHIOCL comment_stop> <entry code='1961'
                imagefile="sapicons.tif" page='578'/> <comment_start ICON_VIRTUAL_PHIO_CLASS
                Virtual phys. info object clss P1 VIPHCL comment_stop> <entry code='1962'
                imagefile="sapicons.tif" page='78'/> <comment_start ICON_PARAGRAPH Show/hide
                paragraph mark P2 PARAGR comment_stop> <entry code='1963'
                imagefile="sapicons.tif" page='512'/> <comment_start ICON_MC_CONTENTINDICATOR
                Displays an MC P3 CONTEN comment_stop> <entry code='1964'
                imagefile="sapicons.tif" page='513'/> <comment_start ICON_BSC_CONTENTINDICATOR
                Displays a BSC P4 BSCCON comment_stop> <entry code='1965'
                imagefile="sapicons.tif" page='242'/> <comment_start ICON_RATING_MINUSMINUS
                #460#460 P5 RAMIMI comment_stop> <entry code='1966' imagefile="sapicons.tif"
                page='243'/> <comment_start ICON_RATING_MINUS - P6 RAMINU comment_stop>
                <entry code='1967' imagefile="sapicons.tif" page='241'/> <comment_start
                ICON_RATING_NEUTRAL 0 P7 RANEUT comment_stop> <entry code='1968'
                imagefile="sapicons.tif" page='240'/> <comment_start ICON_RATING_POSITIVE + P8
                RAPOSI comment_stop> <entry code='1969' imagefile="sapicons.tif"
                page='239'/> <comment_start ICON_RATING_POSITIVEPOSITIVE ++ P9 RAPOPO
                comment_stop> <entry code='1970' imagefile="sapicons.tif" page='627'/>
                <comment_start ICON_WORKFLOW_WEB_ACTIVITY Web activity step type PA WEBACT
                comment_stop> <entry code='1971' imagefile="sapicons.tif" page='174'/>
                <comment_start ICON_DELIVERY_NO_CONFIRMATIONContinue without confirming PB DENOCO
                comment_stop> <entry code='1972' imagefile="sapicons.tif" page='300'/>
                <comment_start ICON_SNAP_TO_GRID Align with grid PC SNAPGR comment_stop>
                <entry code='1973' imagefile="sapicons.tif" page='296'/> <comment_start
                ICON_GRID Grid PD XXGRID comment_stop> <entry code='1974'
                imagefile="sapicons.tif" page='295'/> <comment_start ICON_MAIN_GRID Main Grid
                PE MAGRID comment_stop> <entry code='1975' imagefile="sapicons.tif"
                page='436'/> <comment_start ICON_TARGET_GROUP Target Group PF TARGRU
                comment_stop> <entry code='1976' imagefile="sapicons.tif" page='168'/>
                <comment_start ICON_DELIVERY_INBOUND Inbound Delivery PG DELINB comment_stop>
                <entry code='1977' imagefile="sapicons.tif" page='926'/> <comment_start
                ICON_PPE_LBAL Line balancing PH LINBAL comment_stop> <entry code='1978'
                imagefile="sapicons.tif" page='925'/> <comment_start ICON_PPE_ENTOBJ
                Integrated PPE object PI ENTOBJ comment_stop> <entry code='1979'
                imagefile="sapicons.tif" page='582'/> <comment_start ICON_PAW_TEST Perf.
                Assessmt Workbench test PJ PAWTST comment_stop> <entry code='1980'
                imagefile="sapicons.tif" page='580'/> <comment_start ICON_PAW_SUBTEST Subtest
                for PAW test PK PAWSUB comment_stop> <entry code='1981'
                imagefile="sapicons.tif" page='587'/> <comment_start ICON_PAW_PU Performance
                unit PL PAWPUN comment_stop> <entry code='1982' imagefile="sapicons.tif"
                page='579'/> <comment_start ICON_PAW_ITEM Test item for PAW test PM PAWITM
                comment_stop> <entry code='1983' imagefile="sapicons.tif" page='437'/>
                <comment_start ICON_BUSINESS_AREA Business Area PN BUSARE comment_stop>
                <entry code='1984' imagefile="sapicons.tif" page='724'/> <comment_start
                ICON_DATABASE_TABLE Database Table PO DBTABL comment_stop> <entry code='1985'
                imagefile="sapicons.tif" page='725'/> <comment_start ICON_DATABASE_TABLE_INA
                Inactive database table PP DBTBIN comment_stop> <entry code='1986'
                imagefile="sapicons.tif" page='438'/> <comment_start ICON_CONNECTION_OBJECT
                Connection object PQ UTCNOB comment_stop> <entry code='1987'
                imagefile="sapicons.tif" page='439'/> <comment_start ICON_CONTRACT_ACCOUNT
                Contract account PR UTCNAC comment_stop> <entry code='1988'
                imagefile="sapicons.tif" page='404'/> <comment_start ICON_REGISTER Register PS
                UTREGS comment_stop> <entry code='1989' imagefile="sapicons.tif"
                page='405'/> <comment_start ICON_INSTALLATION Attachment PT UTINST
                comment_stop> <entry code='1990' imagefile="sapicons.tif" page='312'/>
                <comment_start ICON_BORDER_TOP Top Border PU BRDTOP comment_stop> <entry
                code='1991' imagefile="sapicons.tif" page='311'/> <comment_start
                ICON_BORDER_RIGHT Right Border PV BRDRGT comment_stop> <entry code='1992'
                imagefile="sapicons.tif" page='308'/> <comment_start ICON_BORDER_OUTSIDE Outer
                Border PW BRDOUT comment_stop> <entry code='1993' imagefile="sapicons.tif"
                page='302'/> <comment_start ICON_BORDER_LEFT Left Border PX BRDLFT
                comment_stop> <entry code='1994' imagefile="sapicons.tif" page='303'/>
                <comment_start ICON_BORDER_BOTTOM Bottom Border PY BRDBTM comment_stop>
                <entry code='1995' imagefile="sapicons.tif" page='304'/> <comment_start
                ICON_BORDER_INSIDE Inner Border PZ BRDINS comment_stop> <entry code='1996'
                imagefile="sapicons.tif" page='313'/> <comment_start ICON_DELETE_TEMPLATE
                Reset Template Q0 DELTPL comment_stop> <entry code='1997'
                imagefile="sapicons.tif" page='314'/> <comment_start ICON_SAVE_AS_TEMPLATE
                Save Entries as Template Q1 SAVTPL comment_stop> <entry code='1998'
                imagefile="sapicons.tif" page='292'/> <comment_start ICON_PATIENT_SMARTCARD
                Transfer healthcare smartcard Q2 PATSCD comment_stop> <entry code='1999'
                imagefile="sapicons.tif" page='252'/> <comment_start ICON_INITIAL Blank, New,
                Open Q3 INITAL comment_stop> <entry code='2000' imagefile="sapicons.tif"
                page='406'/> <comment_start ICON_GENERAL_RECIPE Basic Recipe Q4 GENRCP
                comment_stop> <entry code='2001' imagefile="sapicons.tif" page='626'/>
                <comment_start ICON_WORKFLOW_ADHOC_ANCHOR Placeholder Q5 WFANCO comment_stop>
                <entry code='2002' imagefile="sapicons.tif" page='318'/> <comment_start
                ICON_PRICE_ANALYSIS Material Price Analysis Q6 PRANAL comment_stop> <entry
                code='2003' imagefile="sapicons.tif" page='301'/> <comment_start
                ICON_COST_COMPONENTS Cost Components Q7 COCOMP comment_stop> <entry
                code='2004' imagefile="sapicons.tif" page='407'/> <comment_start
                ICON_VAL_QUANTITY_STRUCTURE Valued Quantity Structure Q8 VLQSTR comment_stop>
                <entry code='2005' imagefile="sapicons.tif" page='457'/> <comment_start
                ICON_REVALUATED_CONS_ALTERNATReval. Consumption Alternative Q9 RECOAL
                comment_stop> <entry code='2006' imagefile="sapicons.tif" page='456'/>
                <comment_start ICON_PACKAGE_QUERY Query Package QA PCKQRY comment_stop>
                <entry code='2007' imagefile="sapicons.tif" page='444'/> <comment_start
                ICON_PACKAGE_DYNAMIC Dynamic Package QB PCKDYN comment_stop> <entry code=
                '2008' imagefile="sapicons.tif" page='446'/> <comment_start
                ICON_PACKAGE_STANDARD Standard package QC PCKSTD comment_stop> <entry
                code='2009' imagefile="sapicons.tif" page='447'/> <comment_start
                ICON_PACKAGE_APPLICATION Application packet QD PCKAPP comment_stop> <entry
                code='2010' imagefile="sapicons.tif" page='170'/> <comment_start
                ICON_LINKED_DOCUMENT Linked Document QE LNKDOC comment_stop> <entry
                code='2011' imagefile="sapicons.tif" page='175'/> <comment_start
                ICON_CLOSED_LINKED_FOLDER Linked Folder QF CLLNKF comment_stop> <entry
                code='2012' imagefile="sapicons.tif" page='173'/> <comment_start
                ICON_OPEN_LINKED_FOLDER Linked Folder QG OPLNKF comment_stop> <entry code=
                '2013' imagefile="sapicons.tif" page='451'/> <comment_start
                ICON_REPORT_TEMPLATE Formatted Report QH REPTPL comment_stop> <entry
                code='2014' imagefile="sapicons.tif" page='727'/> <comment_start
                ICON_INFOSET_ACT Active InfoSet QI BWIFSA comment_stop> <entry code='2015'
                imagefile="sapicons.tif" page='728'/> <comment_start ICON_INFOSET_INA Inactive
                InfoSet QJ BWIFSI comment_stop> <entry code='2016' imagefile="sapicons.tif"
                page='719'/> <comment_start ICON_CHARACTERISTICS_FML Formula on Structure
                Element QK BWCRFM comment_stop> <entry code='2017' imagefile="sapicons.tif"
                page='718'/> <comment_start ICON_CHARACTERISTICS_HIER Characteristic with
                Hierarchy QL BWCRHR comment_stop> <entry code='2018' imagefile="sapicons.tif"
                page='717'/> <comment_start ICON_HIERARCHY_RED Excluded Node QM BWHRRD
                comment_stop> <entry code='2019' imagefile="sapicons.tif" page='716'/>
                <comment_start ICON_HIERARCHY_VAR_GREEN Included Variable Node QN BWHRGR
                comment_stop> <entry code='2020' imagefile="sapicons.tif" page='715'/>
                <comment_start ICON_HIERARCHY_VAR_RED Excluded Variable Node QO BWHRVR
                comment_stop> <entry code='2021' imagefile="sapicons.tif" page='714'/>
                <comment_start ICON_KEYFIGURE_FML Formula on Key Figure QP BWKYFM
                comment_stop> <entry code='2022' imagefile="sapicons.tif" page='713'/>
                <comment_start ICON_VAR_EQUAL_GREEN Included Variable Value QQ BWVEQG
                comment_stop> <entry code='2023' imagefile="sapicons.tif" page='712'/>
                <comment_start ICON_VAR_EQUAL_RED Excluded Variable Value QR BWVEQR
                comment_stop> <entry code='2024' imagefile="sapicons.tif" page='711'/>
                <comment_start ICON_VAR_GR_EQUAL_GREEN Include Values >= Variable QS BWVGEG
                comment_stop> <entry code='2025' imagefile="sapicons.tif" page='710'/>
                <comment_start ICON_VAR_GREATER_GREEN Include Values > Variable QT BWVGRG
                comment_stop> <entry code='2026' imagefile="sapicons.tif" page='721'/>
                <comment_start ICON_VAR_LESS_EQUAL_GREEN Include Values <= Variable QU BWVLEG
                comment_stop> <entry code='2027' imagefile="sapicons.tif" page='720'/>
                <comment_start ICON_VAR_LESS_GREEN Include Values < Variable QV BWVLSG
                comment_stop> <entry code='2028' imagefile="sapicons.tif" page='688'/>
                <comment_start ICON_VAR_INT_INCLUDE_GREEN Include Variable Range QW BWVIIG
                comment_stop> <entry code='2029' imagefile="sapicons.tif" page='687'/>
                <comment_start ICON_VAR_INT_INCLUDE_RED Exclude Variable Range QX BWVIIR
                comment_stop> <entry code='2030' imagefile="sapicons.tif" page='686'/>
                <comment_start ICON_MULTI_DATA_PROVIDER Multi Data Provider QY BWMDPR
                comment_stop> <entry code='2031' imagefile="sapicons.tif" page='685'/>
                <comment_start ICON_MULTI_DATA_PROVIDER_INA Inactive Multi Data Provider QZ
                BWMDPI comment_stop> <entry code='2032' imagefile="sapicons.tif"
                page='684'/> <comment_start ICON_BW_SOURCE_SYS_DB Source System: Database R0
                BWSSDB comment_stop> <entry code='2033' imagefile="sapicons.tif"
                page='683'/> <comment_start ICON_BW_SOURCE_SYS_WEB Source System: Internet R1
                BWSSWB comment_stop> <entry code='2034' imagefile="sapicons.tif"
                page='682'/> <comment_start ICON_BW_DATASOURCE DataSource R2 BWDTSR
                comment_stop> <entry code='2035' imagefile="sapicons.tif" page='693'/>
                <comment_start ICON_BW_WEB_REPORT BW Web Report R3 BWWBRP comment_stop>
                <entry code='2036' imagefile="sapicons.tif" page='453'/> <comment_start
                ICON_XML_DOC XML document R4 XMLDOC comment_stop> <entry code='2037'
                imagefile="sapicons.tif" page='458'/> <comment_start ICON_DROPDOWNLIST
                Dropdown Box R5 DRPDWL comment_stop> <entry code='2038'
                imagefile="sapicons.tif" page='452'/> <comment_start ICON_RADIOBUTTON Radio
                button R6 RDBTTN comment_stop> <entry code='2039' imagefile="sapicons.tif"
                page='450'/> <comment_start ICON_CHECKBOX Checkbox R7 CHKBOX comment_stop>
                <entry code='2040' imagefile="sapicons.tif" page='691'/> <comment_start
                ICON_GEO_CHARACTERISTIC Geo-Characteristic R8 BWGEOC comment_stop> <entry
                code='2041' imagefile="sapicons.tif" page='690'/> <comment_start
                ICON_GEO_CHARACTERISTIC_INA Inactive Geo-Characteristic R9 BWGECI euro
                comment_stop> -->

            <entry code="900" char="20AC"/>
            <entry code="1789" char="0021"/>

            <!--if no icons are to be used to avoid the default character for image font
                items use 'imagefile' and 'page' if the image has more than one page use the
                resourcelist to specify the file location-->

            <entry code="785" imagefile="SHOWICON.tif" page="3"/>
         </encoding>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="EscCode" extension="G" value="\">
            <!--Box drawings down and right 'Ú'-->

            <entry code="0" char="250C"/>

            <!--up and right 'À'-->

            <entry code="1" char="2514"/>

            <!--down and left '¿'-->

            <entry code="2" char="2510"/>

            <!--up and left 'Ù'-->

            <entry code="3" char="2518"/>

            <!--light horizontal 'Ä'-->

            <entry code="4" char="2500"/>

            <!--light vertical '³'-->

            <entry code="5" char="2502"/>

            <!--vertical and right 'Ã'-->

            <entry code="6" char="251C"/>

            <!--vertical and left '´'-->

            <entry code="7" char="2524"/>

            <!--up and horizontal 'Á'-->

            <entry code="8" char="2534"/>

            <!--down and horizontal 'Â'-->

            <entry code="9" char="252C"/>

            <!--vertical and horizontal 'Å'-->

            <entry code="10" char="253C"/>
         </encoding>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="EscCode" extension="D" value="\">
            <!--??? don't know the correct value .. set to '*'-->

            <entry code="58" char="002A"/>
         </encoding>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="EscCode" extension="I" value="\">
            <entry devname="5B" char="0046"/>
            <entry devname="5C" char="0047"/>
            <entry devname="5D" char="0048"/>
            <entry devname="1V" char="0049"/>
         </encoding>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="EscCode" extension="x" value="\">
            <!--SYM_PLUS_BOX-->

            <entry devname="1b(A" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b(C" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b(D" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b(H" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b(J" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b(N" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b(T" char="263A"/>

            <!--SYM_PLUS_BOX-->

            <entry devname="1b)%" char="263A"/>

            <!--ICON_DUMMY-->

            <entry devname="1b,00" char="25CF"/>

            <!--ICON_CHECKED-->

            <entry devname="1b,01" char="003F"/>

            <!--ICON_INCOMPLETE-->

            <entry devname="1b,02" char="003F"/>

            <!--ICON_FAILURE-->

            <entry devname="1b,03" char="003F"/>

            <!--ICON_POSITIVE-->

            <entry devname="1b,04" char="003F"/>

            <!--ICON_NEGATIVE-->

            <entry devname="1b,05" char="003F"/>

            <!--ICON_LOCKED-->

            <entry devname="1b,06" char="003F"/>

            <!--ICON_UNLOCKED-->

            <entry devname="1b,07" char="003F"/>

            <!--ICON_GREEN_LIGHT-->

            <entry devname="1b,08" char="003F"/>

            <!--ICON_YELLOW_LIGHT-->

            <entry devname="1b,09" char="003F"/>

            <!--ICON_RED_LIGHT-->

            <entry devname="1b,0A" char="003F"/>

            <!--ICON_TOTAL_LEFT-->

            <entry devname="1b,0B" char="003F"/>

            <!--ICON_TOTAL_RIGHT-->

            <entry devname="1b,0C" char="003F"/>

            <!--ICON_COLUMN_LEFT-->

            <entry devname="1b,0D" char="25C4"/>

            <!--ICON_COLUMN_RIGHT-->

            <entry devname="1b,0E" char="25BA"/>

            <!--ICON_PAGE_RIGHT-->

            <entry devname="1b,0F" char="003F"/>

            <!--ICON_PAGE_LEFT-->

            <entry devname="1b,0G" char="003F"/>

            <!--ICON_PREVIOUS_VALUE-->

            <entry devname="1b,0H" char="25BC"/>

            <!--ICON_NEXT_VALUE-->

            <entry devname="1b,0I" char="25B2"/>

            <!--ICON_ANNOTATION-->

            <entry devname="1b,0J" char="003F"/>

            <!--ICON_CREATE_NOTE-->

            <entry devname="1b,0K" char="003F"/>

            <!--ICON_DISPLAY_NOTE-->

            <entry devname="1b,0L" char="003F"/>

            <!--ICON_CALCULATION-->

            <entry devname="1b,0M" char="003F"/>

            <!--ICON_GRAPHICS-->

            <entry devname="1b,0N" char="003F"/>

            <!--ICON_CREATE_TEXT-->

            <entry devname="1b,0O" char="003F"/>

            <!--ICON_DISPLAY_TEXT-->

            <entry devname="1b,0P" char="003F"/>

            <!--ICON_CHANGE_TEXT-->

            <entry devname="1b,0Q" char="003F"/>

            <!--ICON_VARIANTS-->

            <entry devname="1b,0R" char="003F"/>

            <!--ICON_INFORMATION-->

            <entry devname="1b,0S" char="003F"/>

            <!--ICON_ADDRESS-->

            <entry devname="1b,0T" char="003F"/>

            <!--ICON_VIEWER_OPTICAL_ARCHIVE-->

            <entry devname="1b,0U" char="003F"/>

            <!--ICON_OKAY-->

            <entry devname="1b,0V" char="003F"/>

            <!--ICON_CANCEL-->

            <entry devname="1b,0W" char="003F"/>

            <!--ICON_PRINT-->

            <entry devname="1b,0X" char="003F"/>

            <!--ICON_CREATE-->

            <entry devname="1b,0Y" char="003F"/>

            <!--ICON_CHANGE-->

            <entry devname="1b,0Z" char="003F"/>

            <!--ICON_DISPLAY-->

            <entry devname="1b,10" char="003F"/>

            <!--ICON_DELETE-->

            <entry devname="1b,11" char="003F"/>

            <!--ICON_TEST-->

            <entry devname="1b,12" char="003F"/>

            <!--ICON_SEARCH-->

            <entry devname="1b,13" char="003F"/>

            <!--ICON_COPY_OBJECT-->

            <entry devname="1b,14" char="003F"/>

            <!--ICON_EXECUTE_OBJECT-->

            <entry devname="1b,15" char="003F"/>

            <!--ICON_SELECT_DETAIL-->

            <entry devname="1b,16" char="003F"/>

            <!--ICON_INSERT_ROW-->

            <entry devname="1b,17" char="003F"/>

            <!--ICON_DELETE_ROW-->

            <entry devname="1b,18" char="003F"/>

            <!--ICON_MESSAGE_INFORMATION-->

            <entry devname="1b,19" char="003F"/>

            <!--ICON_MESSAGE_WARNING-->

            <entry devname="1b,1A" char="003F"/>

            <!--ICON_MESSAGE_ERROR-->

            <entry devname="1b,1B" char="003F"/>

            <!--ICON_MESSAGE_QUESTION-->

            <entry devname="1b,1C" char="003F"/>

            <!--ICON_MESSAGE_CRITICAL-->

            <entry devname="1b,1D" char="003F"/>

            <!--ICON_DISPLAY_MORE-->

            <entry devname="1b,1E" char="003F"/>

            <!--ICON_ENTER_MORE-->

            <entry devname="1b,1F" char="003F"/>

            <!--ICON_EQUAL-->

            <entry devname="1b,1G" char="003D"/>

            <!--ICON_NOT_EQUAL-->

            <entry devname="1b,1H" char="003F"/>

            <!--ICON_GREATER-->

            <entry devname="1b,1I" char="003E"/>

            <!--ICON_LESS-->

            <entry devname="1b,1J" char="003C"/>

            <!--ICON_GREATER_EQUAL-->

            <entry devname="1b,1K" char="003F"/>

            <!--ICON_LESS_EQUAL-->

            <entry devname="1b,1L" char="003F"/>

            <!--ICON_INTERVAL_INCLUDE-->

            <entry devname="1b,1M" char="003F"/>

            <!--ICON_INTERVAL_EXCLUDE-->

            <entry devname="1b,1N" char="003F"/>

            <!--ICON_PATTERN_INCLUDE-->

            <entry devname="1b,1O" char="003F"/>

            <!--ICON_PATTERN_EXCLUDE-->

            <entry devname="1b,1P" char="003F"/>

            <!--ICON_PHONE-->

            <entry devname="1b,1Q" char="003F"/>

            <!--ICON_FAX-->

            <entry devname="1b,1R" char="003F"/>

            <!--ICON_MAIL-->

            <entry devname="1b,1S" char="003F"/>

            <!--ICON_TIME-->

            <entry devname="1b,1T" char="003F"/>

            <!--ICON_DATE-->

            <entry devname="1b,1U" char="003F"/>

            <!--ICON_ALARM-->

            <entry devname="1b,1V" char="003F"/>

            <!--ICON_PROSHARE-->

            <entry devname="1b,1W" char="003F"/>

            <!--ICON_VIDEO-->

            <entry devname="1b,1X" char="003F"/>

            <!--ICON_VOICE_INPUT-->

            <entry devname="1b,1Y" char="003F"/>

            <!--ICON_VOICE_OUTPUT-->

            <entry devname="1b,1Z" char="003F"/>

            <!--ICON_EQUAL_GREEN-->

            <entry devname="1b,20" char="003D"/>

            <!--ICON_NOT_EQUAL_GREEN-->

            <entry devname="1b,21" char="003F"/>

            <!--ICON_GREATER_GREEN-->

            <entry devname="1b,22" char="003E"/>

            <!--ICON_LESS_GREEN-->

            <entry devname="1b,23" char="003C"/>

            <!--ICON_GREATER_EQUAL_GREEN-->

            <entry devname="1b,24" char="003F"/>

            <!--ICON_LESS_EQUAL_GREEN-->

            <entry devname="1b,25" char="003F"/>

            <!--ICON_INTERVAL_INCLUDE_GREEN-->

            <entry devname="1b,26" char="003F"/>

            <!--ICON_INTERVAL_EXCLUDE_GREEN-->

            <entry devname="1b,27" char="003F"/>

            <!--ICON_PATTERN_INCLUDE_GREEN-->

            <entry devname="1b,28" char="003F"/>

            <!--ICON_PATTERN_EXCLUDE_GREEN-->

            <entry devname="1b,29" char="003F"/>

            <!--ICON_EQUAL_RED-->

            <entry devname="1b,2A" char="003D"/>

            <!--ICON_NOT_EQUAL_RED-->

            <entry devname="1b,2B" char="003F"/>

            <!--ICON_GREATER_RED-->

            <entry devname="1b,2C" char="003E"/>

            <!--ICON_LESS_RED-->

            <entry devname="1b,2D" char="003C"/>

            <!--ICON_GREATER_EQUAL_RED-->

            <entry devname="1b,2E" char="003F"/>

            <!--ICON_LESS_EQUAL_RED-->

            <entry devname="1b,2F" char="003F"/>

            <!--ICON_INTERVAL_INCLUDE_RED-->

            <entry devname="1b,2G" char="003F"/>

            <!--ICON_INTERVAL_EXCLUDE_RED-->

            <entry devname="1b,2H" char="003F"/>

            <!--ICON_PATTERN_INCLUDE_RED-->

            <entry devname="1b,2I" char="003F"/>

            <!--ICON_PATTERN_EXCLUDE_RED-->

            <entry devname="1b,2J" char="003F"/>

            <!--ICON_SYSTEM_OKAY-->

            <entry devname="1b,2K" char="003F"/>

            <!--ICON_SYSTEM_SAVE-->

            <entry devname="1b,2L" char="003F"/>

            <!--ICON_SYSTEM_BACK-->

            <entry devname="1b,2M" char="003F"/>

            <!--ICON_SYSTEM_END-->

            <entry devname="1b,2N" char="003F"/>

            <!--ICON_SYSTEM_CANCEL-->

            <entry devname="1b,2O" char="003F"/>

            <!--ICON_SYSTEM_PRINT-->

            <entry devname="1b,2P" char="003F"/>

            <!--ICON_OTHER_OBJECT-->

            <entry devname="1b,2Q" char="003F"/>

            <!--ICON_PREVIOUS_OBJECT-->

            <entry devname="1b,2R" char="003F"/>

            <!--ICON_NEXT_OBJECT-->

            <entry devname="1b,2S" char="003F"/>

            <!--ICON_SYSTEM_CUT-->

            <entry devname="1b,2T" char="003F"/>

            <!--ICON_SYSTEM_COPY-->

            <entry devname="1b,2U" char="003F"/>

            <!--ICON_SYSTEM_PASTE-->

            <entry devname="1b,2V" char="003F"/>

            <!--ICON_SYSTEM_UNDO-->

            <entry devname="1b,2W" char="003F"/>

            <!--ICON_SYSTEM_MARK-->

            <entry devname="1b,2X" char="003F"/>

            <!--ICON_FIRST_PAGE-->

            <entry devname="1b,2Y" char="003F"/>

            <!--ICON_PREVIOUS_PAGE-->

            <entry devname="1b,2Z" char="003F"/>

            <!--ICON_NEXT_PAGE-->

            <entry devname="1b,30" char="003F"/>

            <!--ICON_LAST_PAGE-->

            <entry devname="1b,31" char="003F"/>

            <!--ICON_SYSTEM_MODUS_CREATE-->

            <entry devname="1b,32" char="003F"/>

            <!--ICON_SYSTEM_MODUS_DELETE-->

            <entry devname="1b,33" char="003F"/>

            <!--ICON_SYSTEM_USERMENU-->

            <entry devname="1b,34" char="003F"/>

            <!--ICON_SYSTEM_HELP-->

            <entry devname="1b,35" char="003F"/>

            <!--ICON_TABLE_SETTINGS-->

            <entry devname="1b,36" char="003F"/>

            <!--ICON_REPLACE-->

            <entry devname="1b,37" char="003F"/>

            <!--ICON_CHECK-->

            <entry devname="1b,38" char="003F"/>

            <!--ICON_GENERATE-->

            <entry devname="1b,39" char="003F"/>

            <!--ICON_REFERENCE_LIST-->

            <entry devname="1b,3A" char="003F"/>

            <!--ICON_STACK-->

            <entry devname="1b,3B" char="003F"/>

            <!--ICON_ACTIVATE-->

            <entry devname="1b,3C" char="003F"/>

            <!--ICON_ICON_LIST-->

            <entry devname="1b,3D" char="003F"/>

            <!--ICON_SORT_UP-->

            <entry devname="1b,3E" char="003F"/>

            <!--ICON_SORT_DOWN-->

            <entry devname="1b,3F" char="003F"/>

            <!--ICON_LAYOUT_CONTROL-->

            <entry devname="1b,3G" char="003F"/>

            <!--ICON_CONVERT-->

            <entry devname="1b,3H" char="003F"/>

            <!--ICON_TOGGLE_DISPLAY_CHANGE-->

            <entry devname="1b,3I" char="003F"/>

            <!--ICON_SET_STATE-->

            <entry devname="1b,3J" char="003F"/>

            <!--ICON_PREVIOUS_NODE-->

            <entry devname="1b,3K" char="003F"/>

            <!--ICON_NEXT_NODE-->

            <entry devname="1b,3L" char="003F"/>

            <!--ICON_TREE-->

            <entry devname="1b,3M" char="003F"/>

            <!--ICON_INSERT_RELATION-->

            <entry devname="1b,3N" char="003F"/>

            <!--ICON_FINAL_DATE-->

            <entry devname="1b,3O" char="003F"/>

            <!--ICON_HEADER-->

            <entry devname="1b,3P" char="003F"/>

            <!--ICON_OVERVIEW-->

            <entry devname="1b,3Q" char="003F"/>

            <!--ICON_DETAIL-->

            <entry devname="1b,3R" char="003F"/>

            <!--ICON_EXPAND-->

            <entry devname="1b,3S" char="003F"/>

            <!--ICON_COLLAPSE-->

            <entry devname="1b,3T" char="003F"/>

            <!--ICON_BREAKPOINT-->

            <entry devname="1b,3U" char="003F"/>

            <!--ICON_FOREIGN_KEY-->

            <entry devname="1b,3V" char="003F"/>

            <!--ICON_LIST-->

            <entry devname="1b,3W" char="003F"/>

            <!--ICON_CLOSE-->

            <entry devname="1b,3X" char="003F"/>

            <!--ICON_POSITION-->

            <entry devname="1b,3Y" char="003F"/>

            <!--ICON_SUM-->

            <entry devname="1b,3Z" char="003F"/>

            <!--ICON_MOVE-->

            <entry devname="1b,40" char="003F"/>

            <!--ICON_RETRIEVE-->

            <entry devname="1b,41" char="003F"/>

            <!--ICON_REFRESH-->

            <entry devname="1b,42" char="003F"/>

            <!--ICON_SKIP-->

            <entry devname="1b,43" char="003F"/>

            <!--ICON_SYSTEM_SETTINGS-->

            <entry devname="1b,44" char="003F"/>

            <!--ICON_TOOLS-->

            <entry devname="1b,45" char="003F"/>

            <!--ICON_COMPARE-->

            <entry devname="1b,46" char="003F"/>

            <!--ICON_SHORT_MESSAGE-->

            <entry devname="1b,47" char="003F"/>

            <!--ICON_IMPORT-->

            <entry devname="1b,48" char="003F"/>

            <!--ICON_EXPORT-->

            <entry devname="1b,49" char="003F"/>

            <!--ICON_TRANSPORT-->

            <entry devname="1b,4A" char="003F"/>

            <!--ICON_SELECT_ALL-->

            <entry devname="1b,4B" char="003F"/>

            <!--ICON_SELECT_BLOCK-->

            <entry devname="1b,4C" char="003F"/>

            <!--ICON_DESELECT_ALL-->

            <entry devname="1b,4D" char="003F"/>

            <!--ICON_SEARCH_NEXT-->

            <entry devname="1b,4E" char="003F"/>

            <!--ICON_RENAME-->

            <entry devname="1b,4F" char="003F"/>

            <!--ICON_FILTER-->

            <entry devname="1b,4G" char="003F"/>

            <!--ICON_NEXT_HIERARCHY_LEVEL-->

            <entry devname="1b,4H" char="003F"/>

            <!--ICON_PREVIOUS_HIERARCHY_LEV-->

            <entry devname="1b,4I" char="003F"/>

            <!--ICON_SYSTEM_POSSIBLE_ENTRIE-->

            <entry devname="1b,4J" char="003F"/>

            <!--ICON_INTENSIFY-->

            <entry devname="1b,4K" char="003F"/>

            <!--ICON_PERSONAL_HELP-->

            <entry devname="1b,4L" char="003F"/>

            <!--ICON_VARIABLE-->

            <entry devname="1b,4M" char="003F"/>

            <!--ICON_SYSTEM_LOCAL_CUT-->

            <entry devname="1b,4N" char="003F"/>

            <!--ICON_SYSTEM_LOCAL_COPY-->

            <entry devname="1b,4O" char="003F"/>

            <!--ICON_SYSTEM_LOCAL_PASTE-->

            <entry devname="1b,4P" char="003F"/>

            <!--ICON_SYSTEM_LOCAL_MARK-->

            <entry devname="1b,4Q" char="003F"/>

            <!--ICON_SYSTEM_REDO-->

            <entry devname="1b,4R" char="003F"/>

            <!--ICON_BUSINAV_PROCESS-->

            <entry devname="1b,4S" char="003F"/>

            <!--ICON_BUSINAV_PROCESSMATRIX-->

            <entry devname="1b,4T" char="003F"/>

            <!--ICON_BUSINAV_SYSORGI-->

            <entry devname="1b,4U" char="003F"/>

            <!--ICON_BUSINAV_SZENARIO-->

            <entry devname="1b,4V" char="003F"/>

            <!--ICON_BUSINAV_OBJECTS-->

            <entry devname="1b,4W" char="003F"/>

            <!--ICON_BUSINAV_INFODIAG-->

            <entry devname="1b,4X" char="003F"/>

            <!--ICON_BUSINAV_ENTITY-->

            <entry devname="1b,4Y" char="003F"/>

            <!--ICON_BUSINAV_PROC_EXIST-->

            <entry devname="1b,4Z" char="003F"/>

            <!--ICON_BUSINAV_COMMDIAG-->

            <entry devname="1b,50" char="003F"/>

            <!--ICON_BUSINAV_DATAMODEL-->

            <entry devname="1b,51" char="003F"/>

            <!--ICON_ALIGN-->

            <entry devname="1b,52" char="003F"/>

            <!--ICON_CUT_RELATION-->

            <entry devname="1b,53" char="003F"/>

            <!--ICON_FIX_COLUMN-->

            <entry devname="1b,54" char="003F"/>

            <!--ICON_RELEASE_COLUMN-->

            <entry devname="1b,55" char="003F"/>

            <!--ICON_NET_GRAPHIC-->

            <entry devname="1b,56" char="003F"/>

            <!--ICON_PLANNING_TABLE-->

            <entry devname="1b,57" char="003F"/>

            <!--ICON_PERIOD-->

            <entry devname="1b,58" char="003F"/>

            <!--ICON_ZOOM_IN-->

            <entry devname="1b,59" char="003F"/>

            <!--ICON_ZOOM_OUT-->

            <entry devname="1b,5A" char="003F"/>

            <!--ICON_LED_GREEN-->

            <entry devname="1b,5B" char="003F"/>

            <!--ICON_LED_RED-->

            <entry devname="1b,5C" char="003F"/>

            <!--ICON_LED_YELLOW-->

            <entry devname="1b,5D" char="003F"/>

            <!--ICON_SYSTEM_EXTENDED_HELP-->

            <entry devname="1b,5E" char="003F"/>

            <!--ICON_SPACE-->

            <entry devname="1b,5F" char="003F"/>

            <!--ICON_BUSINAV_VALUE_CHAIN-->

            <entry devname="1b,5G" char="003F"/>

            <!--ICON_WORKFLOW_ACTIVITY-->

            <entry devname="1b,5H" char="003F"/>

            <!--ICON_WORKFLOW_CONDITION-->

            <entry devname="1b,5I" char="003F"/>

            <!--ICON_WORKFLOW_DECISION-->

            <entry devname="1b,5J" char="003F"/>

            <!--ICON_WORKFLOW_CONT_OPERATIO-->

            <entry devname="1b,5K" char="003F"/>

            <!--ICON_WORKFLOW_EXTERNAL_EVEN-->

            <entry devname="1b,5L" char="003F"/>

            <!--ICON_WORKFLOW_INTERNAL_EVEN-->

            <entry devname="1b,5M" char="003F"/>

            <!--ICON_WORKFLOW_MULT_CONDITIO-->

            <entry devname="1b,5N" char="003F"/>

            <!--ICON_WORKFLOW_FORK-->

            <entry devname="1b,5O" char="003F"/>

            <!--ICON_WORKFLOW_EVENT_PRODUCE-->

            <entry devname="1b,5P" char="003F"/>

            <!--ICON_WORKFLOW_FLOW_OF_CONTR-->

            <entry devname="1b,5Q" char="003F"/>

            <!--ICON_WORKFLOW_INDEFINITE_ST-->

            <entry devname="1b,5R" char="003F"/>

            <!--ICON_WORKFLOW_UNTIL-->

            <entry devname="1b,5S" char="003F"/>

            <!--ICON_WORKFLOW_WAIT_FOR_EVEN-->

            <entry devname="1b,5T" char="003F"/>

            <!--ICON_WORKFLOW_WHILE-->

            <entry devname="1b,5U" char="003F"/>

            <!--ICON_INTERMEDIATE_SUM-->

            <entry devname="1b,5V" char="003F"/>

            <!--ICON_EMPLOYEE-->

            <entry devname="1b,5W" char="003F"/>

            <!--ICON_TIME_ZONE-->

            <entry devname="1b,5X" char="003F"/>

            <!--ICON_RELEASE-->

            <entry devname="1b,5Y" char="003F"/>

            <!--ICON_QUALIFY-->

            <entry devname="1b,5Z" char="003F"/>

            <!--ICON_ISO_CODE-->

            <entry devname="1b,60" char="003F"/>

            <!--ICON_MODIFY-->

            <entry devname="1b,61" char="003F"/>

            <!--ICON_GET_AREA-->

            <entry devname="1b,62" char="003F"/>

            <!--ICON_INTERFACE-->

            <entry devname="1b,63" char="003F"/>

            <!--ICON_ROUTING_OPERATION-->

            <entry devname="1b,64" char="003F"/>

            <!--ICON_ROUTING_REF_OPERATION-->

            <entry devname="1b,65" char="003F"/>

            <!--ICON_ROUTING_TASK-->

            <entry devname="1b,66" char="003F"/>

            <!--ICON_ROUTING_TODO-->

            <entry devname="1b,67" char="003F"/>

            <!--ICON_EXPAND_ALL-->

            <entry devname="1b,68" char="003F"/>

            <!--ICON_COLLAPSE_ALL-->

            <entry devname="1b,69" char="003F"/>

            <!--ICON_SYSTEM_SAP_MENU-->

            <entry devname="1b,6A" char="003F"/>

            <!--ICON_SYSTEM_COMP_MENU-->

            <entry devname="1b,6B" char="003F"/>

            <!--ICON_SYSTEM_USER_MENU-->

            <entry devname="1b,6C" char="003F"/>

            <!--ICON_SYSTEM_FAVORITES-->

            <entry devname="1b,6D" char="003F"/>

            <!--ICON_BIW_INFO_SOURCE-->

            <entry devname="1b,6E" char="003F"/>

            <!--ICON_BIW_APPLICATION-->

            <entry devname="1b,6F" char="003F"/>

            <!--ICON_BIW_INFO_AREA-->

            <entry devname="1b,6G" char="003F"/>

            <!--ICON_BIW_INFO_CUBE-->

            <entry devname="1b,6H" char="003F"/>

            <!--ICON_BIW_RULES_INA-->

            <entry devname="1b,6I" char="003F"/>

            <!--ICON_BIW_SOURCE_SYS_GEN-->

            <entry devname="1b,6J" char="003F"/>

            <!--ICON_BIW_SOURCE_SYS_R3-->

            <entry devname="1b,6K" char="003F"/>

            <!--ICON_BIW_SOURCE_SYS_EXT-->

            <entry devname="1b,6L" char="003F"/>

            <!--ICON_BIW_SOURCE_SYS_FILE-->

            <entry devname="1b,6M" char="003F"/>

            <!--ICON_BIW_INFO_CATALOG-->

            <entry devname="1b,6N" char="003F"/>

            <!--ICON_BIW_INFO_OBJECT-->

            <entry devname="1b,6O" char="003F"/>

            <!--ICON_BIW_MONITOR-->

            <entry devname="1b,6P" char="003F"/>

            <!--ICON_BIW_SCHEDULER-->

            <entry devname="1b,6Q" char="003F"/>

            <!--ICON_BIW_FORMULA-->

            <entry devname="1b,6R" char="003F"/>

            <!--ICON_BIW_REF_STRUCTURE-->

            <entry devname="1b,6S" char="003F"/>

            <!--ICON_BIW_REPORT-->

            <entry devname="1b,6T" char="003F"/>

            <!--ICON_BIW_REPORT_VIEW-->

            <entry devname="1b,6U" char="003F"/>

            <!--ICON_MASTER_DATA_ACT-->

            <entry devname="1b,6V" char="003F"/>

            <!--ICON_MASTER_DATA_INA-->

            <entry devname="1b,6W" char="003F"/>

            <!--ICON_TEXT_ACT-->

            <entry devname="1b,6X" char="003F"/>

            <!--ICON_TEXT_INA-->

            <entry devname="1b,6Y" char="003F"/>

            <!--ICON_HIERARCHY_ACT-->

            <entry devname="1b,6Z" char="003F"/>

            <!--ICON_HIERARCHY_INA-->

            <entry devname="1b,70" char="003F"/>

            <!--ICON_MOVING_DATA_ACT-->

            <entry devname="1b,71" char="003F"/>

            <!--ICON_MOVING_DATA_INA-->

            <entry devname="1b,72" char="003F"/>

            <!--ICON_DEBUGGER_STEP_INTO-->

            <entry devname="1b,73" char="003F"/>

            <!--ICON_DEBUGGER_STEP_OVER-->

            <entry devname="1b,74" char="003F"/>

            <!--ICON_DEBUGGER_STEP_OUT-->

            <entry devname="1b,75" char="003F"/>

            <!--ICON_DEBUGGER_CONTINUE-->

            <entry devname="1b,76" char="003F"/>

            <!--ICON_PARAMETER-->

            <entry devname="1b,77" char="003F"/>

            <!--ICON_PARAMETER_IMPORT-->

            <entry devname="1b,78" char="003F"/>

            <!--ICON_PARAMETER_EXPORT-->

            <entry devname="1b,79" char="003F"/>

            <!--ICON_PARAMETER_CHANGING-->

            <entry devname="1b,7A" char="003F"/>

            <!--ICON_PARAMETER_RESULT-->

            <entry devname="1b,7B" char="003F"/>

            <!--ICON_OO_CLASS-->

            <entry devname="1b,7C" char="003F"/>

            <!--ICON_OO_INTERFACE-->

            <entry devname="1b,7D" char="003F"/>

            <!--ICON_OO_ATTRIBUTE-->

            <entry devname="1b,7E" char="003F"/>

            <!--ICON_OO_CLASS_ATTRIBUTE-->

            <entry devname="1b,7F" char="003F"/>

            <!--ICON_OO_INST_ATTRIBUTE-->

            <entry devname="1b,7G" char="003F"/>

            <!--ICON_OO_METHOD-->

            <entry devname="1b,7H" char="003F"/>

            <!--ICON_OO_CLASS_METHOD-->

            <entry devname="1b,7I" char="003F"/>

            <!--ICON_OO_INST_METHOD-->

            <entry devname="1b,7J" char="003F"/>

            <!--ICON_OO_EVENT-->

            <entry devname="1b,7K" char="003F"/>

            <!--ICON_OO_CONSTANT-->

            <entry devname="1b,7L" char="003F"/>

            <!--ICON_OO_OVERWRITE-->

            <entry devname="1b,7M" char="003F"/>

            <!--ICON_OO_CONNECTION-->

            <entry devname="1b,7N" char="003F"/>

            <!--ICON_OO_INHERITANCE-->

            <entry devname="1b,7O" char="003F"/>

            <!--ICON_OO_INTERFACE_IC-->

            <entry devname="1b,7P" char="003F"/>

            <!--ICON_WS_TRUCK-->

            <entry devname="1b,7Q" char="003F"/>

            <!--ICON_WS_RAIL-->

            <entry devname="1b,7R" char="003F"/>

            <!--ICON_WS_SHIP-->

            <entry devname="1b,7S" char="003F"/>

            <!--ICON_WS_PLANE-->

            <entry devname="1b,7T" char="003F"/>

            <!--ICON_WS_POST-->

            <entry devname="1b,7U" char="003F"/>

            <!--ICON_WS_TRANSFER-->

            <entry devname="1b,7V" char="003F"/>

            <!--ICON_WS_DOUANE-->

            <entry devname="1b,7W" char="003F"/>

            <!--ICON_SELECTION-->

            <entry devname="1b,7X" char="003F"/>

            <!--ICON_SYSTEM_STOP_RECORDING-->

            <entry devname="1b,7Y" char="003F"/>

            <!--ICON_FENCING-->

            <entry devname="1b,7Z" char="003F"/>

            <!--ICON_BIW_RULES_ACT-->

            <entry devname="1b,80" char="003F"/>

            <!--ICON_CHARACTERISTICS_ACT-->

            <entry devname="1b,81" char="003F"/>

            <!--ICON_CHARACTERISTICS_INA-->

            <entry devname="1b,82" char="003F"/>

            <!--ICON_KEYFIGURE_ACT-->

            <entry devname="1b,83" char="003F"/>

            <!--ICON_KEYFIGURE_INA-->

            <entry devname="1b,84" char="003F"/>

            <!--ICON_KEYFIGURE_INA-->

            <entry devname="1b,85" char="003F"/>

            <!--ICON_BIW_INFO_OBJECT_UNITS_-->

            <entry devname="1b,86" char="003F"/>

            <!--ICON_WORKFLOW_INT_EVENT_DAT-->

            <entry devname="1b,87" char="003F"/>

            <!--ICON_BIW_INFO_OBJECT_CATALO-->

            <entry devname="1b,88" char="003F"/>

            <!--ICON_SET_A-->

            <entry devname="1b,89" char="003F"/>

            <!--ICON_SET_B-->

            <entry devname="1b,8A" char="003F"/>

            <!--ICON_SET_SUM-->

            <entry devname="1b,8B" char="003F"/>

            <!--ICON_SET_INTERSECTION-->

            <entry devname="1b,8C" char="003F"/>

            <!--ICON_SET_A_MINUS_B-->

            <entry devname="1b,8D" char="003F"/>

            <!--ICON_SET_B_MINUS_A-->

            <entry devname="1b,8E" char="003F"/>

            <!--ICON_SET_COPY_IN_A-->

            <entry devname="1b,8F" char="003F"/>

            <!--ICON_SET_COPY_IN_B-->

            <entry devname="1b,8G" char="003F"/>

            <!--ICON_DANGEROUS_GOODS-->

            <entry devname="1b,8H" char="003F"/>

            <!--ICON_DEACTIVATE-->

            <entry devname="1b,8I" char="003F"/>

            <!--ICON_DESELECT_BLOCK-->

            <entry devname="1b,8J" char="003F"/>

            <!--ICON_INVERT_COLUMN-->

            <entry devname="1b,8K" char="003F"/>

            <!--ICON_INVERT_LINE-->

            <entry devname="1b,8L" char="003F"/>

            <!--ICON_FOREIGN_TRADE-->

            <entry devname="1b,8M" char="003F"/>

            <!--ICON_MESSAGE_CRITICAL_SMALL-->

            <entry devname="1b,8N" char="003F"/>

            <!--ICON_MESSAGE_ERROR_SMALL-->

            <entry devname="1b,8O" char="003F"/>

            <!--ICON_MESSAGE_INFORMATION_SM-->

            <entry devname="1b,8P" char="003F"/>

            <!--ICON_MESSAGE_QUESTION_SMALL-->

            <entry devname="1b,8Q" char="003F"/>

            <!--ICON_MESSAGE_WARNING_SMALL-->

            <entry devname="1b,8R" char="003F"/>

            <!--ICON_URL-->

            <entry devname="1b,8S" char="003F"/>

            <!--ICON_SYSTEM_SHORTCUT-->

            <entry devname="1b,8T" char="003F"/>

            <!--ICON_PLANNING_IN-->

            <entry devname="1b,8U" char="003F"/>

            <!--ICON_PLANNING_OUT-->

            <entry devname="1b,8V" char="003F"/>

            <!--ICON_SUBMIT-->

            <entry devname="1b,8W" char="003F"/>

            <!--ICON_ALLOW-->

            <entry devname="1b,8X" char="003F"/>

            <!--ICON_REJECT-->

            <entry devname="1b,8Y" char="003F"/>

            <!--ICON_SIMULATE-->

            <entry devname="1b,8Z" char="003F"/>

            <!--ICON_TE_RECEIPTS-->

            <entry devname="1b,90" char="003F"/>

            <!--ICON_TE_STOPOVER-->

            <entry devname="1b,91" char="003F"/>

            <!--ICON_TE_KM_DIVISION-->

            <entry devname="1b,92" char="003F"/>

            <!--ICON_TE_ADVANCE_PAYMENT-->

            <entry devname="1b,93" char="003F"/>

            <!--ICON_TE_DEDUCTION-->

            <entry devname="1b,94" char="003F"/>

            <!--ICON_TE_COSTS_ASSIGN-->

            <entry devname="1b,95" char="003F"/>

            <!--ICON_HISTORY-->

            <entry devname="1b,96" char="003F"/>

            <!--ICON_MODIFICATION_CREATE-->

            <entry devname="1b,97" char="003F"/>

            <!--ICON_MODIFICATION_OVERVIEW-->

            <entry devname="1b,98" char="003F"/>

            <!--ICON_MODIFICATION_ORIGINAL-->

            <entry devname="1b,99" char="003F"/>

            <!--ICON_MODIFICATION_RESET-->

            <entry devname="1b,9A" char="003F"/>

            <!--ICON_ACTIVE_INACTIVE-->

            <entry devname="1b,9B" char="003F"/>

            <!--ICON_BEN_OFFER-->

            <entry devname="1b,9C" char="003F"/>

            <!--ICON_BEN_OFFER_DEFAULT-->

            <entry devname="1b,9D" char="003F"/>

            <!--ICON_BEN_OFFER_EVENT-->

            <entry devname="1b,9E" char="003F"/>

            <!--ICON_BEN_OFFER_OPEN-->

            <entry devname="1b,9F" char="003F"/>

            <!--ICON_BEN_WAIVE_COVERAGE-->

            <entry devname="1b,9G" char="003F"/>

            <!--ICON_DEPENDENTS-->

            <entry devname="1b,9H" char="003F"/>

            <!--ICON_BEN_CURRENT_BENEFITS-->

            <entry devname="1b,9I" char="003F"/>

            <!--ICON_BEN_TERMINATION-->

            <entry devname="1b,9J" char="003F"/>

            <!--ICON_WS_TRANSPORT-->

            <entry devname="1b,9K" char="003F"/>

            <!--ICON_ODS_ACT-->

            <entry devname="1b,9L" char="003F"/>

            <!--ICON_ODS_INA-->

            <entry devname="1b,9M" char="003F"/>

            <!--ICON_BIW_INFO_PACKAGE-->

            <entry devname="1b,9N" char="003F"/>

            <!--ICON_ACTION_FAULT-->

            <entry devname="1b,9O" char="003F"/>

            <!--ICON_ACTION_SUCCESS-->

            <entry devname="1b,9P" char="003F"/>

            <!--ICON_DIMENSION-->

            <entry devname="1b,9Q" char="003F"/>

            <!--ICON_TIME_INA-->

            <entry devname="1b,9R" char="003F"/>

            <!--ICON_ARROW_LEFT-->

            <entry devname="1b,9S" char="003F"/>

            <!--ICON_ARROW_RIGHT-->

            <entry devname="1b,9T" char="003F"/>

            <!--ICON_ABAP-->

            <entry devname="1b,9U" char="003F"/>

            <!--ICON_ABAP_LOCAL-->

            <entry devname="1b,9V" char="003F"/>

            <!--ICON_TRANSFER_STRUCTURE-->

            <entry devname="1b,9W" char="003F"/>

            <!--ICON_OPERATION-->

            <entry devname="1b,9X" char="003F"/>

            <!--ICON_ACTIVITY-->

            <entry devname="1b,9Y" char="003F"/>

            <!--ICON_ORDER-->

            <entry devname="1b,9Z" char="003F"/>

            <!--ICON_CUSTOMER-->

            <entry devname="1b,A0" char="003F"/>

            <!--ICON_WAREHOUSE-->

            <entry devname="1b,A1" char="003F"/>

            <!--ICON_DISPO_LEVEL-->

            <entry devname="1b,A2" char="003F"/>

            <!--ICON_DISTRIBUTION-->

            <entry devname="1b,A3" char="003F"/>

            <!--ICON_CUSTOMER_WAREHOUSE-->

            <entry devname="1b,A4" char="003F"/>

            <!--ICON_TRANSPORT_POINT-->

            <entry devname="1b,A5" char="003F"/>

            <!--ICON_MATERIAL-->

            <entry devname="1b,A6" char="003F"/>

            <!--ICON_MODEL-->

            <entry devname="1b,A7" char="003F"/>

            <!--ICON_PLANT-->

            <entry devname="1b,A8" char="003F"/>

            <!--ICON_PRODUCT_GROUP-->

            <entry devname="1b,A9" char="003F"/>

            <!--ICON_RELATIONSHIP-->

            <entry devname="1b,AA" char="003F"/>

            <!--ICON_RESOURCE-->

            <entry devname="1b,AB" char="003F"/>

            <!--ICON_STORE_LOCATION-->

            <entry devname="1b,AC" char="003F"/>

            <!--ICON_SUPPLIER-->

            <entry devname="1b,AD" char="003F"/>

            <!--ICON_TRANSPORTATION_MODE-->

            <entry devname="1b,AE" char="003F"/>

            <!--ICON_LOCATION-->

            <entry devname="1b,AF" char="003F"/>

            <!--ICON_ALERT-->

            <entry devname="1b,AG" char="003F"/>

            <!--ICON_WARNING-->

            <entry devname="1b,AH" char="003F"/>

            <!--ICON_HINT-->

            <entry devname="1b,AI" char="003F"/>

            <!--ICON_WORKING_PLAN-->

            <entry devname="1b,AJ" char="003F"/>

            <!--ICON_MAINTENANCE_PLAN-->

            <entry devname="1b,AK" char="003F"/>

            <!--ICON_REPORT-->

            <entry devname="1b,AL" char="003F"/>

            <!--ICON_WORKPLACE-->

            <entry devname="1b,AM" char="003F"/>

            <!--ICON_EQUIPMENT-->

            <entry devname="1b,AN" char="003F"/>

            <!--ICON_TECHNICAL_PLACE-->

            <entry devname="1b,AO" char="003F"/>

            <!--ICON_BOM-->

            <entry devname="1b,AP" char="003F"/>

            <!--ICON_BOM_ITEM-->

            <entry devname="1b,AQ" char="003F"/>

            <!--ICON_DOCUMENT-->

            <entry devname="1b,AR" char="003F"/>

            <!--ICON_DOCUMENT_REVISION-->

            <entry devname="1b,AS" char="003F"/>

            <!--ICON_MATERIAL_REVISION-->

            <entry devname="1b,AT" char="003F"/>

            <!--ICON_CHANGE_NUMBER-->

            <entry devname="1b,AU" char="003F"/>

            <!--ICON_FLIGHT-->

            <entry devname="1b,AV" char="003F"/>

            <!--ICON_CAR-->

            <entry devname="1b,AW" char="003F"/>

            <!--ICON_HOTEL-->

            <entry devname="1b,AX" char="003F"/>

            <!--ICON_RAILWAY-->

            <entry devname="1b,AY" char="003F"/>

            <!--ICON_MONEY-->

            <entry devname="1b,AZ" char="003F"/>

            <!--ICON_QUESTION-->

            <entry devname="1b,B0" char="003F"/>

            <!--ICON_BOOKING_OK-->

            <entry devname="1b,B1" char="003F"/>

            <!--ICON_BOOKING_STOP-->

            <entry devname="1b,B2" char="003F"/>

            <!--ICON_STATUS_OPEN-->

            <entry devname="1b,B3" char="003F"/>

            <!--ICON_STATUS_BOOKED-->

            <entry devname="1b,B4" char="003F"/>

            <!--ICON_STATUS_PARTLY_BOOKED-->

            <entry devname="1b,B5" char="003F"/>

            <!--ICON_STATUS_REVERSE-->

            <entry devname="1b,B6" char="003F"/>

            <!--ICON_PREFERENCE-->

            <entry devname="1b,B7" char="003F"/>

            <!--ICON_NEXT_STEP-->

            <entry devname="1b,B8" char="003F"/>

            <!--ICON_PREVIOUS_STEP-->

            <entry devname="1b,B9" char="003F"/>

            <!--ICON_STORNO-->

            <entry devname="1b,BA" char="003F"/>

            <!--ICON_INTERCHANGE-->

            <entry devname="1b,BB" char="003F"/>

            <!--ICON_CASHING_UP-->

            <entry devname="1b,BC" char="003F"/>

            <!--ICON_WORKLOAD-->

            <entry devname="1b,BD" char="003F"/>

            <!--ICON_PROPOSITION-->

            <entry devname="1b,BE" char="003F"/>

            <!--ICON_PRESENCE-->

            <entry devname="1b,BF" char="003F"/>

            <!--ICON_ABSENCE-->

            <entry devname="1b,BG" char="003F"/>

            <!--ICON_TIME_CONTROL-->

            <entry devname="1b,BH" char="003F"/>

            <!--ICON_POSITION_HR-->

            <entry devname="1b,BI" char="003F"/>

            <!--ICON_PARAMETER_TABLE-->

            <entry devname="1b,BJ" char="003F"/>

            <!--ICON_TASK-->

            <entry devname="1b,BK" char="003F"/>

            <!--ICON_COST_CENTER-->

            <entry devname="1b,BL" char="003F"/>

            <!--ICON_MANAGER-->

            <entry devname="1b,BM" char="003F"/>

            <!--ICON_ORG_UNIT-->

            <entry devname="1b,BN" char="003F"/>

            <!--ICON_QUERY-->

            <entry devname="1b,BO" char="003F"/>

            <!--ICON_WORKFLOW_INBOX-->

            <entry devname="1b,BP" char="003F"/>

            <!--ICON_FAST_ENTRY-->

            <entry devname="1b,BQ" char="003F"/>

            <!--ICON_LIFE_EVENTS-->

            <entry devname="1b,BR" char="003F"/>

            <!--ICON_WORK_CENTER-->

            <entry devname="1b,BS" char="003F"/>

            <!--ICON_GRADUATE-->

            <entry devname="1b,BT" char="003F"/>

            <!--ICON_EXTRA-->

            <entry devname="1b,BU" char="003F"/>

            <!--ICON_CONVERT_ALL-->

            <entry devname="1b,BV" char="003F"/>

            <!--ICON_RELATION-->

            <entry devname="1b,BW" char="003F"/>

            <!--ICON_CONFIGURATION-->

            <entry devname="1b,BX" char="003F"/>

            <!--ICON_WIZARD-->

            <entry devname="1b,BY" char="003F"/>

            <!--ICON_LED_INACTIVE-->

            <entry devname="1b,BZ" char="003F"/>

            <!--ICON_STORE-->

            <entry devname="1b,C0" char="003F"/>

            <!--ICON_LINK-->

            <entry devname="1b,C1" char="003F"/>

            <!--ICON_LATE_STORE-->

            <entry devname="1b,C2" char="003F"/>

            <!--ICON_LATE_LINK-->

            <entry devname="1b,C3" char="003F"/>

            <!--ICON_EARLY_STORE-->

            <entry devname="1b,C4" char="003F"/>

            <!--ICON_EARLY_LINK-->

            <entry devname="1b,C5" char="003F"/>

            <!--ICON_OO_CLASS_EVENT-->

            <entry devname="1b,C6" char="003F"/>

            <!--ICON_OO_INST_EVENT-->

            <entry devname="1b,C7" char="003F"/>

            <!--ICON_OO_ALIAS-->

            <entry devname="1b,C8" char="003F"/>

            <!--ICON_OO_OBJECT-->

            <entry devname="1b,C9" char="003F"/>

            <!--ICON_JOB-->

            <entry devname="1b,CA" char="003F"/>

            <!--ICON_DELIVERY_DATE-->

            <entry devname="1b,CB" char="003F"/>

            <!--ICON_DELIVERY_COMPLETE-->

            <entry devname="1b,CC" char="003F"/>

            <!--ICON_DELIVERY_PROPOSAL-->

            <entry devname="1b,CD" char="003F"/>

            <!--ICON_PDIR_BACK_SWITCH-->

            <entry devname="1b,CE" char="003F"/>

            <!--ICON_PDIR_BACK-->

            <entry devname="1b,CF" char="003F"/>

            <!--ICON_PDIR_FOREWARD-->

            <entry devname="1b,CG" char="003F"/>

            <!--ICON_PDIR_FOREWARD_SWITCH-->

            <entry devname="1b,CH" char="003F"/>

            <!--ICON_FINITE-->

            <entry devname="1b,CI" char="003F"/>

            <!--ICON_NONWORK-->

            <entry devname="1b,CJ" char="003F"/>

            <!--ICON_PM_FREE-->

            <entry devname="1b,CK" char="003F"/>

            <!--ICON_PM_INSERT-->

            <entry devname="1b,CL" char="003F"/>

            <!--ICON_PM_PRESS-->

            <entry devname="1b,CM" char="003F"/>

            <!--ICON_PM_ORDER-->

            <entry devname="1b,CN" char="003F"/>

            <!--ICON_DANGEROUS_GOOD_CHECK-->

            <entry devname="1b,CO" char="003F"/>

            <!--ICON_WORKFLOW_DOC_CREATE-->

            <entry devname="1b,CP" char="003F"/>

            <!--ICON_WF_LINK-->

            <entry devname="1b,CQ" char="003F"/>

            <!--ICON_WF_UNLINK-->

            <entry devname="1b,CR" char="003F"/>

            <!--ICON_WF_WORKITEM_READY-->

            <entry devname="1b,CS" char="003F"/>

            <!--ICON_WF_WORKITEM_RESERVED-->

            <entry devname="1b,CT" char="003F"/>

            <!--ICON_WF_WORKITEM_STARTED-->

            <entry devname="1b,CU" char="003F"/>

            <!--ICON_WF_WORKITEM_COMMITTED-->

            <entry devname="1b,CV" char="003F"/>

            <!--ICON_WF_WORKITEM_WAITING-->

            <entry devname="1b,CW" char="003F"/>

            <!--ICON_WF_WORKITEM_COMPLETED-->

            <entry devname="1b,CX" char="003F"/>

            <!--ICON_WF_WORKITEM_ERROR-->

            <entry devname="1b,CY" char="003F"/>

            <!--ICON_WF_WORKITEM_CANCEL-->

            <entry devname="1b,CZ" char="003F"/>

            <!--ICON_WF_RESERVE_WORKITEM-->

            <entry devname="1b,D0" char="003F"/>

            <!--ICON_WF_REPLACE_WORKITEM-->

            <entry devname="1b,D1" char="003F"/>

            <!--ICON_PROFIT_CENTER-->

            <entry devname="1b,D2" char="003F"/>

            <!--ICON_WF_RULE_SYSTEM-->

            <entry devname="1b,D3" char="003F"/>

            <!--ICON_WF_PARAMETER-->

            <entry devname="1b,D4" char="003F"/>

            <!--ICON_JAPAN-->

            <entry devname="1b,D5" char="003F"/>

            <!--ICON_SLS-->

            <entry devname="1b,D6" char="003F"/>

            <!--ICON_CUSTOMS-->

            <entry devname="1b,D7" char="003F"/>

            <!--ICON_LEGAL_REG-->

            <entry devname="1b,D8" char="003F"/>

            <!--ICON_COMPANY_CODE-->

            <entry devname="1b,D9" char="003F"/>

            <!--ICON_UNIT_COSTING-->

            <entry devname="1b,DA" char="003F"/>

            <!--ICON_BASE_PLANNING_OBJECT-->

            <entry devname="1b,DB" char="003F"/>

            <!--ICON_ACTIVITY_TYPE-->

            <entry devname="1b,DC" char="003F"/>

            <!--ICON_RENTAL_AGREEMENT-->

            <entry devname="1b,DD" char="003F"/>

            <!--ICON_REAL_ESTATE_OBJECT-->

            <entry devname="1b,DE" char="003F"/>

            <!--ICON_COMPLETE-->

            <entry devname="1b,DF" char="003F"/>

            <!--ICON_PARTNER-->

            <entry devname="1b,DG" char="003F"/>

            <!--ICON_PROTOCOL-->

            <entry devname="1b,DH" char="003F"/>

            <!--ICON_MAINTENANCE_OBJECT_LIS-->

            <entry devname="1b,DI" char="003F"/>

            <!--ICON_XXL-->

            <entry devname="1b,DJ" char="003F"/>

            <!--ICON_WORD_PROCESSING-->

            <entry devname="1b,DK" char="003F"/>

            <!--ICON_ABC-->

            <entry devname="1b,DL" char="003F"/>

            <!--ICON_ALV_VARIANT_CHOOSE-->

            <entry devname="1b,DM" char="003F"/>

            <!--ICON_ALV_VARIANT_SAVE-->

            <entry devname="1b,DN" char="003F"/>

            <!--ICON_EXCLUDED_CORRESPONDENC-->

            <entry devname="1b,DO" char="003F"/>

            <!--ICON_INCREASE_DECIMAL-->

            <entry devname="1b,DP" char="003F"/>

            <!--ICON_DECREASE_DECIMAL-->

            <entry devname="1b,DQ" char="003F"/>

            <!--ICON_ERROR_PROTOCOL-->

            <entry devname="1b,DR" char="003F"/>

            <!--ICON_PARTNER_SALES_ACTIVITY-->

            <entry devname="1b,DS" char="003F"/>

            <!--ICON_PHONE_CALL_IN-->

            <entry devname="1b,DT" char="003F"/>

            <!--ICON_NAFTA-->

            <entry devname="1b,DU" char="003F"/>

            <!--ICON_EU-->

            <entry devname="1b,DV" char="003F"/>

            <!--ICON_PHONE_CALL_OUT-->

            <entry devname="1b,DW" char="003F"/>

            <!--ICON_CONTROLLING_AREA-->

            <entry devname="1b,DX" char="003F"/>

            <!--ICON_DISTRIBUTION_LIST-->

            <entry devname="1b,DY" char="003F"/>

            <!--ICON_MAIL_SAP_UNREAD-->

            <entry devname="1b,DZ" char="003F"/>

            <!--ICON_MAIL_SAP_READ-->

            <entry devname="1b,E0" char="003F"/>

            <!--ICON_ENVELOPE_OPEN-->

            <entry devname="1b,E1" char="003F"/>

            <!--ICON_ENVELOPE_CLOSED-->

            <entry devname="1b,E2" char="003F"/>

            <!--ICON_OFFICE_DOCUMENT-->

            <entry devname="1b,E3" char="003F"/>

            <!--ICON_INCLUDE_IN_SELECTION-->

            <entry devname="1b,E4" char="003F"/>

            <!--ICON_WF_WORKITEM_OL-->

            <entry devname="1b,E5" char="003F"/>

            <!--ICON_NEW_HANDLING_UNIT-->

            <entry devname="1b,E6" char="003F"/>

            <!--ICON_NEW_HANDLING_IF_FULL-->

            <entry devname="1b,E7" char="003F"/>

            <!--ICON_PACKING-->

            <entry devname="1b,E8" char="003F"/>

            <!--ICON_UNPACK-->

            <entry devname="1b,E9" char="003F"/>

            <!--ICON_EMPTY_HANDLING_UNIT-->

            <entry devname="1b,EA" char="003F"/>

            <!--ICON_LIGHT_OUT-->

            <entry devname="1b,EB" char="003F"/>

            <!--ICON_PS_PROJECT_DEFINITION-->

            <entry devname="1b,EC" char="003F"/>

            <!--ICON_PS_WBS_ELEMENT-->

            <entry devname="1b,ED" char="003F"/>

            <!--ICON_PS_NETWORK_HEADER-->

            <entry devname="1b,EE" char="003F"/>

            <!--ICON_PS_NETWORK_ACTIVITY-->

            <entry devname="1b,EF" char="003F"/>

            <!--ICON_PS_ACTIVITY_ELEMENT-->

            <entry devname="1b,EG" char="003F"/>

            <!--ICON_PS_RELATIONSHIP-->

            <entry devname="1b,EH" char="003F"/>

            <!--ICON_STATUS-->

            <entry devname="1b,EI" char="003F"/>

            <!--ICON_BATCH-->

            <entry devname="1b,EJ" char="003F"/>

            <!--ICON_ADMINISTRATIVE_DATA-->

            <entry devname="1b,EK" char="003F"/>

            <!--ICON_STOCK-->

            <entry devname="1b,EL" char="003F"/>

            <!--ICON_ACCOUNT_ASSIGNMENT-->

            <entry devname="1b,EM" char="003F"/>

            <!--ICON_LOT_ORIGIN-->

            <entry devname="1b,EN" char="003F"/>

            <!--ICON_INSPECTION_LOT-->

            <entry devname="1b,EO" char="003F"/>

            <!--ICON_SHOW_EXTERNAL_JOBS-->

            <entry devname="1b,EP" char="003F"/>

            <!--ICON_SPOOL_REQUEST-->

            <entry devname="1b,EQ" char="003F"/>

            <!--ICON_OUTPUT_REQUEST-->

            <entry devname="1b,ER" char="003F"/>

            <!--ICON_DELETE_FAVORITES-->

            <entry devname="1b,ES" char="003F"/>

            <!--ICON_SHOW_EVENTS-->

            <entry devname="1b,ET" char="003F"/>

            <!--ICON_SPOOL_STATUS-->

            <entry devname="1b,EU" char="003F"/>

            <!--ICON_INSERT_FAVORITES-->

            <entry devname="1b,EV" char="003F"/>

            <!--ICON_PRINT_WITH_PARAMETERS-->

            <entry devname="1b,EW" char="003F"/>

            <!--ICON_USED_RELATION-->

            <entry devname="1b,EX" char="003F"/>

            <!--ICON_MAPPED_RELATION-->

            <entry devname="1b,EY" char="003F"/>

            <!--ICON_CREATE_COPY-->

            <entry devname="1b,EZ" char="003F"/>

            <!--ICON_FLUSH-->

            <entry devname="1b,F0" char="003F"/>

            <!--ICON_DEFECT-->

            <entry devname="1b,F1" char="003F"/>

            <!--ICON_BW_GIS-->

            <entry devname="1b,F2" char="003F"/>

            <!--ICON_BW_INFO_CUBE_SAP-->

            <entry devname="1b,F3" char="003F"/>

            <!--ICON_BW_INFO_CUBE_INA-->

            <entry devname="1b,F4" char="003F"/>

            <!--ICON_BW_INFO_OBJECT_CATALOG-->

            <entry devname="1b,F5" char="003F"/>

            <!--ICON_BW_SUGGEST_VALUE-->

            <entry devname="1b,F6" char="003F"/>

            <!--ICON_DOC_POSITION_PROPOSAL-->

            <entry devname="1b,F7" char="003F"/>

            <!--ICON_CUSTOMER_MASTER_DATA_L-->

            <entry devname="1b,F8" char="003F"/>

            <!--ICON_STATUS_OVERVIEW-->

            <entry devname="1b,F9" char="003F"/>

            <!--ICON_DOC_HEADER_DETAIL-->

            <entry devname="1b,FA" char="003F"/>

            <!--ICON_DOC_ITEM_DETAIL-->

            <entry devname="1b,FB" char="003F"/>

            <!--ICON_AVAILABILITY_CHECK-->

            <entry devname="1b,FC" char="003F"/>

            <!--ICON_PRICE-->

            <entry devname="1b,FD" char="003F"/>

            <!--ICON_SCHEDULE_LINE-->

            <entry devname="1b,FE" char="003F"/>

            <!--ICON_AVAILABILITY_DISPLAY-->

            <entry devname="1b,FF" char="003F"/>

            <!--ICON_STATISTICS-->

            <entry devname="1b,FG" char="003F"/>

            <!--ICON_CLAIM-->

            <entry devname="1b,FH" char="003F"/>

            <!--ICON_PLANNING_SITUATION-->

            <entry devname="1b,FI" char="003F"/>

            <!--ICON_CHANGE_ORDER-->

            <entry devname="1b,FJ" char="003F"/>

            <!--ICON_PRODUCT_REQUIREMENTS-->

            <entry devname="1b,FK" char="003F"/>

            <!--ICON_PRODUCT_RECEIPTS-->

            <entry devname="1b,FL" char="003F"/>

            <!--ICON_ATTACHMENT-->

            <entry devname="1b,FM" char="003F"/>

            <!--ICON_CLOSED_FOLDER-->

            <entry devname="1b,FN" char="003F"/>

            <!--ICON_OPEN_FOLDER-->

            <entry devname="1b,FO" char="003F"/>

            <!--ICON_OBJECT_FOLDER-->

            <entry devname="1b,FP" char="003F"/>

            <!--ICON_OUTBOX-->

            <entry devname="1b,FQ" char="003F"/>

            <!--ICON_RESUBMISSION-->

            <entry devname="1b,FR" char="003F"/>

            <!--ICON_PRIVATE_FILES-->

            <entry devname="1b,FS" char="003F"/>

            <!--ICON_PUBLIC_FILES-->

            <entry devname="1b,FT" char="003F"/>

            <!--ICON_SUBSCRIPTION-->

            <entry devname="1b,FU" char="003F"/>

            <!--ICON_AVERAGE-->

            <entry devname="1b,FV" char="003F"/>

            <!--ICON_BOLD-->

            <entry devname="1b,FW" char="003F"/>

            <!--ICON_ITALIC-->

            <entry devname="1b,FX" char="003F"/>

            <!--ICON_UNDERLINE-->

            <entry devname="1b,FY" char="003F"/>

            <!--ICON_ALIGN_LEFT-->

            <entry devname="1b,FZ" char="003F"/>

            <!--ICON_ALIGN_RIGHT-->

            <entry devname="1b,G0" char="003F"/>

            <!--ICON_ALIGN_CENTER-->

            <entry devname="1b,G1" char="003F"/>

            <!--ICON_JUSTIFIED-->

            <entry devname="1b,G2" char="003F"/>

            <!--ICON_COLOR-->

            <entry devname="1b,G3" char="003F"/>

            <!--ICON_DELETE_ALL_ATTRIBUTES-->

            <entry devname="1b,G4" char="003F"/>

            <!--ICON_IDOC-->

            <entry devname="1b,G5" char="003F"/>

            <!--ICON_HOST-->

            <entry devname="1b,G6" char="003F"/>

            <!--ICON_SYM_SPOOL_SERVER-->

            <entry devname="1b,G7" char="003F"/>

            <!--ICON_SYM_REAL_SERVER-->

            <entry devname="1b,G8" char="003F"/>

            <!--ICON_SYM_LOG_SERVER-->

            <entry devname="1b,G9" char="003F"/>

            <!--ICON_SYM_ALT_SERVER-->

            <entry devname="1b,GA" char="003F"/>

            <!--ICON_CONNECT-->

            <entry devname="1b,GB" char="003F"/>

            <!--ICON_DISCONNECT-->

            <entry devname="1b,GC" char="003F"/>

            <!--ICON_FILTER_UNDO-->

            <entry devname="1b,GD" char="003F"/>

            <!--ICON_SET_SUM_UNDO-->

            <entry devname="1b,GE" char="003F"/>

            <!--ICON_INTENSIFY_UNDO-->

            <entry devname="1b,GF" char="003F"/>

            <!--ICON_SORT_UNDO-->

            <entry devname="1b,GG" char="003F"/>

            <!--ICON_BW_DATA_MARTS-->

            <entry devname="1b,GH" char="003F"/>

            <!--ICON_REMOVE_FROM_SELECTION-->

            <entry devname="1b,GI" char="003F"/>

            <!--ICON_BW_CHARACTERISTICS_SAP-->

            <entry devname="1b,GJ" char="003F"/>

            <!--ICON_BW_KEYFIGURE_SAP-->

            <entry devname="1b,GK" char="003F"/>

            <!--ICON_BW_INFO_OBJECT_UNITS_S-->

            <entry devname="1b,GL" char="003F"/>

            <!--ICON_BW_TIME_SAP-->

            <entry devname="1b,GM" char="003F"/>

            <!--ICON_BW_RULES_SAP-->

            <entry devname="1b,GN" char="003F"/>

            <!--ICON_BW_REPORT_SAP-->

            <entry devname="1b,GO" char="003F"/>

            <!--ICON_BW_VARIABLE_SAP-->

            <entry devname="1b,GP" char="003F"/>

            <!--ICON_BW_REF_STRUCTURE_SAP-->

            <entry devname="1b,GQ" char="003F"/>

            <!--ICON_BW_SELECTION_SAP-->

            <entry devname="1b,GR" char="003F"/>

            <!--ICON_INSPECTION_METHOD-->

            <entry devname="1b,GS" char="003F"/>

            <!--ICON_CATALOG-->

            <entry devname="1b,GT" char="003F"/>

            <!--ICON_INSERT_MULTIPLE_LINES-->

            <entry devname="1b,GU" char="003F"/>

            <!--ICON_INSPECTION_CHARACTERIS-->

            <entry devname="1b,GV" char="003F"/>

            <!--ICON_PHYSICAL_SAMPLE-->

            <entry devname="1b,GW" char="003F"/>

            <!--ICON_BW_FORMULA_SAP-->

            <entry devname="1b,GX" char="003F"/>

            <!--ICON_BW_INFO_CATALOGUE_SAP-->

            <entry devname="1b,GY" char="003F"/>

            <!--ICON_BUDGET_STRUCTURE_ELEME-->

            <entry devname="1b,GZ" char="003F"/>

            <!--ICON_FINANCING-->

            <entry devname="1b,H0" char="003F"/>

            <!--ICON_RECLASSIFICATION_RULE-->

            <entry devname="1b,H1" char="003F"/>

            <!--ICON_RECLASSIFICATION-->

            <entry devname="1b,H2" char="003F"/>

            <!--ICON_REMOVE-->

            <entry devname="1b,H3" char="003F"/>

            <!--ICON_SPECIAL_PURPOSE-->

            <entry devname="1b,H4" char="003F"/>

            <!--ICON_DEPUTY-->

            <entry devname="1b,H5" char="003F"/>

            <!--ICON_BUDGET_UPDATE-->

            <entry devname="1b,H6" char="003F"/>

            <!--ICON_BUDGET_TRANSFER-->

            <entry devname="1b,H7" char="003F"/>

            <!--ICON_BW_SEGMENT_ACT-->

            <entry devname="1b,H8" char="003F"/>

            <!--ICON_BW_SEGMENT_INA-->

            <entry devname="1b,H9" char="003F"/>

            <!--ICON_BW_SEGMENT_SAP-->

            <entry devname="1b,HA" char="003F"/>

            <!--ICON_MASS_CHANGE-->

            <entry devname="1b,HB" char="003F"/>

            <!--ICON_INTENSIFY_CRITICAL-->

            <entry devname="1b,HC" char="003F"/>

            <!--ICON_INTENSIFY_UNCRITICAL-->

            <entry devname="1b,HD" char="003F"/>

            <!--ICON_CHOOSE_COLUMNS-->

            <entry devname="1b,HE" char="003F"/>

            <!--ICON_TOTAL_UP-->

            <entry devname="1b,HF" char="003F"/>

            <!--ICON_TOTAL_DOWN-->

            <entry devname="1b,HG" char="003F"/>

            <!--ICON_PAGE_UP-->

            <entry devname="1b,HH" char="003F"/>

            <!--ICON_PAGE_DOWN-->

            <entry devname="1b,HI" char="003F"/>

            <!--ICON_READ_FILE-->

            <entry devname="1b,HJ" char="003F"/>

            <!--ICON_WRITE_FILE-->

            <entry devname="1b,HK" char="003F"/>

            <!--ICON_EDIT_FILE-->

            <entry devname="1b,HL" char="003F"/>

            <!--ICON_PS_MILESTONE-->

            <entry devname="1b,HM" char="003F"/>

            <!--ICON_PS_PROJECT_TEXT-->

            <entry devname="1b,HN" char="003F"/>

            <!--ICON_ELEMENT-->

            <entry devname="1b,HO" char="003F"/>

            <!--ICON_STRUCTURE-->

            <entry devname="1b,HP" char="003F"/>

            <!--ICON_WS_WHSE_STOCK-->

            <entry devname="1b,HQ" char="003F"/>

            <!--ICON_ROUTING-->

            <entry devname="1b,HR" char="003F"/>

            <!--ICON_MATERIAL_ROUTING_ALLOC-->

            <entry devname="1b,HS" char="003F"/>

            <!--ICON_ROUTING_SUB_OPERATION-->

            <entry devname="1b,HT" char="003F"/>

            <!--ICON_ROUTING_REF_SUB_OPERAT-->

            <entry devname="1b,HU" char="003F"/>

            <!--ICON_ROUTING_SEQUENCE-->

            <entry devname="1b,HV" char="003F"/>

            <!--ICON_BOM_SUB_ITEM-->

            <entry devname="1b,HW" char="003F"/>

            <!--ICON_EFFECTIVITY_PERIOD-->

            <entry devname="1b,HX" char="003F"/>

            <!--ICON_KEY_DATE-->

            <entry devname="1b,HY" char="003F"/>

            <!--ICON_SELECTION_PERIOD-->

            <entry devname="1b,HZ" char="003F"/>

            <!--ICON_EFF-->

            <entry devname="1b,I0" char="003F"/>

            <!--ICON_SUPPLY_AREA-->

            <entry devname="1b,I1" char="003F"/>

            <!--ICON_REPORT_CALL-->

            <entry devname="1b,I2" char="003F"/>

            <!--ICON_ASSIGN-->

            <entry devname="1b,I3" char="003F"/>

            <!--ICON_UNASSIGN-->

            <entry devname="1b,I4" char="003F"/>

            <!--ICON_SYSTEM_START_RECORDING-->

            <entry devname="1b,I5" char="003F"/>

            <!--ICON_SYSTEM_PLAY-->

            <entry devname="1b,I6" char="003F"/>

            <!--ICON_TRANSLATION-->

            <entry devname="1b,I7" char="003F"/>

            <!--ICON_TRANSLATION_SHOW-->

            <entry devname="1b,I8" char="003F"/>

            <!--ICON_CHANGE_PASSWORD-->

            <entry devname="1b,I9" char="003F"/>

            <!--ICON_DISTRIBUTE-->

            <entry devname="1b,IA" char="003F"/>

            <!--ICON_SYSTEMS-->

            <entry devname="1b,IB" char="003F"/>

            <!--ICON_ACTIVITY_GROUP-->

            <entry devname="1b,IC" char="003F"/>

            <!--ICON_USERGROUP-->

            <entry devname="1b,ID" char="003F"/>

            <!--ICON_UNLINK-->

            <entry devname="1b,IE" char="003F"/>

            <!--ICON_CONTENT_OBJECT-->

            <entry devname="1b,IF" char="003F"/>

            <!--ICON_OBJECT_LIST-->

            <entry devname="1b,IG" char="003F"/>

            <!--ICON_FOLDER-->

            <entry devname="1b,IH" char="003F"/>

            <!--ICON_DIFFERENCE-->

            <entry devname="1b,II" char="003F"/>

            <!--ICON_DIFFERENCE_BACK-->

            <entry devname="1b,IJ" char="003F"/>

            <!--ICON_SYSTEM_DESELECT-->

            <entry devname="1b,IK" char="003F"/>

            <!--ICON_ADOPT-->

            <entry devname="1b,IL" char="003F"/>

            <!--ICON_TERMINOLOGY-->

            <entry devname="1b,IM" char="003F"/>

            <!--ICON_TRIANGULAR_RELATIONSHI-->

            <entry devname="1b,IN" char="003F"/>

            <!--ICON_AEW_PROJECT-->

            <entry devname="1b,IO" char="003F"/>

            <!--ICON_SICKNESS-->

            <entry devname="1b,IP" char="003F"/>

            <!--ICON_HOLIDAY-->

            <entry devname="1b,IQ" char="003F"/>

            <!--ICON_ROLE-->

            <entry devname="1b,IR" char="003F"/>

            <!--ICON_PERSONNEL_ADMINISTRATI-->

            <entry devname="1b,IS" char="003F"/>

            <!--ICON_PDF-->

            <entry devname="1b,IT" char="003F"/>

            <!--ICON_BMP-->

            <entry devname="1b,IU" char="003F"/>

            <!--ICON_FAX_DOC-->

            <entry devname="1b,IV" char="003F"/>

            <!--ICON_GIF-->

            <entry devname="1b,IW" char="003F"/>

            <!--ICON_HLP-->

            <entry devname="1b,IX" char="003F"/>

            <!--ICON_HTT-->

            <entry devname="1b,IY" char="003F"/>

            <!--ICON_ITS-->

            <entry devname="1b,IZ" char="003F"/>

            <!--ICON_JPG-->

            <entry devname="1b,J0" char="003F"/>

            <!--ICON_MSG-->

            <entry devname="1b,J1" char="003F"/>

            <!--ICON_XLS-->

            <entry devname="1b,J2" char="003F"/>

            <!--ICON_XLV-->

            <entry devname="1b,J3" char="003F"/>

            <!--ICON_HTM-->

            <entry devname="1b,J4" char="003F"/>

            <!--ICON_PPT-->

            <entry devname="1b,J5" char="003F"/>

            <!--ICON_DOT-->

            <entry devname="1b,J6" char="003F"/>

            <!--ICON_DOC-->

            <entry devname="1b,J7" char="003F"/>

            <!--ICON_EML-->

            <entry devname="1b,J8" char="003F"/>

            <!--ICON_RTF-->

            <entry devname="1b,J9" char="003F"/>

            <!--ICON_TIF-->

            <entry devname="1b,JA" char="003F"/>

            <!--ICON_WRI-->

            <entry devname="1b,JB" char="003F"/>

            <!--ICON_LWP-->

            <entry devname="1b,JC" char="003F"/>

            <!--ICON_LOTUS-->

            <entry devname="1b,JD" char="003F"/>

            <!--ICON_VSD-->

            <entry devname="1b,JE" char="003F"/>

            <!--ICON_DEFAULT_WINDOWS-->

            <entry devname="1b,JF" char="003F"/>

            <!--ICON_DISPLAY_TREE-->

            <entry devname="1b,JG" char="003F"/>

            <!--ICON_EXTENDED_SEARCH-->

            <entry devname="1b,JH" char="003F"/>

            <!--ICON_CLOSE_OBJECT-->

            <entry devname="1b,JI" char="003F"/>

            <!--ICON_OPEN-->

            <entry devname="1b,JJ" char="003F"/>

            <!--ICON_POLICY-->

            <entry devname="1b,JK" char="003F"/>

            <!--ICON_PAYMENT-->

            <entry devname="1b,JL" char="003F"/>

            <!--ICON_CATASTROPHE-->

            <entry devname="1b,JM" char="003F"/>

            <!--ICON_AGGREGATE-->

            <entry devname="1b,JN" char="003F"/>

            <!--ICON_SUBCLAIM_PERSONAL_INJU-->

            <entry devname="1b,JO" char="003F"/>

            <!--ICON_SUB_INTELLECTUAL_PROPE-->

            <entry devname="1b,JP" char="003F"/>

            <!--ICON_SUBCLAIM_VEHICLE-->

            <entry devname="1b,JQ" char="003F"/>

            <!--ICON_SUB_PERSONAL_PROPERTY-->

            <entry devname="1b,JR" char="003F"/>

            <!--ICON_SUBCLAIM_BUILDING-->

            <entry devname="1b,JS" char="003F"/>

            <!--ICON_SUB_BODILY_INJURY_TREA-->

            <entry devname="1b,JT" char="003F"/>

            <!--ICON_SUBCLAIM_BODILY_INJURY-->

            <entry devname="1b,JU" char="003F"/>

            <!--ICON_SUB_ENVRONMENTAL_SITE-->

            <entry devname="1b,JV" char="003F"/>

            <!--ICON_SUB_FINANCIAL_IMPAIRME-->

            <entry devname="1b,JW" char="003F"/>

            <!--ICON_BW_PROCESS-->

            <entry devname="1b,JX" char="003F"/>

            <!--ICON_BW_SIMULATE-->

            <entry devname="1b,JY" char="003F"/>

            <!--ICON_BW_PROCESS_CANCEL-->

            <entry devname="1b,JZ" char="003F"/>

            <!--ICON_BW_SIMULATE_CANCEL-->

            <entry devname="1b,K0" char="003F"/>

            <!--ICON_DATA_AREA_EXPAND-->

            <entry devname="1b,K1" char="003F"/>

            <!--ICON_DATA_AREA_COLLAPSE-->

            <entry devname="1b,K2" char="003F"/>

            <!--ICON_SCRAP-->

            <entry devname="1b,K3" char="003F"/>

            <!--ICON_IMPORT_ALL_REQUESTS-->

            <entry devname="1b,K4" char="003F"/>

            <!--ICON_IMPORT_TRANSPORT_REQUE-->

            <entry devname="1b,K5" char="003F"/>

            <!--ICON_TOGGLE_DISPLAY-->

            <entry devname="1b,K6" char="003F"/>

            <!--ICON_TOGGLE_FUNCTION-->

            <entry devname="1b,K7" char="003F"/>

            <!--ICON_PERSONAL_SETTINGS-->

            <entry devname="1b,K8" char="003F"/>

            <!--ICON_PROJECT-->

            <entry devname="1b,K9" char="003F"/>

            <!--ICON_INCLUDE_OBJECTS-->

            <entry devname="1b,KA" char="003F"/>

            <!--ICON_TRANSFER-->

            <entry devname="1b,KB" char="003F"/>

            <!--ICON_DISTRIBUTE_CONFIGURATI-->

            <entry devname="1b,KC" char="003F"/>

            <!--ICON_ADJUST_CONFIGURATION-->

            <entry devname="1b,KD" char="003F"/>

            <!--ICON_STANDARD_CONFIGURATION-->

            <entry devname="1b,KE" char="003F"/>

            <!--ICON_MODIFIED_OBJECT-->

            <entry devname="1b,KF" char="003F"/>

            <!--ICON_SELECT_WITH_CONDITION-->

            <entry devname="1b,KG" char="003F"/>

            <!--ICON_ADDRESS_LIST-->

            <entry devname="1b,KH" char="003F"/>

            <!--ICON_APPOINTMENT_COMPARISON-->

            <entry devname="1b,KI" char="003F"/>

            <!--ICON_BUSINESS_PARTNER_MASTE-->

            <entry devname="1b,KJ" char="003F"/>

            <!--ICON_INCOMPLETION_LOG-->

            <entry devname="1b,KK" char="003F"/>

            <!--ICON_MESSAGE-->

            <entry devname="1b,KL" char="003F"/>

            <!--ICON_TELEPHONE_CALL-->

            <entry devname="1b,KM" char="003F"/>

            <!--ICON_VISIT-->

            <entry devname="1b,KN" char="003F"/>

            <!--ICON_LETTER-->

            <entry devname="1b,KO" char="003F"/>

            <!--ICON_OPERATOR-->

            <entry devname="1b,KP" char="003F"/>

            <!--ICON_SYSTEM_ADMINISTRATOR-->

            <entry devname="1b,KQ" char="003F"/>

            <!--ICON_SAP-->

            <entry devname="1b,KR" char="003F"/>

            <!--ICON_PUBLIC-->

            <entry devname="1b,KS" char="003F"/>

            <!--ICON_SUMMARIZE-->

            <entry devname="1b,KT" char="003F"/>

            <!--ICON_SUMMARIZE_UNDO-->

            <entry devname="1b,KU" char="003F"/>

            <!--ICON_SUM_RED-->

            <entry devname="1b,KV" char="003F"/>

            <!--ICON_UNSPECIFIED_ONE-->

            <entry devname="1b,KW" char="003F"/>

            <!--ICON_UNSPECIFIED_TWO-->

            <entry devname="1b,KX" char="003F"/>

            <!--ICON_UNSPECIFIED_THREE-->

            <entry devname="1b,KY" char="003F"/>

            <!--ICON_UNSPECIFIED_FOUR-->

            <entry devname="1b,KZ" char="003F"/>

            <!--ICON_UNSPECIFIED_FIVE-->

            <entry devname="1b,L0" char="003F"/>

            <!--ICON_HR_MANAGER-->

            <entry devname="1b,L1" char="003F"/>

            <!--ICON_TBH-->

            <entry devname="1b,L2" char="003F"/>

            <!--ICON_TBH_HOLD-->

            <entry devname="1b,L3" char="003F"/>

            <!--ICON_NEW_EMPLOYEE-->

            <entry devname="1b,L4" char="003F"/>

            <!--ICON_INCOMING_EMPLOYEE-->

            <entry devname="1b,L5" char="003F"/>

            <!--ICON_OUTGOING_EMPLOYEE-->

            <entry devname="1b,L6" char="003F"/>

            <!--ICON_OBSOLETE_POSITION-->

            <entry devname="1b,L7" char="003F"/>

            <!--ICON_TERMINATED_POSITION-->

            <entry devname="1b,L8" char="003F"/>

            <!--ICON_SHARED_POSITION-->

            <entry devname="1b,L9" char="003F"/>

            <!--ICON_OBSOLETE_SHARED_POSITI-->

            <entry devname="1b,LA" char="003F"/>

            <!--ICON_TERMINATED_SHARED_POSI-->

            <entry devname="1b,LB" char="003F"/>

            <!--ICON_HR_POSITION-->

            <entry devname="1b,LC" char="003F"/>

            <!--ICON_HR_ORG_UNIT-->

            <entry devname="1b,LD" char="003F"/>

            <!--ICON_CREATE_POSITION-->

            <entry devname="1b,LE" char="003F"/>

            <!--ICON_TERMINATED_ORG_UNIT-->

            <entry devname="1b,LF" char="003F"/>

            <!--ICON_NEW_ORG_UNIT-->

            <entry devname="1b,LG" char="003F"/>

            <!--ICON_OUTGOING_ORG_UNIT-->

            <entry devname="1b,LH" char="003F"/>

            <!--ICON_NEW_TASK-->

            <entry devname="1b,LI" char="003F"/>

            <!--ICON_INCOMING_ORG_UNIT-->

            <entry devname="1b,LJ" char="003F"/>

            <!--ICON_TERMINATED_TASK-->

            <entry devname="1b,LK" char="003F"/>

            <!--ICON_OUTGOING_TASK-->

            <entry devname="1b,LL" char="003F"/>

            <!--ICON_INCOMING_TASK-->

            <entry devname="1b,LM" char="003F"/>

            <!--ICON_OUTGOING_JOB-->

            <entry devname="1b,LN" char="003F"/>

            <!--ICON_INCOMING_JOB-->

            <entry devname="1b,LO" char="003F"/>

            <!--ICON_NEW_JOB-->

            <entry devname="1b,LP" char="003F"/>

            <!--ICON_TERMINATED_JOB-->

            <entry devname="1b,LQ" char="003F"/>

            <!--ICON_INCOMING_OBJECT-->

            <entry devname="1b,LR" char="003F"/>

            <!--ICON_OUTGOING_OBJECT-->

            <entry devname="1b,LS" char="003F"/>

            <!--ICON_WS_START_WHSE_PROC_BAC-->

            <entry devname="1b,LT" char="003F"/>

            <!--ICON_WS_START_WHSE_PROC_FOR-->

            <entry devname="1b,LU" char="003F"/>

            <!--ICON_WS_CONFIRM_WHSE_PROC_B-->

            <entry devname="1b,LV" char="003F"/>

            <!--ICON_WS_CONFIRM_WHSE_PROC_F-->

            <entry devname="1b,LW" char="003F"/>

            <!--ICON_HOLD-->

            <entry devname="1b,LX" char="003F"/>

            <!--ICON_HOLD_UNDO-->

            <entry devname="1b,LY" char="003F"/>

            <!--ICON_ALV_VARIANTS-->

            <entry devname="1b,LZ" char="003F"/>

            <!--ICON_TE_FLAT_RATE-->

            <entry devname="1b,M0" char="003F"/>

            <!--ICON_BIW_SOURCE_SYS_OWN-->

            <entry devname="1b,M1" char="003F"/>

            <!--ICON_WORKFLOW_JOIN-->

            <entry devname="1b,M2" char="003F"/>

            <!--ICON_WORKFLOW_PROCESS-->

            <entry devname="1b,M3" char="003F"/>

            <!--ICON_BACKGROUND_JOB-->

            <entry devname="1b,M4" char="003F"/>

            <!--ICON_JOB_DETAIL-->

            <entry devname="1b,M5" char="003F"/>

            <!--ICON_SYSTEMTYPE-->

            <entry devname="1b,M6" char="003F"/>

            <!--ICON_COMPOSITE_ACTIVITYGROU-->

            <entry devname="1b,M7" char="003F"/>

            <!--ICON_TREND_DOWN-->

            <entry devname="1b,M8" char="003F"/>

            <!--ICON_TREND_DECREASING-->

            <entry devname="1b,M9" char="003F"/>

            <!--ICON_TREND_UNCHANGED-->

            <entry devname="1b,MA" char="003F"/>

            <!--ICON_TREND_RISING-->

            <entry devname="1b,MB" char="003F"/>

            <!--ICON_TREND_UP-->

            <entry devname="1b,MC" char="003F"/>

            <!--ICON_STATUS_ALERT-->

            <entry devname="1b,MD" char="003F"/>

            <!--ICON_STATUS_OK-->

            <entry devname="1b,ME" char="003F"/>

            <!--ICON_STATUS_BEST-->

            <entry devname="1b,MF" char="003F"/>

            <!--ICON_NO_STATUS-->

            <entry devname="1b,MG" char="003F"/>

            <!--ICON_DRAW_SELECT-->

            <entry devname="1b,MH" char="003F"/>

            <!--ICON_DRAW_FREEHAND-->

            <entry devname="1b,MI" char="003F"/>

            <!--ICON_DRAW_ARROW-->

            <entry devname="1b,MJ" char="003F"/>

            <!--ICON_DRAW_LINE-->

            <entry devname="1b,MK" char="003F"/>

            <!--ICON_DRAW_POLYLINE-->

            <entry devname="1b,ML" char="003F"/>

            <!--ICON_DRAW_ELLIPSE-->

            <entry devname="1b,MM" char="003F"/>

            <!--ICON_DRAW_POLYGON-->

            <entry devname="1b,MN" char="003F"/>

            <!--ICON_DRAW_RECTANGLE-->

            <entry devname="1b,MO" char="003F"/>

            <!--ICON_DRAW_ANGULAR-->

            <entry devname="1b,MP" char="003F"/>

            <!--ICON_DRAW_LINEAR-->

            <entry devname="1b,MQ" char="003F"/>

            <!--ICON_DRAW_RADIAL-->

            <entry devname="1b,MR" char="003F"/>

            <!--ICON_BW_EXCEPTION_MONITOR-->

            <entry devname="1b,MS" char="003F"/>

            <!--ICON_BOOKMARK-->

            <entry devname="1b,MT" char="003F"/>

            <!--ICON_TRANSFER_STRUCTURE_INA-->

            <entry devname="1b,MU" char="003F"/>

            <!--ICON_EXCEPTION-->

            <entry devname="1b,MV" char="003F"/>

            <!--ICON_RANKING-->

            <entry devname="1b,MW" char="003F"/>

            <!--ICON_PPE_BHNODE-->

            <entry devname="1b,MX" char="003F"/>

            <!--ICON_PPE_AENODE-->

            <entry devname="1b,MY" char="003F"/>

            <!--ICON_PPE_ANODE-->

            <entry devname="1b,MZ" char="003F"/>

            <!--ICON_PPE_CVNODE-->

            <entry devname="1b,N0" char="003F"/>

            <!--ICON_PPE_SNODE-->

            <entry devname="1b,N1" char="003F"/>

            <!--ICON_PPE_ENODE-->

            <entry devname="1b,N2" char="003F"/>

            <!--ICON_PPE_APNODE-->

            <entry devname="1b,N3" char="003F"/>

            <!--ICON_PPE_VNODE-->

            <entry devname="1b,N4" char="003F"/>

            <!--ICON_PPE_MODNODE-->

            <entry devname="1b,N5" char="003F"/>

            <!--ICON_PPE_AANODE-->

            <entry devname="1b,N6" char="003F"/>

            <!--ICON_PPE_AAEXPNODE-->

            <entry devname="1b,N7" char="003F"/>

            <!--ICON_PPE_OPNODE-->

            <entry devname="1b,N8" char="003F"/>

            <!--ICON_PPE_ACTNODE-->

            <entry devname="1b,N9" char="003F"/>

            <!--ICON_PPE_VACTNODE-->

            <entry devname="1b,NA" char="003F"/>

            <!--ICON_PPE_VANODE-->

            <entry devname="1b,NB" char="003F"/>

            <!--ICON_PPE_LSEG-->

            <entry devname="1b,NC" char="003F"/>

            <!--ICON_PPE_PLINE-->

            <entry devname="1b,ND" char="003F"/>

            <!--ICON_PPE_BPNODE-->

            <entry devname="1b,NE" char="003F"/>

            <!--ICON_GIS_BAR-->

            <entry devname="1b,NF" char="003F"/>

            <!--ICON_GIS_COLOR_SHADING-->

            <entry devname="1b,NG" char="003F"/>

            <!--ICON_GIS_DEMOTE-->

            <entry devname="1b,NH" char="003F"/>

            <!--ICON_GIS_DOT_DENSITY-->

            <entry devname="1b,NI" char="003F"/>

            <!--ICON_GIS_LAYER_PROPERTIES-->

            <entry devname="1b,NJ" char="003F"/>

            <!--ICON_GIS_PAN-->

            <entry devname="1b,NK" char="003F"/>

            <!--ICON_GIS_PIE-->

            <entry devname="1b,NL" char="003F"/>

            <!--ICON_GIS_PROMOTE-->

            <entry devname="1b,NM" char="003F"/>

            <!--ICON_GIS_SPATIAL_SELECT-->

            <entry devname="1b,NN" char="003F"/>

            <!--ICON_GIS_SYMBOL-->

            <entry devname="1b,NO" char="003F"/>

            <!--ICON_CALL_ANSWER-->

            <entry devname="1b,NP" char="003F"/>

            <!--ICON_CALL_ALTERNATE-->

            <entry devname="1b,NQ" char="003F"/>

            <!--ICON_CALL_HOLD-->

            <entry devname="1b,NR" char="003F"/>

            <!--ICON_CALL_DEFLECT-->

            <entry devname="1b,NS" char="003F"/>

            <!--ICON_CALL_CONSULT-->

            <entry devname="1b,NT" char="003F"/>

            <!--ICON_CALL_CONFERENCE-->

            <entry devname="1b,NU" char="003F"/>

            <!--ICON_CALL_BLIND_TRANSFER-->

            <entry devname="1b,NV" char="003F"/>

            <!--ICON_CALL_RECONNECT-->

            <entry devname="1b,NW" char="003F"/>

            <!--ICON_CALL_RETRIEVE-->

            <entry devname="1b,NX" char="003F"/>

            <!--ICON_CALL_WARM_TRANSFER-->

            <entry devname="1b,NY" char="003F"/>

            <!--ICON_CREATE_CALLBACK-->

            <entry devname="1b,NZ" char="003F"/>

            <!--ICON_PROCESS_CALLBACK-->

            <entry devname="1b,O0" char="003F"/>

            <!--ICON_BW_RA_SETTING_ACTIVE-->

            <entry devname="1b,O1" char="003F"/>

            <!--ICON_BW_RA_SETTING_INACTIVE-->

            <entry devname="1b,O2" char="003F"/>

            <!--ICON_SNC_INFO-->

            <entry devname="1b,O3" char="003F"/>

            <!--ICON_DELIVERY-->

            <entry devname="1b,O4" char="003F"/>

            <!--ICON_PPE_ASSY_POS-->

            <entry devname="1b,O5" char="003F"/>

            <!--ICON_PPE_ASSY_HEAD-->

            <entry devname="1b,O6" char="003F"/>

            <!--ICON_PPE_PARTOF_ALT_ACT-->

            <entry devname="1b,O7" char="003F"/>

            <!--ICON_BINARY_DOCUMENT-->

            <entry devname="1b,O8" char="003F"/>

            <!--ICON_ANY_DOCUMENT-->

            <entry devname="1b,O9" char="003F"/>

            <!--ICON_OTF_DOCUMENT-->

            <entry devname="1b,OA" char="003F"/>

            <!--ICON_TEXT_FIELD-->

            <entry devname="1b,OB" char="003F"/>

            <!--ICON_FIELD_WITH_TEXT-->

            <entry devname="1b,OC" char="003F"/>

            <!--ICON_SIMPLE_FIELD-->

            <entry devname="1b,OD" char="003F"/>

            <!--ICON_TRANSPORT_PROPOSAL-->

            <entry devname="1b,OE" char="003F"/>

            <!--ICON_HELPASSISTENT_ON-->

            <entry devname="1b,OF" char="003F"/>

            <!--ICON_HELPASSISTENT_OFF-->

            <entry devname="1b,OG" char="003F"/>

            <!--ICON_DIALGHELP-->

            <entry devname="1b,OH" char="003F"/>

            <!--ICON_DIALOGHELPACTIV-->

            <entry devname="1b,OI" char="003F"/>

            <!--ICON_STATUS_CRITICAL-->

            <entry devname="1b,OJ" char="003F"/>

            <!--ICON_SYSTEM_SERVICE_FILLED-->

            <entry devname="1b,OK" char="003F"/>

            <!--ICON_SYSTEM_SERVICE_OFF-->

            <entry devname="1b,OL" char="003F"/>

            <!--ICON_SYSTEM_SERVICE_EMPTY-->

            <entry devname="1b,OM" char="003F"/>

            <!--ICON_CONSUMPTION_ALTERNATIV-->

            <entry devname="1b,ON" char="003F"/>

            <!--ICON_PROCUREMENT_ALTERNATIV-->

            <entry devname="1b,OO" char="003F"/>

            <!--ICON_PROCUREMENT_PROCESS-->

            <entry devname="1b,OP" char="003F"/>

            <!--ICON_WORKFLOW-->

            <entry devname="1b,OQ" char="003F"/>

            <!--ICON_DOCUMENT_MODEL_SPACE-->

            <entry devname="1b,OR" char="003F"/>

            <!--ICON_RELATION_CLASS-->

            <entry devname="1b,OS" char="003F"/>

            <!--ICON_IO_ATTRIBUTE-->

            <entry devname="1b,OT" char="003F"/>

            <!--ICON_VIRTUAL_RELATION_CLASS-->

            <entry devname="1b,OU" char="003F"/>

            <!--ICON_CLASS_CONNECTION_SPACE-->

            <entry devname="1b,OV" char="003F"/>

            <!--ICON_IO_PREDEFINED_VALUE-->

            <entry devname="1b,OW" char="003F"/>

            <!--ICON_CONTEXT_CLASS-->

            <entry devname="1b,OX" char="003F"/>

            <!--ICON_LOIO_CLASS-->

            <entry devname="1b,OY" char="003F"/>

            <!--ICON_VIRTUAL_LOIO_CLASS-->

            <entry devname="1b,OZ" char="003F"/>

            <!--ICON_PHIO_CLASS-->

            <entry devname="1b,P0" char="003F"/>

            <!--ICON_VIRTUAL_PHIO_CLASS-->

            <entry devname="1b,P1" char="003F"/>

            <!--ICON_PARAGRAPH-->

            <entry devname="1b,P2" char="003F"/>

            <!--ICON_MC_CONTENTINDICATOR-->

            <entry devname="1b,P3" char="003F"/>

            <!--ICON_BSC_CONTENTINDICATOR-->

            <entry devname="1b,P4" char="003F"/>

            <!--ICON_RATING_MINUSMINUS-->

            <entry devname="1b,P5" char="003F"/>

            <!--ICON_RATING_MINUS-->

            <entry devname="1b,P6" char="003F"/>

            <!--ICON_RATING_NEUTRAL-->

            <entry devname="1b,P7" char="003F"/>

            <!--ICON_RATING_POSITIVE-->

            <entry devname="1b,P8" char="003F"/>

            <!--ICON_RATING_POSITIVEPOSITIV-->

            <entry devname="1b,P9" char="003F"/>

            <!--ICON_WORKFLOW_WEB_ACTIVITY-->

            <entry devname="1b,PA" char="003F"/>

            <!--ICON_DELIVERY_NO_CONFIRMATI-->

            <entry devname="1b,PB" char="003F"/>

            <!--ICON_SNAP_TO_GRID-->

            <entry devname="1b,PC" char="003F"/>

            <!--ICON_GRID-->

            <entry devname="1b,PD" char="003F"/>

            <!--ICON_MAIN_GRID-->

            <entry devname="1b,PE" char="003F"/>

            <!--Box drawings down and right 'Ú'-->

            <entry devname="1b0" char="250C"/>

            <!--up and right 'À'-->

            <entry devname="1b1" char="2514"/>

            <!--down and left '¿'-->

            <entry devname="1b2" char="2510"/>

            <!--up and left 'Ù'-->

            <entry devname="1b3" char="2518"/>

            <!--light horizontal 'Ä'-->

            <entry devname="1b4" char="2500"/>

            <!--light vertical '³'-->

            <entry devname="1b5" char="2502"/>

            <!--vertical and right 'Ã'-->

            <entry devname="1b6" char="251C"/>

            <!--vertical and left '´'-->

            <entry devname="1b7" char="2524"/>

            <!--up and horizontal 'Á'-->

            <entry devname="1b8" char="2534"/>

            <!--down and horizontal 'Â'-->

            <entry devname="1b9" char="252C"/>

            <!--vertical and horizontal 'Å'-->

            <entry devname="1b:" char="253C"/>
         </encoding>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="CircumflexJ">
            <entry code="0xE180" char="75FC"/>
            <entry code="0x829F" char="3041"/>
         </encoding>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="CircumflexM"/>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="CircumflexC"/>

         <!--Specifies the mapping of special characters to Unicode, a font or an image.
                Please edit carefully. Only EscCode named encodings use the attributes extension and
                value. -->

         <encoding name="CircumflexK"/>
      </encodinglist>

      <!--Defines the list of print control commands.-->

      <PcCommands>
         <!--This element allows you to send a print control command to the printer. The
                name of the print control command as well as the type and value are specified as
                attribute values in the element. -->
         <!--<PcCommand name="SF608" type="PCL" value="1B28304E1B28733170313076307330623431303154"/>-->
         <!--<PcCommand name="SF612" type="PCL" value="1B28304E1B28733170313276307330623431303154"/>-->
      </PcCommands>
   </input>

   <!--Defines the list for the locations of the resources.-->

   <resourcelist>
      <!--Defines the list with file definitions.-->

      <fileslist>
         <!--The AFP resources (formdef, overlays...) are configured now in mffafp.pro
                for image font items values for casecontrol are "asis", "upper" and
                "lower"-->
         <!--Attribute: path @comment: -->
         <!--Attribute: extension @comment: -->
         <!--Attribute: type @comment: -->
         <!--Attribute: casecontrol @comment: -->

         <files path="." extension="tif" type="pagedef" casecontrol="Ignore"/>

         <!--for pagedefinition with usefile="true"-->

         <files path="." type="pagedef" casecontrol="Ignore"/>

         <!--for font SAPDings fontfile (to raster font with user defined
                unicode)-->

         <files path="." extension="ttf" casecontrol="Ignore"/>
      </fileslist>
   </resourcelist>
</mffgof>
